Thu Oct 12 00:07:36 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/MProfile.cpp:

          Fixed problem with double checked locking. Thanks to Marina
          for noting that.

Wed Oct 11 23:12:03 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/PortableServer/Strategized_Object_Proxy_Broker.cpp:

          Added ACE_UNUSED_ARG to avoid warning.

Wed Oct 11 22:39:59 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/orbsvcs/SSLIOP_Profile.cpp:

          Removed duplicate definition of <encode_endpoints> method left
          from the previous modification.

Wed Oct 11 19:13:23 2000  Ossama Othman  <ossama@uci.edu>

        * tao/ORB_Core.cpp (fini):

          Deallocate reactor registry prior to deallocating the resource
          factory.  The resource factory must still exist when
          deallocating the reactor registry since the resource factory
          reclaims some resources during reactory registry destruction.
          This fixes a memory access violation.

Wed Oct 11 22:00:00 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Profile.cpp:

          Changed accessor method used to get the policy list from
          the MProfile.

        * tao/MProfile.h:
        * tao/MProfile.i:

          Fixed bug that could occur in multithreaded environment
          while initializing the policy list.

        * tao/ORB_Core.cpp:

          Removed rewind of the MProfile that were not useful.

        * tao/Object.h:

          Added declaration of the function pointer
          _TAO_collocation_Object_Proxy_Broker_Factory_function_pointer.

        * tao/Object.cpp:

          Changed constructor to initialize the proxy broker to the
          strategized one when the the object is collocated.

          Added initialization to zero of the function pointer
          _TAO_collocation_Object_Proxy_Broker_Factory_function_pointer.

        * tao/Stub.cpp:

          Removed rewind of the MProfile that were not useful.

        * tao/PortableServer/Strategized_Object_Proxy_Broker.cpp:

          Added code needed to initialize the function pointer
          _TAO_collocation_Object_Proxy_Broker_Factory_function_pointer
          with the proper factory function.

Wed Oct 11 18:05:15 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/IIOP_Profile.cpp
        * tao/IIOP_Profile.h
        * tao/Profile.cpp
        * tao/Profile.h
        * tao/SHMIOP_Profile.cpp
        * tao/SHMIOP_Profile.h
        * tao/UIOP_Profile.cpp
        * tao/UIOP_Profile.h
        * tao/PortableServer/POA.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.h
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp:

          Changed the time of profile's endpoints encoding into a tagged
          component (<encode_endpoints> method in *_Profile) from
          profile encoding to mprofile creation, i.e., from
          *_Profile::encode to *_Acceptor_Filter::fill_mprofile.  In other
          words, removed 'lazy evaluation' of endpoints encoding.  This
          fixes multithreading issues with multiple threads attempting to
          encode one profile at the same time.

Wed Oct 11 17:58:35 2000  Michael Kircher  <Michael.Kircher@mchp.siemens.de>

        * examples/Simple/time-date/svc.conf: Added the CORBA LOC
          and CORBA NAME parsers to be loaded explicitly before
          the ORB is loaded dynamically. This is necessary to avoid
          having the ORB call process_directive () on the Service
          Configurator and prohibiting further processing of the
          svc.conf during startup.

Wed Oct 11 16:14:35 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * orbsvcs/orbsvcs/Fault_Tolerance.dsp:
        * orbsvcs/tests/CosEvent/lib/CECTest.dsp:
        * orbsvcs/tests/Event/lib/ECTest.dsp:
        * tests/Collocation/Coll_Test_Stubs.dsp:
        * tests/Collocation/Diamond.dsp:
        * tests/Smart_Proxies/Collocation/Coll_Test_Stubs.dsp:
        * tests/Smart_Proxies/Collocation/Diamond.dsp: The newly generated
          export.h files uses a different capitalization scheme for
          BLAH_BUILD_DLL.  Fixed the project files.

Wed Oct 11 12:34:36 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * orbsvcs/orbsvcs/CosEvent.bor:

          Removed files that shouldn't be listed in this makefile.

Wed Oct 11 10:06:19 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile: Prevented building FT service in
          Minimum CORBA build.

Tue Oct 10 22:14:47 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * TAOACE_Static.dsw: Added Event_Service_Static project.

        * examples/Simple/time/client_static.dsp:
        * examples/Simple/time/server_static.dsp:
        * orbsvcs/Event_Service/Event_Service_static.dsp: Added
          TAO_IORTable and TAO_PortableServer into the list of libraries
          these projects require.

Tue Oct 10 19:08:41 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/DomainC.h:
        * tao/DomainC.cpp:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.cpp:

          Fixed typos in DomainS.* and made cosmetic changes
          to all the above files.

Tue Oct 10 08:50:07 2000  Ossama Othman  <ossama@uci.edu>

        * tao/Exception.h:
        * tao/Exception.cpp:

          Reverted changes that remove <ace/SString.h> header dependency.
          They introduced a memory access violation.  To be revisted in
          the near future.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp (create_rt_mprofile):

          Corrected typo that prevented SSLIOP::SSL tagged component from
          being embedded in current profile.

        * docs/ORBEndpoint.html:

          Corrected SHMIOP endpoint syntax.

Tue Oct 10 16:59:18 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * TAOACE_Static.dsw: Updated some project dependencies.

        * TAO_IDL/be_include/TAO_IDL_BE_Export.h:
        * TAO_IDL/include/TAO_IDL_FE_Export.h:
        * examples/POA/Generic_Servant/generic_servant_export.h:
        * orbsvcs/IFR_Service/TCF_Export.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/rtec_cosec_export.h:
        * orbsvcs/orbsvcs/orbsvcs_export.h:
        * orbsvcs/orbsvcs/svc_utils_export.h:
        * orbsvcs/orbsvcs/AV/AV_export.h:
        * orbsvcs/orbsvcs/Concurrency/concurrency_export.h:
        * orbsvcs/orbsvcs/CosEvent/event_export.h:
        * orbsvcs/orbsvcs/ESF/esf_export.h:
        * orbsvcs/orbsvcs/ETCL/etcl_export.h:
        * orbsvcs/orbsvcs/Event/event_export.h:
        * orbsvcs/orbsvcs/Event/old_event_export.h:
        * orbsvcs/orbsvcs/Event/sched_event_export.h:
        * orbsvcs/orbsvcs/FaultTolerance/fault_tol_export.h:
        * orbsvcs/orbsvcs/LifeCycle/lifecycle_export.h:
        * orbsvcs/orbsvcs/LoadBalancing/LoadBalancing_export.h:
        * orbsvcs/orbsvcs/Log/log_export.h:
        * orbsvcs/orbsvcs/Naming/naming_export.h:
        * orbsvcs/orbsvcs/Notify/notify_export.h:
        * orbsvcs/orbsvcs/Property/property_export.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Export.h:
        * orbsvcs/orbsvcs/Sched/sched_export.h:
        * orbsvcs/orbsvcs/Security/security_export.h:
        * orbsvcs/orbsvcs/Time/time_export.h:
        * orbsvcs/orbsvcs/Trader/trading_export.h:
        * orbsvcs/tests/CosEvent/lib/cectest_export.h:
        * orbsvcs/tests/Event/lib/ectest_export.h:
        * orbsvcs/tests/Notify/lib/notify_test_export.h:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/rtcorba_common_export.h
        * tao/TAO_Export.h:
        * tao/ior_corbaloc_export.h:
        * tao/ior_corbaname_export.h:
        * tao/DynamicAny/dynamicany_export.h:
        * tao/IORManipulation/ior_manip_export.h:
        * tao/IORTable/iortable_export.h:
        * tao/PortableServer/portableserver_export.h:
        * tests/Collocation/diamond_export.h:
        * tests/Collocation/stub_export.h:
        * tests/Object_Loader/OLT_Export.h:
        * tests/Smart_Proxies/Collocation/diamond_export.h:
        * tests/Smart_Proxies/Collocation/stub_export.h: Added a new macro
          TAO_AS_STATIC_LIBS that controls the default value of a whole
          slew of BLAH_HAS_DLL values so we can build and use static TAO
          libraries easily.  Notice that you can still override the value
          of BLAH_HAS_DLL.  Thanks to Darrell for writing a made-to-order
          script that makes my life easier.

        * TAO_IDL/TAO_IDL_BE_LIB.dsp:
        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/tao_idl_static.dsp:
        * orbsvcs/Naming_Service/NT_Naming_Service.dsp:
        * orbsvcs/Naming_Service/Naming_Server_static.dsp:
        * orbsvcs/orbsvcs/AV_Static.dsp:
        * orbsvcs/orbsvcs/CosConcurrency_Static.dsp:
        * orbsvcs/orbsvcs/CosEvent_Static.dsp:
        * orbsvcs/orbsvcs/CosLifeCycle_Static.dsp:
        * orbsvcs/orbsvcs/CosNaming_Static.dsp:
        * orbsvcs/orbsvcs/CosNotification_Static.dsp:
        * orbsvcs/orbsvcs/CosProperty_Static.dsp:
        * orbsvcs/orbsvcs/CosTime_Static.dsp:
        * orbsvcs/orbsvcs/CosTrading_Static.dsp:
        * orbsvcs/orbsvcs/DsLogAdmin_Static.dsp:
        * orbsvcs/orbsvcs/LoadBalancing_Static.dsp:
        * orbsvcs/orbsvcs/RTEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTOLDEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTSchedEvent_Static.dsp:
        * orbsvcs/orbsvcs/RTSched_Static.dsp:
        * orbsvcs/orbsvcs/Svc_Utils_Static.dsp:
        * tao/TAO_Static.dsp:
        * tao/IORTable/TAO_IORTable_Static.dsp:
        * tao/PortableServer/TAO_PortableServer_Static.dsp: Changed the
          ten thousand kinds of BLAH_HAS_DLL to use ACE_AS_STATIC_LIBS and
          TAO_AS_STATIC_LIBS.  Also fixed a bunch of the broken project
          files.  Many of these static project configurations were
          completely broken.

Tue Oct 10 14:52:16 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/Any.h:
        * tao/Any.i:
        * tao/Any.cpp:

          Added missing insertion/extraction operators for
          Any_var and bounded wstrings. Thanks to
          Mateu Batle <mbatle@iname.com> for reporting
          this bug. Also made cosmetic changes to all Any
          files.

        * tao/ifrfwd.h:

          Removed the 'TAO_Export' from the DefinitionKind
          enum in the IR namespace. Since the namespace is
          exported, the enum shouldn't be, and none of the other
          enums are.

        * tao/DomainC.h:
        * tao/DomainC.cpp:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.cpp:

          Made the constructor signature and the private member
          types agree for the portable interceptor classes
          TAO_ServerRequest_Info_CORBA_ConstructionPolicy_make_domain_manager
          and
          TAO_ClientRequest_Info_CORBA_ConstructionPolicy_make_domain_manager.
          The generated code has already been fixed in the IDL compiler.

          Thanks to Johnny Willemsen <johnny.willemsen@meco.nl> for reporting
          the above pair of bugs.

        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:

          While investigatiing the last bug above, came across another
          mismatch of the same type, for interfaces and pseudo objects,
          but only on the skeleton side.

Tue Oct 10 14:15:34 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/Makefile.bor (DIRS): Updated the list of subdirectories
          to build for Borland compilers.  Thanks to Johnny Willemsen
          <meco.nl> for reporting this.

Tue Oct 10 14:05:34 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Fault_Tolerance_Service.h:
        * tao/Fault_Tolerance_Service.i:
        * orbsvcs/orbsvcs/Fault_Tolerance/FT_Policy_i.cpp: Fixed link
          errors on Guajira. They should be hopefully be fixed.

Tue Oct 10 13:11:09 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * orbsvcs/orbsvcs/Fault_Tolerance.dsp:
        * tests/Object_Loader/driver.dsp:

          Made some other project setting to fix linking errors.

        * tao/PortableServer/Makefile.bor:

          Fixed typo i.e. renamed RT_PortableServerC.obj
          to RTPortableServerC.obj.

Tue Oct 10 07:20:27 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile : Fixed a pre GNU 2.8 problem for FT
          service.

Mon Oct 09 15:56:58 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/IORManipulation/TAO_IORManip.dsp:
        * orbsvcs/examples/Security/Send_File/Send_File_Client.dsp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.dsp:
        * orbsvcs/tests/Property/client.dsp:
        * orbsvcs/tests/Property/server.dsp:
        * orbsvcs/tests/Simple_Naming/client.dsp:
        * tao/IORManipulation/TAO_IORManip.dsp:
        * tests/IORManipulation/IORTest.dsp:
        * tests/MProfile/client.dsp:
        * tests/MProfile/server.dsp:
        * tests/Object_Loader/Test_DLL.dsp:
        * tests/Object_Loader/driver.dsp:

          Udated the Release configuration to fix compilation and or
          link errors caused by erroneous or missing configuration
          info.

Mon Oct 09 10:39:59 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/PortableServer/Makefile.bor:

          Added missing file RT_PortableServerC to the build list.

Sun Oct  8 22:23:56 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile: FaultTolerance library will not be
          built with g++ 2.8 and before. This is because Notify service is
          not built.

Sun Oct 08 16:49:15 2000  Balachandran Natarajan <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.i: Fixed a typo in
          the constructors.

Sun Oct 08 12:19:15 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Object.cpp:

          Fixed _tao_QueryInterface to return the correct
          value instead of 0.

        * tao/PortableServer/Makefile.bor:

          Removed typo.

Sat Oct 07 16:00:45 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/corbafwd.h: Changed CORBA::is_nil (CORBA::Object_ptr) to
          non-inlined.

Sat Oct 07 14:00:27 2000 Balachandran Natarajan <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp: Fixed
          compilation warnings in SunCC5.

Sat Oct 07 11:06:31 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/CORBANAME_Parser.cpp:

          Added initalization of a local variable to avoid compilation
          warnings.

Sat Oct 07 10:39:27 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/PortableServer/Makefile.bor

          Added missing ".obj" extension to fix compilation error.

Fri Oct 06 12:14:35 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynSequence_i.h:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynStruct_i.h:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/DynamicAny/DynUnion_i.h:

          Changed Throw clause in the to_any method.

Fri Oct  6 11:56:15 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FT_CORBA.idl: Made some of the policy
          interfaces local.

Thu Oct 05 19:49:38 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:

          Added exception declaration in the throw clause.

        * tao/CORBANAME_Parser.cpp:

          Changed ACE_CHECK_RETURN to ACE_TRY_CHECK.

Thu Oct  5 13:48:28 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/corbafwd.h:
          Added a new macro TAO_OMG_MINOR_BAD_PARAM_10
          to be used a semi-symbolic name for the standard minor codes.

        * tao/Exception.h:
        * tao/Exception.cpp:
          Added a new case for the above macro.

        * tao/CORBANAME_Parser.cpp:
          Instead of using dynamic requests, used two-way invocation for
          making the requests.

          Thanks to Carlos for all this.

Thu Oct 05 15:24:01 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynSequence_i.h:
        * tao/DynamicAny/DynStruct_i.h:
        * tao/DynamicAny/DynUnion_i.h:

          Added exception declaration in the throw clause to avoid
          warning on borland compilers.

        * tao/PortableServer/Makefile.bor:

          Added missing extension ".obj".

Thu Oct  5 09:47:42 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/TAO_Internal.cpp:
        * tao/CORBALOC_Parser.h:
        * tao/CORBALOC_Parser.cpp:
        * tao/CORBANAME_Parser.h:
        * tao/CORBANAME_Parser.cpp:
          Statically add the new CORBALOC and CORBANAME parsers into
          the Service Configurator, otherwise things don't quite work for
          static builds.

        * tao/Makefile.am:
        * tao/Makefile.bor:
          Add the new files to the Borland and automake makefiles.

Thu Oct  5 11:37:08 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile: Added FT library to the makefile.

Thu Oct  5 09:31:06 2000  Darrell Brunsch <brunsch@uci.edu>

        * tao/TAO.dsp:
        * tao/TAO_Static.dsp:

          Added the CORBANAME_Parser.* files.

Thu Oct  5 10:17:40 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_interface.cpp:

          Fixed order of initialization in the constructor.

Thu Oct 05 00:49:42 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * test/Exposed_Policies/RT_Properties.cpp:

          Removed ".cpp" from a field in the ACE_RCSID that
          a couple of compiler were disliking.

Wed Oct  4 17:41:53 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaname_export.h:
        * tao/ior_corbaname/CORBANAME_Parser.*:

          Moved the files up one directory to tao.
          Removed all the files in tao/ior_corbaname/.

        * tao/default_resource.cpp:
          Added the code for dynamically loading CORBANAME_Parser.

        * tao/Makefile:
          Added an entry for CORBANAME_Parser.

        * orbsvcs/tests/ior_corbaname/
        * tao/tests/ior_corbaname/

          Moved the $TAO_ROOT/tests/ior_corbaname directory contents here
          as the test depends on Naming Service.
          Removed all the files in $TAO_ROOT/tests/ior_corbaname.

          With these set of changes, TAO supports corbaname scheme.

Wed Oct  4 18:49:18 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_enum.cpp:

          Cosmetic changes.

        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_interface_fwd:
        * TAO_IDL/be_include/be_valuetype.h:
        * TAO_IDL/be_include/be_valuetype_fwd:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_interface_fwd.h:

          Changes to allow valuetype information to be
          extracted from the base class AST_Interface and
          AST_InterfaceFwd, as well as from the be_valuetype
          and be_valuetype_fwd classes. Also modified the
          be_generator base class AST_Generator to generate
          these base class valuetype nodes. If the visitors of a
          pluggable IDL compiler BE iterate only over the
          AST_<node> classes, an instantiation of AST_Generator
          can then be used, and be_generator need not be
          included in the BE library.

Wed Oct  4 15:05:50 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/Makefile:
        * tao/DynamicAny/Makefile:
        * tao/IORManipulation/Makefile:
        * tao/IORTable/Makefile:
        * tao/PortableServer/Makefile:
        * tao/examples/POA/DSI/Makefile:
        * tao/tests/DSI_Gateway/Makefile:

          Updated dependencies.

Wed Oct  4 13:45:48 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/TAO_Server_Request.cpp:
        * tao/TAO_Server_Request.h:
        * tao/TAO_Server_Request.i:

          The GIOP_Server_Request.* files have been renamed.
          Class TAO_GIOP_ServerRequest is now
          TAO_ServerRequest. It no longer inherits from
          CORBA::ServerRequest and contains no DSI-specific
          members or functions. Likewise the CORBA::ServerRequest
          class contains only DSI-specific functionality.

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:

          Relevant files changed to use 'TAO_ServerRequest' in generating
          skeleton code.

        * examples/POA/DSI/Database_i.cpp:

          Added #include for Server_Request.h, since this file is no longer
          included in corba.h.

        * orbsvcs/IFR_Service/InterfaceS.cpp:
        * orbsvcs/IFR_Service/InterfaceS.h:
        * orbsvcs/IFR_Service/InterfaceS.i:
        * orbsvcs/IFR_Service/TypeCodeFactory_skel.cpp:

          Necessary changes to hand-crafted skeleton code.

        * tao/Abstract_Servant_Base.h:
        * tao/Adapter.cpp:
        * tao/Adapter.h:
        * tao/GIOP_Message_Accept_State.cpp:
        * tao/GIOP_Message_Accept_State.h:
        * tao/GIOP_Message_Acceptors.cpp:
        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Message_Lite.h:
        * tao/Makefile:
        * tao/Makefile.am:
        * tao/Makefile.bor:
        * tao/NVList.cpp:
        * tao/Pluggable_Messaging_Utils.h:
        * tao/Pluggable_Messaging_Utils.i:
        * tao/TAO.dsp:
        * tao/TAO_Static.dsp:
        * tao/Server_Request.cpp:
        * tao/Server_Request.h:
        * tao/Server_Request.i:
        * tao/corba.h:
        * tao/corbafwd.h:

          Changes to TAO library files. Besides the changes mentioned
          above, TAO_Pluggable_Reply_Params has been modified to no longer
          include an NVList member, but instead includes a boolean and a
          ptr_arith_t member used in CDR stream padding for DSI requests
          in the message acceptors.

        * tao/IORTable/Table_Adapter.cpp:
        * tao/IORTable/Table_Adapter.h:

          Corresponding changes to the IORTable library.

        * tao/PortableServer/DomainS.cpp:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.i:
        * tao/PortableServer/ImplRepoS.cpp:
        * tao/PortableServer/ImplRepoS.h:
        * tao/PortableServer/MessagingS.cpp:
        * tao/PortableServer/MessagingS.h:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/POA_CORBA.h:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/Servant_Base.cpp:
        * tao/PortableServer/Servant_Base.h:

          Corresponding changes to the PortableServer library.
          Also, TAO_DynamicImplementation now instantiates
          a CORBA::ServerRequest and passes it up to the
          DSI application.

        * tao/diffs/MessagingS.cpp.diff:
        * tao/diffs/PolicyS.cpp.diff:

          Corresponding changes to the diff files.

        * tests/DSI_Gateway/test_dsi.h:

          Added #include of Server_Request.h, since this file is
          no longer included in corba.h.

          The next step will be to move all the DII/DSI files and
          classes out of the TAO library and into a library of
          their own.

Wed Oct 04 13:15:39 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tests/Exposed_Policies/Policy_Tester.cpp:
        * tests/Exposed_Policies/Policy_Tester.h:
        * tests/Exposed_Policies/Policy_Verifier.cpp:
        * tests/Exposed_Policies/Policy_Verifier.h:
        * tests/Exposed_Policies/RT_Properties.cpp:
        * tests/Exposed_Policies/RT_Properties.h:
        * tests/Exposed_Policies/client.cpp:
        * tests/Exposed_Policies/server.cpp:

          Added flag to avoid compiling RT CORBA related stuff when
          building minimun CORBA, fixed warning caused on certain platform
          when using implicit conversion from _var to _ptr type.

Wed Oct 04 12:01:47 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * docs/releasenotes/index.html
        * docs/releasenotes/RTCorba.html

          Added documentation relative to RT-CORBA implementation, as well
          as the development status, and updated the release notes to
          point to the new document.

        * tests/Exposed_Policies/Policy_Tester.cpp:
        * tests/Exposed_Policies/Policy_Verifier.cpp:
        * tests/Exposed_Policies/server.cpp:

          Removed ";" after the ACE_RCSID to avoid warning on certaion
          platform.

Tue Oct  3 22:04:08 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be_include/be_interface.h:

          Shouldn't have been included in

          Tue Oct  3 19:20:14 2000  Jeff Parsons  <parsons@cs.wustl.edu>

          checkin.

Tue Oct  3 19:20:14 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_interface_fwd.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_native.cpp:
        * TAO_IDL/ast/ast_recursive.cpp:
        * TAO_IDL/ast/ast_root.cpp:
        * TAO_IDL/ast/ast_string.cpp:
        * TAO_IDL/ast/ast_typedef.cpp:
        * TAO_IDL/ast/ast_union_branch.cpp:
        * TAO_IDL/ast/ast_union_label.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_visitor_scope.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_field/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/include/ast_interface_fwd.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL//ast_native.h:
        * TAO_IDL/include/ast_root.h:
        * TAO_IDL/include/ast_string.h:
        * TAO_IDL/include/ast_typedef.h:
        * TAO_IDL/include/ast_union_branch.h:
        * TAO_IDL/include/ast_union_label.h:

          More cosmetizing and ACE-ifying of IDL compiler
          files, and a fix to a problem with IDL files containing
          unions that was inadvertently introduced by previous
          cosmetizing.

Tue Oct  3 13:42:47 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Portable_Interceptors/Dynamic/run_test.pl:
        * tests/Portable_Interceptors/Service_Context_Manipulation/run_test.pl:
          Fixed incorrect lib include paths.

        * tests/Portable_Interceptors/Benchmark/interceptors.h:
        * tests/Portable_Interceptors/Dynamic/client.cpp:
        * tests/Portable_Interceptors/Dynamic/interceptors.cpp:
        * tests/Portable_Interceptors/Dynamic/interceptors.h:
        * tests/Portable_Interceptors/Dynamic/server.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/client.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.h:
        * tests/Portable_Interceptors/Service_Context_Manipulation/server.cpp:
          Fixed Minimum CORBA build errors.

Tue Oct 03 12:48:10 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/MProfile.i (policy_list):

          Moved assignment of flag used for enabling lazy-evaluation
          to a more opportune place.

        * tao/Makefile.bor:

          Added missing .obj extesion to the file Remote_Object_Proxy_Impl,
          to fix build problem.

        * tests/Makefile:
        * tests/Exposed_Policies/Makefile:

          Updated Makefiles.

        * test/Exposed_Policies/run_test.pl:

          Added Perl Script to automatically run the test.

        * tests/Exposed_Policies/Policy_Tester.cpp:
        * tests/Exposed_Policies/Policy_Verifier.cpp:
        * tests/Exposed_Policies/Policy_Verifier.h:
        * tests/Exposed_Policies/RT_Properties.cpp:

          Fixed some typo in the error messages. Removed some dependencies
          that were not needed.

Tue Oct  3 10:36:25 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/CORBALOC_Parser.cpp (parse_string_rir_helper):
          Removed the declaration of an unused variable.

Tue Oct  3 09:47:12 2000  Darrell Brunsch <brunsch@uci.edu>

        * tao/TAO.dsp:
        * tao/TAO_Static.dsp:

          Added the CORBALOC files to the projects.

Tue Oct  3 10:52:07 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/ast/ast_union.cpp:

          Fixed some cut-and-paste mistakes from a previous checking,
          where add_to_scope() was incorrectly pasted where
          add_to_local_types() should have been.

Tue Oct  3 10:33:43 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be_include/be_interface.h:

          Had to add 'virtual' to a couple of function declarations,
          to keep cxx from being confused about functions with the
          same name in the base class AST_Decl, even though the
          signatures are not quite the same.

Tue Oct 03 10:08:19 2000  David L. Levine <levine@cs.wustl.edu>

        * orbsvcs/examples/CosEC/RtEC_Based/lib/Makefile: inserted
          -lTAO_CosEventin ACE_SHLIBS to suppress Compaq cxx warning
          about unresolved symbols when creating libTAO_RTEC_COSEC.so.

Mon Oct  2 17:21:25 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * docs/INS.html:
          Updated to reflect the change from iioploc to corbaloc format.

Mon Oct  2 15:25:16 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/default_resource.h (TAO_Default_Resource_Factory):
        * tao/default_resource.cpp (get_parser_names):
          Added CORBALOC_Parser in the list of IOR parsers.

        * tao/CORBALOC_Parser.h:
        * tao/CORBALOC_Parser.cpp:
        * tao/ior_corbaloc_export.h:
        * tao/CORBALOC_Parser.i:
          Moved these files from the sub-directory ior_corbaloc to tao.
          Added support for uiop and shmiop protocols in the corbaloc url.
          So, finally TAO supports corbaloc scheme.

        * tao/Makefile:
          Added the CORBALOC_Parser files.

        * tao/SHMIOP_Profile.cpp (parse_string):
          Added support so that if the host is not specified, the host is
          to be defaulted to the local host.

        * tests/ior_corbaloc/ior_corbaloc_client_i.cpp (init):
          Added some comments.

Mon Oct 02 17:16:38 2000  David L. Levine <levine@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile.CosEvent: inserted
          -lTAO_CosNaming in ACE_SHLIBS to suppress Compaq cxx warning
          about unresolved CosNaming symbols when creating libTAO_CosEvent.so.

Mon Oct  2 14:19:30 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/orbsvcs/CosEvent/CEC_ProxyPushSupplier.cpp:
          Add template instantiations, in the g'old days they were
          instantiated in the RTEvent library, but the CosEvent libraries,
          binaries and/or examples don't like that anymore.

Mon Oct  2 16:01:59 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_union.cpp:
        * TAO_IDL/include/ast_enum.h:

          Cleaned up order of initialization and unused variables
          from

          Mon Oct  2 14:59:44 2000  Jeff Parsons  <parsons@cs.wustl.edu>

          Thanks to Ossama for pointing these out.

Mon Oct  2 13:38:38 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp
          (TAO_SSLIOP_Acceptor):

          Added Security::NoDelegation security association bit to both
          the "target_requires" and "target_supports" field of the SSL
          component.  It is apparently not possible to support delegation
          in SSLIOP.

          Removed the Security::NoProtection bit from the
          "target_supports" field of the SSL component.  SSLIOP will soon
          disable request invocation on the unencrypted port by default.
          It will of course be possible to override this default on a
          per-object basis once the secure invocation policies are
          implemented.

          (parse_options):

          Don't bother setting the SSL port to zero.  It's already
          initialized to zero in the constructor.

Mon Oct  2 14:59:44 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_argument.cpp:
        * TAO_IDL/ast/ast_array.cpp:
        * TAO_IDL/ast/ast_attribute.cpp:
        * TAO_IDL/ast/ast_check.cpp:
        * TAO_IDL/ast/ast_concrete_type.cpp:
        * TAO_IDL/ast/ast_constant.cpp:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_enum.cpp:
        * TAO_IDL/ast/ast_enum_val.cpp:
        * TAO_IDL/ast/ast_exception.cpp:
        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/ast/ast_field.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_operation.cpp:
        * TAO_IDL/ast/ast_predefined_type.cpp:
        * TAO_IDL/ast/ast_redef.cpp:
        * TAO_IDL/ast/ast_sequence.cpp:
        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/ast/ast_type.cpp:
        * TAO_IDL/ast/ast_union.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_enum.cpp:
        * TAO_IDL/be/be_exception.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_operation.cpp:
        * TAO_IDL/be/be_predefined_type.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_structure.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_union.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_enum.h:
        * TAO_IDL/be_include/be_exception.h:
        * TAO_IDL/be_include/be_operation.h:
        * TAO_IDL/be_include/be_sequence.h:
        * TAO_IDL/be_include/be_structure.h:
        * TAO_IDL/be_include/be_type.h:
        * TAO_IDL/be_include/be_union.h:
        * TAO_IDL/be_include/be_valuetype.h:
        * TAO_IDL/include/ast_argument.h:
        * TAO_IDL/include/ast_array.h:
        * TAO_IDL/include/ast_attribute.h:
        * TAO_IDL/include/ast_concrete_type.h:
        * TAO_IDL/include/ast_constant.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_enum.h:
        * TAO_IDL/include/ast_enum_val.h:
        * TAO_IDL/include/ast_exception.h:
        * TAO_IDL/include/ast_expression.h:
        * TAO_IDL/include/ast_field.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_operation.h:
        * TAO_IDL/include/ast_predefined_type.h:
        * TAO_IDL/include/ast_sequence.h:
        * TAO_IDL/include/ast_structure.h:
        * TAO_IDL/include/ast_type.h:
        * TAO_IDL/include/ast_union.h:

          Moved some functions and members in the be_<node>
          classes to the corresponding AST_node> base class, in
          preparation for writing visitors for the IfR pluggable BE
          that visit the AST_<node> classes only. This way, none
          of the be_<node> classes need be included in the IfR
          pluggable BE, making it much smaller than the IDL compiler
          BE. Also did the ususal code cleanup in these files -
          replaced 'new' with 'ACE_NEW*', cleaned up indentation,
          format, etc.

Mon Oct  2 13:50:08 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/README: Updated the file.

        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp: Made some
          cosmetic changes.

Mon Oct  2 13:10:14 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.i:
          Implementation for transparent reinvocation as defined by FT
          CORBA.

Mon Oct  2 13:08:16 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_cs.cpp: Set the restart_flag
          in the Inocation class if the previous invocation returns a
          TAO_INVOKE_RESTART.

Mon Oct  2 10:58:55 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Wait_On_Leader_Follower.cpp (connection_closed): Fixed a
          typo that was a source of a bug. The reply_received value was
          being set to -11 when that should have been set to -1. This was
          not generating the right exceptions when the client's transport
          detected that the server was shutdown.

        * tao/Invocation.cpp:
        * tao/Invocation.h:
        * tao/Invocation.i: Added hooks for transparent reinvocation for
          FT CORBA. Transparent reinvocation happens only if certain
          policies are set and if the FT library is loaded. Also added a
          flag restart_flag_ to the Invocation classes. This flag is set
          to true in the generated code whenever the Invocation classes
          return TAO_INVOKE_RESTART.

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i: Implementation of the hooks for the transparent
          reinvocation.

        * tao/Service_Callbacks.h:
        * tao/Service_Callbacks.cpp: Added calls to call in to the
          services to return the right exception to the Invocation
          classes.

Mon Oct  2 07:38:59 2000  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * performance-tests/RTCorba/Oneways/Reliable: Added new Borland C++
          Builder project files.  Thanks to Johnny Willemsen
          <Johnny.Willemsen@meco.nl> for contributing these.

Sat Sep 30 16:17:08 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Fault_Tolerance_Service.h: Added TAO_Export keyword for the
          class.

        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.h: Added the
          right export key word, TAO_FT_Export instead of TAO_Export.

        * orbsvcs/orbsvcs/Fault_Tolerance.dsp: Updated the dsp file.

Fri Sep 29 17:17:08 2000  Ossama Othman  <ossama@uci.edu>

        * tao/corbafwd.cpp (string_dup, wstring_dup):

          Verify that the allocated buffer is non-zero prior to copying
          the string to it since the copy functions used assume that the
          buffer is a valid one.

Fri Sep 29 16:37:03 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/orbsvcs/CosEvent.dsp:
        * orbsvcs/CosEvent_Service/CosEvent_Service.dsp:
          The Event Service does not require to link the RTEvent libraries
          anymore.

Fri Sep 29 14:37:12 2000  Ossama Othman  <ossama@uci.edu>

        * TAO_IDL/Makefile.am (tao_idl_LDADD):

          Link libtool convenience libraries instead of static ones.

        * TAO_IDL/driver/Makefile.am:
        * TAO_IDL/fe/Makefile.am:
        * TAO_IDL/be/Makefile.am:
        * TAO_IDL/ast/Makefile.am:
        * TAO_IDL/util/Makefile.am:
        * TAO_IDL/narrow/Makefile.am:

          Generate libtool convenience library instead of a static one.

        * TAO_IDL/include/Makefile.am (noinst_HEADERS):

          `utl_error.h' was renamed to `utl_err.h' in a previous update.

Fri Sep 29 14:00:15 2000  Ossama Othman  <ossama@uci.edu>

        * tao/Makefile.am (IDL_FILES, pkginclude_HEADERS):

          Changed variable "IDL_HEADERS" to "IDL_FILES."  The "_HEADERS"
          suffix is reserved by automake.

Fri Sep 29 14:48:38 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.h:

          Removed TAO_SSLIOP_Handler_Base::TCP_Properties since we are
          using TAO_IIOP_Handler_Base::TCP_Properties.  More compilation
          fixes.

Fri Sep 29 14:28:24 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Makefile.bor (OBJFILES): Added new files in to this
          Makefile.

Fri Sep 29 14:20:33 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Fault_Tolerance_Service.h: Added missing post.h.

Fri Sep 29 14:06:52 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/ORB.cpp: Removed ACE_INLINE keywords from two methods. It
          got spilled over when I moved stuff from inline files to cpp
          files.Thanks to Nanbor for pointing this out.

Fri Sep 29 13:34:45 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp:

          Fixed compilation problems.

Fri Sep 29 11:30:13 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.i:
          Implementation of the ORB level hooks for the creations of
          policies and service context lists.

        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Policy_i.i: New files for the
          FT policy object.

        * orbsvcs/orbsvcs/Makefile.FaultTolerance: Added the new files to
          the Makefile.

Fri Sep 29 11:14:52 2000 Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/TAO.dsp:
        * tao/TAO_Static.dsp: Added the new files in to the MSVC project
          file.

Fri Sep 29 11:11:40 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_exception/ctor_assign.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ctor.cpp:

          Added call to base class user exception constructor for
          local exceptions (since the call no longer takes a
          typecode argument). Thanks to Irfan for reporting this.

          Also took the usual opportunity to cosmetize the source
          code and the generated code for exceptions.

Fri Sep 29 10:14:52 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i:
        * tao/Invocation.cpp:
        * tao/Service_Callbacks.h:
        * tao/Service_Callbacks.cpp: Added some more hooks for the FT
          CORBA implementation. These hooks are used for creating service
          context list based on some policies set in the ORB. Hooks for
          the creation of policy objects have also been added.

        * tao/ORB.h:
        * tao/ORB.cpp:
        * tao/ORB.i: Added TAO specific methods _tao_ft_client_id () that
          would allow applications to set a client id for Fault
          Tolerance. A combination of client id and a unique retention id
          (more or less like a request id) helps to identify the
          requests.

        * tao/Fault_Tolerance_Service.h:
        * tao/Fault_Tolerance_Service.cpp:
        * tao/Fault_Tolerance_Service.i: New files. A collection of ORB &
          ORB_Core related properties that are specific to FT CORBA. These
          would not get activated unless the FT library has been loaded in
          to the ORB_Core.

        * tao/Client_Strategy_Factory.cpp:
        * tao/Client_Strategy_Factory.h: Added a method for the creation
          of a lock (create_ft_service_retention_id_lock ()) for the
          creation of a unique retention id in the Fault Tolerance Service
          class.

        * tao/default_client.cpp:
        * tao/default_client.h: Implementation of
          create_ft_service_retention_id_lock () for the default_client.

        * tao/Makefile: Added the new file.

Fri Sep 29 09:17:15 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ci.cpp:

          Backed off generation of const []  operator for
          _var class of sequences of arrays. Also updated
          the related Bugzilla entry [BUGID:676]. These
          operators were causing build erorrs in Param_Test
          (typedef sequence<Param_Test::FixedArray> ArraySeq).

Fri Sep 29 02:09:32 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/diffs/RTPortableServerC.h.diff:
        * tao/diffs/RTPortableServerC.cpp.diff:

          Added diff files.

        * tao/PortableServer/PortableServer.pidl:
        * tao/PortableServer/RTPortableServer.pidl:

          Updated documentation.

Fri Sep 29 01:41:05 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/PortableServer: New files were added to support the RT POA
          interface:

          RTPortableServer.pidl
          RTPortableServerC.cpp
          RTPortableServerC.h
          RTPortableServerC.i

        * tao/PortableServer/PortableServer.pidl: Improved IDL code
          generation and patching information and comments.

        * tao/PortableServer/TAO_PortableServer.dsp:
        * tao/PortableServer/Makefile:

          Added RTPortableServerC.* files.

        * tao/PortableServer/PortableServerC.cpp: Exception id for local
          exceptions was not being set in the constructor.  I fixed this
          by hand.  Jeff should be able to fix this in the IDL compiler so
          that we don't have to fix this on every regeneration of the IDL
          code.

        * tao/PortableServer/POA.h: Derive TAO_POA from
          RTPortableServer::POA or PortableServer::POA depending on
          TAO_HAS_RT_CORBA.

        * tao/PortableServer/PortableServer.h:
        * tao/PortableServer/Object_Adapter.h:

          #include "RTPortableServerC.h" instead of
          #include "PortableServerC.h".

          RTPortableServerC.h includes PortableServerC.h.

        * tests/Exposed_Policies/Policy_Tester: Changed type of
          <child_poa> to be of type RTPortableServer::POA from
          PortableServer::POA.

Fri Sep 29 01:27:26 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/IIOP_Acceptor.h
        * tao/IIOP_Connector.h:

          Made <tcp_properties_> members protected for use by SSLIOP.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:

          Removed <init_tcp_properties> method and <tcp_properties_>
          member because we already inherit them from TAO_IIOP_Acceptor.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.h
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.h:

          Added support for client protocol properties configurations
          through RTCORBA::ClientProtocolPolicy.

Thu Sep 28 23:51:11 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/IIOP_Connect.cpp
        * tao/IIOP_Connect.h
        * tao/IIOP_Connector.cpp
        * tao/IIOP_Connector.h
        * tao/UIOP_Connect.cpp
        * tao/UIOP_Connect.h
        * tao/UIOP_Connector.cpp
        * tao/UIOP_Connector.h:

          Support for client protocol properties configurations through
          RTCORBA::ClientProtocolPolicy.

        * tao/ORB_Core.cpp
        * tao/ORB_Core.h:

          Added ORB default RTCORBA::ClientProtocolPolicy.

        * tao/Policy_Manager.cpp
        * tao/Policy_Manager.h:

          Added <client_protocol> setter.

Thu Sep 28 20:34:38 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:

          Put back a generated 'const' that was inadvertently removed.

Thu Sep 28 17:47:24 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_info_rettype.cpp:

          Fixed generated code for more use cases of interceptors. The
          errors that prompted this fix were in FT_CORBA.idl and
          reported by Aniruddha Gokhale <gokhale@research.bell-labs.com>.

Thu Sep 28 14:35:32 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/tests/Notify/performance_tests/RedGreen/Makefile:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/README:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/RedGreen_Test.cpp:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/RedGreen_Test.h:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/main.cpp:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/listener.conf:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/lookup.conf:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/reactive.conf:
        * orbsvcs/tests/Notify/performance_tests/RedGreen/svc.conf:
        * orbsvcs/tests/Notify/performance_tests/Throughput/Makefile:
        * orbsvcs/tests/Notify/performance_tests/Throughput/README:
        * orbsvcs/tests/Notify/performance_tests/Throughput/Throughput.cpp:
        * orbsvcs/tests/Notify/performance_tests/Throughput/Throughput.h:

          Added 2 performance tests for Notify. These tests are
          under-construction.

Thu Sep 28 13:22:30 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ci.cpp:

          The changes from

          Wed Sep 27 18:54:29 2000  Jeff Parsons  <parsons@cs.wustl.edu>

          have been reverted for sequences of strings, wstrings, typecodes
          and objects (including CORBA::Object). Constant instantiations of
          the manager classes for these types cannot be made portable over
          all supported compilers and platforms, so some other approach is
          needed [BUGID:676].

        * TAO_IDL/be/be_visitor_sequence/elemtype.cpp:

          Cosmetic changes to generated code.

Thu Sep 28 01:49:36 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Endpoint.h
        * tao/IIOP_Acceptor.cpp
        * tao/IIOP_Acceptor.h
        * tao/IIOP_Connector.cpp
        * tao/IIOP_Endpoint.h
        * tao/IIOP_Profile.cpp
        * tao/IIOP_Profile.h
        * tao/Pluggable.h
        * tao/Profile.h
        * tao/SHMIOP_Acceptor.cpp
        * tao/SHMIOP_Acceptor.h
        * tao/SHMIOP_Connector.cpp
        * tao/SHMIOP_Endpoint.h
        * tao/SHMIOP_Profile.cpp
        * tao/SHMIOP_Profile.h
        * tao/UIOP_Acceptor.cpp
        * tao/UIOP_Acceptor.h
        * tao/UIOP_Connector.cpp
        * tao/UIOP_Endpoint.h
        * tao/UIOP_Profile.cpp
        * tao/UIOP_Profile.h
        * tao/iiop_endpoints.pidl
        * tao/uiop_endpoints.pidl
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connector.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.h
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.h
        * orbsvcs/orbsvcs/SSLIOP/ssl_endpoints.pidl:

          Added thorough comments for all recent changes related to
          addition of the Endpoint interface to TAO PP Framework.

Wed Sep 27 18:54:29 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ci.cpp:

          Added code generation for the const version of the
          [] operator for the sequence _var classes. According
          to H & V, page 212 and 214, both versions must be
          there for sequences. We were generating only the
          non-const version. Thanks to Michael Rinne
          <Michael.Rinne@ZN-AG.de> for reporting this.

Wed Sep 27 17:44:12 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/PortableServer/Strategized_Object_Proxy_Broker.h:
        * tao/PortableServer/Strategized_Object_Proxy_Broker.cpp:
        * tao/MProfile.h:
        * tao/MProfile.i:

          Substituted ACE mutexes and ACE guards class with the
          proper macros.

Wed Sep 27 15:37:53 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/PortableServer/PortableServerC.cpp
          (POAManager::AdapterInactive): This exception is defined for
          minimum CORBA.  Therefore, code related to this class should be
          compiled in the minimum CORBA build.

Wed Sep 27 11:25:38 2000  Carlos O'Ryan  <coryan@uci.edu>

        * examples/Simple/time-date/svc.conf:
          Dynamically load the default IOR parsers, otherwise the ORB may
          try to do that, using ACE_Service_Config::process_directive().
          Unfortunately that stops any further parsing in the svc.conf
          file too.

        * examples/Simple/time-date/Time_Date.cpp:
          In debugging mode print the thread ID that initialize the ORB
          and the thread id that runs it.  Useful to figure out what is
          going on.

        * examples/Simple/time-date/run_test.pl:
          Remove the ior file before starting the test, to avoid problems
          with stale files.

Tue Sep 26 21:11:50 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/orbsvcs/AV/AVStreams_i.cpp (connect):

          Fixed erroneous use of CORBA::string_copy().  That method was
          removed from TAO since it provided no additional functionality
          compared to CORBA::string_dup().  The standard
          CORBA::string_dup() is used instead.

Tue Sep 26 19:58:52 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/PortableServer/Makefile.bor:
        * tao/Makefile.bor:

          Added new collocation related file to the borlands.

Tue Sep 26 15:14:33 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/PortableServer/PortableServerC.cpp: Made a couple of
          formatting changes to reduce diffs. ForwardRequest constructor
          should not call CORBA::string_dup.

        * tao/diffs/PortableServerC.cpp.diff: Fixed inclusion of POA.h.
          Also one of the MINIMUM_CORBA #defines was out of place because
          of the new _type() method.

        * tao/diffs/PortableServerC.h.diff: Many small formatting changes
          were necessary for the patch file to work with the better
          formatting produced by the idl compiler.  Also, code related to
          the iostreams was removed.

Tue Sep 26 12:25:53 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile.CosNotification:
          Updated dependencies.

Tue Sep 26 13:43:18 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs_.cpp:

          Moved the visit_scope call for the interface so it
          comes after the interface's _is_a, _tao_QueryInterface,
          and _interface_repository_id methods have been generated,
          so that the interface's methods will all be in one place.
          This makes it easier for the patch files for the hand-
          crafted code to do their work. Thanks to Irfan for pointing
          this out.

Tue Sep 26 10:10:55 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/Makefile.dependencies:
          When compiling with static libraries the tao_idl compiler should
          not be touch'ed unless the static libraries change.

Mon Sep 25 22:34:47 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/uiop_endpoints.cpp
        * tao/uiop_endpoints.h
        * tao/uiop_endpoints.i
        * tao/iiop_endpoints.cpp
        * tao/iiop_endpoints.h
        * tao/iiop_endpoints.i
        * tao/ssl_endpoints.cpp
        * tao/ssl_endpoints.h
        * tao/ssl_endpoints.i:

          Trimmed down these files by removing generated classes/functions
          we do not use.  In particular,  removed all any operators, *_out
          classes and *info*_var classes.

        * tao/SSLIOP_Profile.cpp (encode)
        * tao/IIOP_Profile.cpp (create_profile_body)
        * tao/UIOP_Profile.cpp (create_profile_body)
        * tao/SHMIOP_Profile.cpp (create_profile_body):

          Added TAO_HAS_RT_CORBA protection: create TAO_TAG_ENDPOINTS
          component only when RTCORBA is enabled.

        * tao/corbafwd.h:

          Updated Tagged Components tag ids.  Assigned a new id to
          TAO_TAG_ENDPOINTS rather than reusing TAO_TAG_PRIORITY to avoid
          interoperability problems with older versions of TAO (old
          server/new client).

Mon Sep 25 20:03:11 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/PortableServer/POA.cpp (locate_servant_i): The incarnate()
          implementation is supposed to hand to the POA the ownership of
          the servant reference.  This means that the POA should not call
          _add_ref() after the return of incarnate().  Thanks to Bruce
          Trask <btrask@contactsystems.com> and Jon Biggar
          <jon@biggar.org> for pointing out this bug.

Mon Sep 25 16:17:01 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile.CosNotification:
          Added Notify_Command.cpp to files.
        * orbsvcs/orbsvcs/Notify_AdminProperties.cpp:
        * orbsvcs/orbsvcs/Notify_Default_Collection_Factory.cpp:
        * orbsvcs/orbsvcs/Notify_Default_EMO_Factory.cpp:
          Fixes for various compilation problems - thanks to Wei Chiang
          <Wei.Chiang@nokia.com> for providing missing code for template
          instantiation.
        * orbsvcs/Notify_Service/README:
          Added a svc.conf option to show how show available options.

Mon Sep 25 13:51:43 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/orbsvcs/SECIOP.idl:
        * orbsvcs/orbsvcs/Security.idl:
        * orbsvcs/orbsvcs/SecurityLevel1.idl:
        * orbsvcs/orbsvcs/SecurityLevel2.idl:
        * orbsvcs/orbsvcs/SecurityReplaceable.idl:

          Security Service 1.8 updates.

Mon Sep 25 11:09:20 2000  Ossama Othman  <ossama@uci.edu>

        * TAO_IDL/be/be_helper.cpp (copyright):

          Cosmetic update for the RCS ID in generated files.  Updated the
          copyright information to include the UCI wing of the DOC group.

        * tao/params.h:
        * tao/params.cpp:
        * tao/params.i:

          Removed unused "init_ref_" attribute.  The new IOR table
          obviates the need for this attribute.

          Changed "mcast_discovery_endpoint_" attribute from an
          ACE_CString to a CORBA::String_var.  This gets around an access
          violation that was occuring when allocating space for a string
          inside the ACE_CString assignment operator.  A fix for the
          cause of the access violation itself will be committed soon.
          [Bug 665]

        * tao/corbafwd.cpp (string_dup, wstring_dup):

          Set errno to EINVAL if a null pointer was passed as an
          argument.

        * tao/corbafwd.h:
        * tao/CORBA_String.cpp:

          Removed CORBA::string_copy() TAO extension.  The standard
          CORBA::string_dup() should be used instead.

        * tao/corbafwd.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Endpoint.h:

          Moved macro definition of TAO_TAG_SSL_ENDPOINTS to
          SSLIOP_Endpoint.h.  Security-specific code should not be placed
          anywhere within the ORB core.

        * tao/IOP.pidl:

          Removed all security related tags.  They are superseded by those
          in the SSLIOP and SECIOP modules in the Security Service IDL.

        * tao/IOPC.cpp:
        * tao/IOPC.h:
        * tao/IOPC.i:
        * tao/IOPS.cpp:
        * tao/IOPS.h:
        * tao/IOPS.i:
        * tao/IOPS_T.cpp:
        * tao/IOPS_T.h:
        * tao/IOPS_T.i:

          Regenerated these files from newly modified `IOP.pidl'.

        * tao/diffs/IOP.diff:

          Added a patch file for the hand modified IOP stubs and
          skeletons.

        * tao/Tagged_Components.i (unique_tag):

          Removed references to all security related tags.  Those tags are
          now in defined in the Security Service IDL sources, and
          supersede the ones formerly in `IOP.pidl.'  Again, no security
          related code should exist in the ORB core.

        * tao/IIOP_Acceptor.h:
        * tao/IIOP_Acceptor.cpp (hostname, create_mprofile,
          create_rt_mprofile, open_i):
        * orbsvcs/orbsvcs/SSLIOP_Acceptor.cpp (create_mprofile,
          create_rt_mprofile, open_i):

          Use "char *" in place of "ACE_CString" since the latter is
          lighter weight, and since the additional functionality provided
          by the ACE_CString class is not needed.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp
          (create_mprofile, create_rt_mprofile):
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp (decode):

          Use SSL tag value from the SSLIOP module instead of the one in
          the IOP module since security service 1.7 specification
          explicitly states that the tag in the SSLIOP module should be
          used to identify an SSLIOP tagged component.

        * orbsvcs/orbsvcs/Security.idl:
        * orbsvcs/orbsvcs/SecurityLevel1.idl:
        * orbsvcs/orbsvcs/SecurityLevel2.idl:
        * orbsvcs/orbsvcs/SecurityAdmin.idl:
        * orbsvcs/orbsvcs/SecurityReplaceable.idl:
        * orbsvcs/orbsvcs/SSLIOP.idl:
        * orbsvcs/orbsvcs/SECIOP.idl:

          Added '#pragma prefix ""' to the end of these IDL sources to
          to prevent the prefix pragma specific to each of these IDL
          sources from being unintentionally used in other IDL sources
          that include them.

        * orbsvcs/examples/Security/Send_File/Send_File_Client.dsp:
        * orbsvcs/examples/Security/Send_File/Send_File_Server.dsp:

          Changed binary names to match those used in the `run_test.pl'
          script so that the script may be used to run them.

Mon Sep 25 12:44:11 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Makefile.bor:
        * tao/PortableServer/Makefile.bor: Removed some files that were
          removed longback from the repository.

Sun Sep 24 12:20:00 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Abstract_ServantBase.cpp
        * tao/PortableServer/Direct_Object_Proxy_Impl.cpp:

          Removed ";" at the end of the ACE_RCSID entry, to avoid
          having this notified as extra ";" on OSF1 builds.

Sat Sep 23 22:30:05 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.h:
        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.i:
        * orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.h:
          removed warnings about obsolete const return type.

        * orbsvcs/orbsvcs/Notify/Notify_Buffering_Strategy.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ConsumerAdmin_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Dispatch_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.i:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager_Objects_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Factory.cpp:
          Debug messages print if TAO_debug_level > 0

        * orbsvcs/orbsvcs/Notify/Notify_Event.cpp:
          Fixed a race condition in _decr_refcnt

Sat Sep 23 13:37:37 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/MProfile_Forwarding/Manager.cpp: Fixed a compile error.

Sat Sep 23 10:29:14 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/Adapter.h:
        * tao/Adapter.cpp:
          Include "tao/Exception.h" in the header file, this is needed to
          compile with gcc 2.96 snapshots as well as with the IRIXI
          compiler. Thanks to Craig Rodrigues <crodrigu@bbn.com> for
          providing the patches.

        * tao/corbafwd.h:
          Fixed some comments.

Sat Sep 23 11:30:07 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/Client_i.h:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.h:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile:
        * orbsvcs/tests/FaultTolerance/IOGR/svc.conf:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:
          Made changes to the tests to make things simpler.

Sat Sep 23 11:18:18 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/ORB_Core.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.cpp: Added
          some fixes for static_lib builds.

Sat Sep 23 08:15:02 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.cpp:
          Add missing #include, at least it is needed with Sun/CC

Sat Sep 23 00:47:16 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/MProfile.h:
        * tao/MProfile.i: Added ACE_MT to <mutex_>'s decl and reference.

Fri Sep 22 17:40:09 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/orbsvcs/Security.idl:
        * orbsvcs/orbsvcs/SecurityAdmin.idl:
        * orbsvcs/orbsvcs/SecurityLevel1.idl:
        * orbsvcs/orbsvcs/SecurityLevel2.idl:
        * orbsvcs/orbsvcs/SecurityReplaceable.idl:

          Uncommented IDL version pragmas.  They are currently ignored by
          TAO_IDL so there is no harm in uncommenting.  This will be
          useful In the event that TAO_IDL begins to support IDL version
          pragmas.

Fri Sep 22 14:22:47 2000  Darrell Brunsch <brunsch@uci.edu>

        * docs/locate_request.html:
        * orbsvcs/examples/RtEC/Schedule/Schedule.h:
        * orbsvcs/orbsvcs/Naming/Naming_Loader.h:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies_Runtime.h:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.h:

          The CVS Id strings were not correctly formatted, so CVS
          never recognized them or updated them.  Fixed.

Fri Sep 22 14:21:26 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/tests/ImplRepo/README:

          Updated list of command line options for the perl
          script, to reflect the new tests that have been
          added (persistence test and ImR NT service test).
          Also added documentation on the NT service test.

        * orbsvcs/tests/ImplRepo/ImplRepo.dsw:

          Added NT_ImplRepo_Service project (from
          orbsvcs/ImplRepo_Service) to test workspace.

        * docs/implrepo/usersguide.html:

          Added section on running the Implementation
          Repository as an NT service.

Fri Sep 22 11:32:25 2000  Darrell Brunsch <brunsch@uci.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo.dsw:

          Removed tao_ifr project (it doesn't seem to exist).

        * orbsvcs/FT_Service/FT_CORBA_ServiceC.h:
        * orbsvcs/FT_Service/FT_CORBA_ServiceS.h:
        * orbsvcs/orbsvcs/AV/RTCP.h:
        * orbsvcs/orbsvcs/AV/media-timer.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.h:
        * orbsvcs/tests/AVStreams/mpeg/source/mpeg_client/vp.cpp:
        * performance-tests/Cubit/TAO/MT_Cubit/Task_Client.h:
        * performance-tests/POA/Demux/demux_stats.cpp:
        * performance-tests/POA/Demux/demux_test_client.h:
        * tao/DLL_ORB.inl:
        * tests/Object_Loader/Loader.cpp:

          Made changes to get Fuzz reports to be clean:
          - Disabled math.h check wherever we included it (since
            I assumed if we are including it, we have already
            considered any issues with it)
          - Changed ASYS_TEXT to ACE_TEXT
          - Added missing Id string
          - Added missing ace/post.h includes

          [Bug 630]

Fri Sep 22 12:20:41 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/tests/ImplRepo/run_test.pl:

          Added missing quotes around a couple of ACE_ROOTs,
          $DIR_SEPARATORs in place of some '/'s, and the
          recently added tests to the usage message.

Thu Sep 21 19:27:01 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_produce.cpp:

          Recently some cleanup code was added at the end of
          the method BE_produce(). This code is now abstracted
          into a method BE_cleanup(), which is called at the
          end of BE_produce, and also by BE_abort(), so that the
          cleanup can be executed even if code generation is not
          completed.

        * TAO_IDL/be_include/be_decl.h:

          Cosmetic changes.

Thu Sep 21 18:29:07 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Abstract_Servant_Base.h:

          Removed useless forward declaration of ServerRequest, which
          was source of compilation error on sunCC.

        * tao/Remote_Object_Proxy_Impl.h:
        * tao/PortableServer/Direct_Object_Proxy_Impl.h:
        * tao/PortableServer/ThruPOA_Object_Proxy_Impl.h:

          Now this class inherit virtually from <TAO_Object_Proxy_Impl>
          this is needed to enable domincance in the new-coming IDL
          generated code for proxies.

Thu Sep 21 16:48:50 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * TAO_IDL/TAO_IDL_BE_DLL.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:
        * TAO_IDL/TAO_IDL_FE_DLL.dsp:
        * TAO_IDL/TAO_IDL_FE_LIB.dsp:  Added pre-link rules to remove
          corresponding TAO_IDL executables if any of these libraries gets
          relinked (i.e., updated.)  These rules achieve the same
          functionality that Makefile.dependencies does by forcing relink
          of TAO_IDL executables.

Thu Sep 21 15:11:29 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.h:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/Makefile: Fixed a
          bug with static builds.

Thu Sep 21 15:10:22 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:
          Fixed a bug with static builds.

Thu Sep 21 14:13:01 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/IORManipulation/IORC.cpp:
        * tao/IORManipulation/IORC.h:
        * tao/IORManipulation/IORManip_Loader.h:
        * tao/IORManipulation/IORManipulation.h:
        * tao/IORManipulation/IORManipulation.cpp:
        * tests/IORManipulation/IORTest.cpp:
        * tests/IORManipulation/Makefile: Fixed a bug with static
          builds. Thanks to Carlos for helping out with this.

Thu Sep 21 10:08:20 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAOACE.dsw:
        * orbsvcs/CosEvent_Service/CosEvent_Service.dsp:
        * orbsvcs/CosEvent_Service/CosEvent_Service.dsw:
        * orbsvcs/orbsvcs/CosEvent.dsp:
        * orbsvcs/orbsvcs/CosEvent_Static.dsp:
          Update project files with the new COS Event Service dependencies
          and locations.

Thu Sep 21 11:01:22 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo.dsw:

          New project added.

        * orbsvcs/ImplRepo_Service/NT_ImplRepo_Service.dsp:
        * orbsvcs/ImplRepo_Service/NT_ImplRepo_Service.cpp:
        * orbsvcs/ImplRepo_Service/NT_ImplRepo_Service.h:
        * orbsvcs/ImplRepo_Service/NT_ImplRepo_Server.dsp:

          New files which build the Implementation Repository
          as an NT service.

        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp:

          Minor change to catch block eroor output message.

        * orbsvcs/tests/Implrepo/run_test.pl:

          Added tests for persistent ImR and ImR as NT service.

        * docs/implrepo/usersguide.html:

          Added section about persistent ImR.

Thu Sep 21 08:33:18 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/CosEvent_Service/Makefile:
        * orbsvcs/CosEvent_Service/Makefile.am:
        * orbsvcs/CosEvent_Service/Makefile.bor:
        * orbsvcs/CosEvent_Service/CosEvent_Service.cpp:
        * orbsvcs/CosEvent_Service/CosEvent_Service.h:
        * orbsvcs/CosEvent_Service/CosEvent_Service_Native.cpp:
        * orbsvcs/CosEvent_Service/CosEvent_Service_Native.dsp:
        * orbsvcs/examples/CosEC/Makefile:
        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory_i.cpp:
        * orbsvcs/examples/CosEC/Factory/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/README:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ConsumerAdmin_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ConsumerAdmin_i.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/CosEvent_Utilities.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/CosEvent_Utilities.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/EventChannel_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/EventChannel_i.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushConsumer_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushConsumer_i.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushSupplier_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/ProxyPushSupplier_i.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/SupplierAdmin_i.h:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/SupplierAdmin_i.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/lib/rtec_cosec_export.h:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/Makefile.am:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/Makefile.bor:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/README:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.h:
        * orbsvcs/examples/CosEC/RtEC_Based/bin/RtEC_Based_CosEC.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/README:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Basic.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Basic.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Consumer.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Consumer.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Supplier.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Basic/Supplier.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Makefile:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/README:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Consumer.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Consumer.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Multiple.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Supplier.h:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/Supplier.cpp:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test.pl:
        * orbsvcs/examples/CosEC/RtEC_Based/tests/Multiple/run_test2.pl:
        * orbsvcs/examples/CosEC/Simple/Makefile:
        * orbsvcs/orbsvcs/Makefile.CosEvent:
        * orbsvcs/orbsvcs/CosEvent_Utilities.h:
        * orbsvcs/orbsvcs/CosEvent_Utilities.cpp:
        * orbsvcs/orbsvcs/CosEvent/CEC_Dispatching_Task.cpp:
        * orbsvcs/orbsvcs/CosEvent/ConsumerAdmin_i.h:
        * orbsvcs/orbsvcs/CosEvent/ConsumerAdmin_i.cpp:
        * orbsvcs/orbsvcs/CosEvent/EventChannel_i.h:
        * orbsvcs/orbsvcs/CosEvent/EventChannel_i.cpp:
        * orbsvcs/orbsvcs/CosEvent/ProxyPushConsumer_i.h:
        * orbsvcs/orbsvcs/CosEvent/ProxyPushConsumer_i.cpp:
        * orbsvcs/orbsvcs/CosEvent/ProxyPushSupplier_i.h:
        * orbsvcs/orbsvcs/CosEvent/ProxyPushSupplier_i.cpp:
        * orbsvcs/orbsvcs/CosEvent/SupplierAdmin_i.h:
        * orbsvcs/orbsvcs/CosEvent/SupplierAdmin_i.cpp:
        * orbsvcs/tests/Makefile:
        * orbsvcs/tests/CosEC_Basic/CosECConsumer.cpp:
        * orbsvcs/tests/CosEC_Basic/CosECConsumer.h:
        * orbsvcs/tests/CosEC_Basic/CosECSupplier.cpp:
        * orbsvcs/tests/CosEC_Basic/CosECSupplier.h:
        * orbsvcs/tests/CosEC_Basic/CosEC_Basic.cpp:
        * orbsvcs/tests/CosEC_Basic/CosEC_Basic.h:
        * orbsvcs/tests/CosEC_Basic/Makefile:
        * orbsvcs/tests/CosEC_Basic/README:
        * orbsvcs/tests/CosEC_Multiple/CosECConsumer.cpp:
        * orbsvcs/tests/CosEC_Multiple/CosECConsumer.h:
        * orbsvcs/tests/CosEC_Multiple/CosECSupplier.cpp:
        * orbsvcs/tests/CosEC_Multiple/CosECSupplier.h:
        * orbsvcs/tests/CosEC_Multiple/CosEC_Multiple.cpp:
        * orbsvcs/tests/CosEC_Multiple/CosEC_Multiple.h:
        * orbsvcs/tests/CosEC_Multiple/Makefile:
        * orbsvcs/tests/CosEC_Multiple/README:
        * orbsvcs/tests/CosEC_Multiple/run_test.pl:
        * orbsvcs/tests/CosEC_Multiple/run_test2.pl:
          Move the RtEC based COS Event Service to the examples
          directory.  The new "native" implementation is fully featured
          and seems to be working much better.

        * tests/Native_Exceptions/Makefile:
          Update dependencies

        * tao/Makefile.am:
        * tao/Makefile.bor:
          Add new files.

Thu Sep 21 10:11:09 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:

          Changed a couple of ACE_THROWs to ACE_THROW_RETURN,
          because they occurred inside a function returning
          an int.

Wed Sep 20 16:54:11 2000  Darrell Brunsch <brunsch@uci.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_i.h:

          Addressed some comments that Carlos added to the code (about
          throw specs)

          Also checked in some code that fixes/reorganizes the logic used
          to wait for a server to finish starting up.  Added a method,
          ready_check, which contains this new logic.  [Bug 605][Bug 606]


Wed Sep 20 14:50:29 2000  Ossama Othman  <ossama@uci.edu>

        * tao/Invocation.cpp (invoke):

          Fixed "unused variable" warning by actually using the variable
          (tms).

Wed Sep 20 16:04:59 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be_include/be.h:
        * TAO_IDL/be_include/be_argument.h:
        * TAO_IDL/be_include/be_array.h:
        * TAO_IDL/be_include/be_attribute.h:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_constant.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_enum.h:
        * TAO_IDL/be_include/be_enum_val.h:
        * TAO_IDL/be_include/be_exception.h:
        * TAO_IDL/be_include/be_expression.h:
        * TAO_IDL/be_include/be_field.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_interface_fwd.h:
        * TAO_IDL/be_include/be_module.h:
        * TAO_IDL/be_include/be_native.h:
        * TAO_IDL/be_include/be_operation.h:
        * TAO_IDL/be_include/be_predefined_type.h:
        * TAO_IDL/be_include/be_root.h:
        * TAO_IDL/be_include/be_scope.h:
        * TAO_IDL/be_include/be_sequence.h:
        * TAO_IDL/be_include/be_string.h:
        * TAO_IDL/be_include/be_structure.h:
        * TAO_IDL/be_include/be_type.h:
        * TAO_IDL/be_include/be_typedef.h:
        * TAO_IDL/be_include/be_union.h:
        * TAO_IDL/be_include/be_union_branch.h:
        * TAO_IDL/be_include/be_union_label.h:
        * TAO_IDL/be_include/be_valuetype.h:
        * TAO_IDL/be_include/be_valuetype_fwd.h:

          Cosmetic changes to make these files conform to the
          ACE style guidelines.

Wed Sep 20 15:17:02 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_i.h:
        * orbsvcs/ImplRepo_Service/Options.cpp:
        * orbsvcs/ImplRepo_Service/Repository.cpp:
        * orbsvcs/ImplRepo_Service/tao_imr_i.cpp:

          Modified a call to make_mprofile (and surrounding code) in
          ImplRepo_i::start_server_i reflecting changes to
          tao/PortableServer.

          Modified the 'servers' section in ACE_Configuration to
          store the activation mode enum value as an integer,
          rather than converting it to a string first. This
          enabled elimination of two conversion functions for
          this data type.

          Cosmetic changes to all the above files.

Wed Sep 20 11:55:35 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/orbsvcs/AV/Endpoint_Strategy_T.cpp:
          Explicitly include "ace/Process_Semaphore.h", otherwise it does
          not work when ACE_ONLY_GREATEST_AND_LATEST is enabled.

Wed Sep 20 11:51:03 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.cpp :

          Modified the mprofile_helper so that a object reference
          consisting of multiple endpoints is returned instead of just
          returning a object reference with a single endpoint.

Wed Sep 20 11:25:31 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/examples/Makefile (DIRS):

          If the Security ORB service component was compiled, then add the
          Security examples to the list of directories to compile.

Wed Sep 20 13:03:39 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/tao_idl.cpp:
        * TAO_IDL/driver/drv_args.cpp:
        * TAO_IDL/driver/drv_init.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:

          Replaced some -1s with ACE_INVALID_PID, and some other
          magic numbers with named constants.

Wed Sep 20 08:17:13 2000  Ossama Othman  <ossama@uci.edu>

        * tests/Portable_Interceptors/Dynamic/interceptors.cpp
          (receive_exception, send_exception):

          Updated these methods to not use the ACE_CString::c_str()
          accessor method when invoking CORBA::Exception::_info().
          CORBA::Exception::_info() now returns a "const char *."

Wed Sep 20 10:39:20 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Abstract_Servant_Base.cpp:

          Fixed link errors caused by missing implementation of
          the copy constructor and of the assignment operator.

        * tao/Remote_Object_Proxy_Broker.cpp:

          Fixed warning caused by unused args in method <select_proxy>.

Wed Sep 20 09:38:32 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:

          Removed some unused variable.

        * TAO_IDL/be_include/be_state.h:
        * TAO_IDL/be_include/Makefile.am:
        * TAO_IDL/TAO_IDL_BE_DLL.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:

          Removed file be_state.h from the repository. It isn't
          included in any other file. Removed the filename from
          the Makefile and the MSVC projects it was in.

Wed Sep 20 09:34:20 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp: Thanks to
          Andy for pointing a compile error in this file.

Wed Sep 20 09:05:38 2000  Balachandran Natarajan <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Fault_Tolerance.dsp (CFG):
        * orbsvcs/orbsvcs/orbsvcs.dsw:
        * orbsvcs/orbsvcs/orbsvcs_static.dsw: Added FT files in to these
          for MSVC builds.

Tue Sep 19 17:38:38 2000  Ossama Othman  <ossama@uci.edu>

        * tao/ORB_Core.h (~TAO_ORB_Core):

          Made the ORB Core destructor protected since the ORB Core should
          only be allocated on the heap.

          (open, destroy, shutdown, get_default_policy):

          Removed default value for the CORBA::Environment argument.
          These methods are only meant for TAO internal use so the
          CORBA::Environment should always be passed and checked.

Tue Sep 19 16:49:23 2000  Ossama Othman  <ossama@uci.edu>

        * tao/CORBA_String.h:
        * tao/CORBA_String.inl:
        * tao/CORBA_String.cpp:

          New files that now contain the CORBA::String related classes.

        * tao/ORB.h:
        * tao/ORB.i:
        * tao/ORB.cpp:

          Moved the CORBA::String classes to the newly added
          CORBA_String.* files.  There was no reason why these classes had
          to be kept inside these files.  This makes it possible to only
          pull in the CORBA::String classes, instead of the entire set of
          classes and headers inside ORB.h, thus reducing inter-header
          dependencies.

        * tao/Exception.h:

          Forward declare the TAO_{Output,Input}CDR classes so that
          `CDR.h' does not have to be explicitly included.

          (info):

          Return "const char *" instead "ACE_CString."  This allows us to
          remove the inter-header dependency on `ace/SString.h'.

        * tao/Exception.cpp:

          Include `ace/SString.h' to pull in ACE_CString class.

          (info):

          Return "const char *" instead "ACE_CString" since we only cared
          about the underlying C string, not the entire ACE_CString
          instance.

          (_tao_print_exception):

          Invoke "this->_info()" instead "this->_info().c_str()" since the
          _info() method now returns a "const char *."

        * tao/Object.h (_request, _is_a, _create_object):
        * tao/Object.cpp (_request, _is_a, _create_object):

          The C++ mapping for strings is "const char *," not "const
          CORBA::Char *."  Updated these signatures accordingly.

          (_is_a, _non_existent):

          Fixed incorrect usage of ACE_TRY_CHECK macro.  The proper macro
          is ACE_CHECK_RETURN.

        * tao/ORB_Core.h (TAO_Collocation_Strategies):

          Merged extraneous enumeration that provided count of the number
          of collocation strategies into this enumeration.  We
          automatically get the count by making it the last value in the
          enumeration.

        * tao/ORB_Core.cpp (init):

          Removed support for the -ORBSetUID and -ORBSetGID options.  They
          introduced potential security holes.
          Reported by Joe Hoffert <joeh@cs.wustl.edu>

          (collocation_strategy):

          Removed "TAO_Collocation_Strategy" from the enumeration value.
          It isn't necessary and it confused some compilers.

          Corrected enumeration value associated with the "DIRECT" case.
          The "TAO_ORB_Core::DIRECT_STRATEGY" should have been used.

        * tao/corbafwd.h:

          Include `ace/CDR_Base.h' instead of `ace/CDR_Stream.h' since we
          only need the CDR types.

        * tao/Policy_Factory.i (create_policy):
        * tao/Policy_Factory.cpp:

          Moved this method to the `.cpp' file since it has the potential
          to become quite large, and since doing so allows us to reduce
          inter-header dependencies due to the headers that were included
          in the `.i' file (which are no longer necessary).

        * tao/GIOP_Server_Request.h:
        * tao/RT_Policy_i.h:
        * tao/params.h:

          Include `ace/SString.h' to pull in definition of ACE_CString.

        * tao/PortableServer/Collocated_Object.h:

          Include `Servant_Base.h' to pull in definition of
          TAO_ServantBase class.  This fixes a compile-time error when
          inlining is enabled.

        * tao/PortableServer/Strategized_Object_Proxy_Broker.cpp
          (select_proxy):

          Fixed incorrect usage of ACE_TRY_CHECK macro.  The proper macro
          is ACE_CHECK_RETURN.

          (create_proxy):

          Added missing default case for switch statement.  The default is
          the REMOTE_STRATEGY.

        * tao/PortableServer/Servant_Base.h:

          Use virtual inheritance from when deriving from the
          TAO_Abstract_ServantBase class to disambiguate the _add_ref()
          and _remove_ref() methods when mixing in the RefCountServantBase
          class.

        * tao/PortableServer/Servant_Base.cpp (_add_ref, _remove_ref):

          Moved these no-op methods to the TAO_Abstract_ServantBase class.

        * tao/PortableServer/POA.cpp (destroy_i):

          Added missing ACE_TRY_ENV argument to the _remove_ref() call.

        * TAO_IDL/Makefile.dependencies:

          Added a no-op "depend" target to prevent error from occuring
          when updating dependencies for the IDL compiler Makefiles.

        * TAO_IDL/ast/ast_decl.cpp:

          Include `ace/SString.h' to pull in declaration of ACE_CString.

        * docs/Options.html:

          Removed descriptions of the deprecated -ORBSet{U,G}ID options.

Tue Sep 19 14:33:39 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/TAO_Static.dsp:
        * tao/PortableServer/TAO_PortableServer_Static.dsp:

          Added collocation related file to the workspaces.

Tue Sep 19 14:09:16 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Abstract_Servant_Base.h:
        * tao/Abstract_Servant_Base.cpp:

          This abstract class is now the class from which the
          TAO_ServantBase inherits. This class has been introduced
          to make it possible to keep the reference to the servant
          in the CORBA::Object and still keeping the TAO library
          independent from the PortableServer library.

        * tao/Object.h:
        * tao/Object.cpp:
        * tao/Object.i

          Modified constructor to initialize the servant pointer, and
          to set the proxy broker to remote proxy broker.

          Moved servant pointer from TAO_Collocated_Object back to
          CORBA::Object.

          Added member variable keep a reference to the Proxy Broker.

          Added methods to get/set the proxy broker.

        * tao/PortableServer/Servant_Base.h

          Now the TAO_ServantBase inherits from the TAO_Abstract_ServantBase.

        * tao/Object_Proxy_Broker.h:
        * tao/Object_Proxy_Broker.cpp:

          Proxy Broker superclass. This class define the interface
          used by CORBA::Object and its subclasses to get the right
          proxy needed to perform a given call. In the new collocation
          scheme, the proxy used could change on a call by call basis.

        * tao/Remote_Object_Proxy_Broker.h:
        * tao/Remote_Object_Proxy_Broker.cpp:

        * tao/PortableServer/Strategized_Object_Proxy_Broker.h:
        * tao/PortableServer/Strategized_Object_Proxy_Broker.cpp:

          Concrete Proxy Brokers implementations.

        * tao/Object_Proxy_Impl.h
        * tao/Object_Proxy_Impl.cpp

          Abstract base class for the Object Proxies, each concrete
          proxy implements a strategy to perform a call.

        * tao/Remote_Object_Proxy_Impl.h:
        * tao/Remote_Object_Proxy_Impl.cpp:

          Implementation of the Proxy for non "collocated calls".

        * tao/PortableServer/ThruPOA_Object_Proxy_Impl.h:
        * tao/PortableServer/ThruPOA_Object_Proxy_Impl.cpp:
        * tao/PortableServer/Direct_Object_Proxy_Impl.h:
        * tao/PortableServer/Direct_Object_Proxy_Impl.cpp:

          Implementation of the Proxy for "collocated calls".

        * tao/PortableServer/Collocated_Object.h:
        * tao/PortableServer/Collocated_Object.cpp:
        * tao/PortableServer/Collocated_Object.i:

          Removed class TAO_Collocated_Object.

        * tao/ORB_Core.h:
        * tao/ORB_Core.cpp:

          Added method <collocation_strategy> to resolve dinamically
          the collocation strategy to be used on a call by call
          basis. Right now this method implement the old logic,
          and will be updated as soon as other part of the RT-CORBA
          implementation are in place.

          Changend implementation of the method <create_object> to create

        * tao/PortableServer/Object_Adapter.cpp:

          Modified the implementation of the method <create_collocated_object>
          not to create a TAO_Collocated_Object, but to set the
          right type of proxy broker.

        * tao/TAO.dsp:

          Added new files to the TAO's VC++ workspace.
          Added <Bind_Dispatcher_Guard.*> to the VC++ workspace.

        * tao/PortableServer/TAO_PortableServer.dsp:

          Added new files to the TAO_Portable 's VC++ workspace.

        * tao/Makefile

          Updated Makefile to compile the new files.

        * tao/PortableServer/Makefile

          Updated Makefile to compile the new files.

Tue Sep 19 13:32:26 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:

          Added code to generate ACE_NESTED_CLASS macro in the
          stub interceptor request info class constructor when a
          primitive type is typedef'd in the same scope as the
          operation and used as a parameter in that operation.
          Also made a similar addition to the code generation of
          the request info class' private member list. Thanks to
          Aniruddha Gokhale <gokhale@research.bell-labs.com> for
          pointing out this bug.

Tue Sep 19 11:02:39 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/TAO.dsp:
        * tao/TAO_Static.dsp:
          Add new files to the MSVC projects

Tue Sep 19 10:46:15 2000  Chad Elliott  <elliott_c@ociweb.com>

        * tao/Invocation.cpp:
          Used the Bind_Dispatcher_Guard to bind and unbind the dispatchers.

        * tao/Makefile
          Add the Bind_Dispatcher_Guard files.

        * tao/Bind_Dispatcher_Guard.h
        * tao/Bind_Dispatcher_Guard.i
        * tao/Bind_Dispatcher_Guard.cpp
          Guard class to unbind a dispatcher as it goes out of scope.
          Thanks Carlos for helping me out with this one.

Tue Sep 19 10:36:56 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Object.cpp: Moved the is_nil () of minimum_corba
          definitions. It was a big mistake to have put that there in the
          first place. Thanks to Carlos for pointing this out.

Mon Sep 18 18:58:51 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sht.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be_include/be_codegen.h:

          Removed generation of ACE_NESTED_CLASS in skeleton interceptor
          request info class constructor declarations, definitions, and
          private member declarations. The macro is intended to be used
          only when a type is used in the same scope in which it is
          declared. This is never the case with the skeleton version of
          portable interceptors, since the operation parameters are
          declared in the stub header files. Since the same visitor is
          reused to generate code on both TAO_CLientRequest_Info_* and
          TAO_ServerRequest_Info_* classes, a new substate value had to
          be added to TAO_CodeGen so the two cases could be distinguished.
          Thanks to Aniruddha Gokhale <gokhale@research.bell-labs.com>
          for pointing out the problem.

          Also modified source code and generated code to better conform
          to the ACE style guidelines.

Mon Sep 18 15:09:29 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/IIOP_Profile.cpp (parse_string):

          Correctly assigned the host variable which got messed up during
          the merge.

Mon Sep 18 14:33:44 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
          More fine tuning of the interceptor changes, this time for enums

Mon Sep 18 10:37:26 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
          More interceptor fine tuning

Mon Sep 18 09:55:03 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/Makefile (DIRS):

          Added the `LoadBalancer' directory to the list of directories to
          build.

        * orbsvcs/LoadBalancer/Makefile:
        * orbsvcs/orbsvcs/Makefile.LoadBalancing:

          Updated dependencies.

Mon Sep 18 09:29:05 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
          The object references are passed and stored by value in
          interceptors.  Both Nanbor and myself believe that this should
          work.  At least it compiles, but there are no tests for this,
          nor anyway to obtain feedback about it.

Sun Sep 17 19:28:51 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ss.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
          Pass the arguments to the Request_Info constructors by
          reference.  That removes problems under the Borland compiler, in
          fact it fixes some semantics problems.

Sun Sep 17 17:07:07 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo.bor:
        * orbsvcs/Notify_Service/Makefile.bor:
        * orbsvcs/orbsvcs/CosNaming.bor:
        * orbsvcs/orbsvcs/CosNotification.bor:
        * tests/InterOp-Naming/server.bor:
          Update Borland makefiles to include the IORTable builds.

        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:
          Add @@ comments for Darrell, the exceptions thrown and the
          exception specs don't match.

Sun Sep 17 15:16:36 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Makefile:
        * tao/DynamicAny/Makefile:
        * tao/IORManipulation/Makefile:
        * tao/IORTable/Makefile:
        * tao/PortableServer/Makefile: Updated dependencies.

Sun Sep 17 11:52:23 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/IORManipulation/IORC.h:
          Add missing "ace/post.h" include.

Sun Sep 17 10:41:55 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/README:  Added the file for
          the test.

Sun Sep 17 10:19:21 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGRManipulation:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.cpp:
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/
          IOGRManipulation.dsw
        * orbsvcs/tests/FaultTolerance/IOGRManipulation/IOGRTest.dsp:
          Another regression test for IOGRManipulation.

Sun Sep 17 10:01:21 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/TAO.dsp
        * tao/TAO_Static.dsp:
        * tao/PortableServer/TAO_PortableServer.dsp:
        * tao/PortableServer/TAO_PortableServer_Static.dsp: Added new
          files and removed the old files from these.

Sun Sep 17 09:29:36 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/orbconf.h: Removed TAO_HAS_FT_CORBA definition. This
          shouldn't be needed henceforth.

Sun Sep 17 09:23:38 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/test_i.cpp (remote_call):
          Fixed a warning in g++.

Sun Sep 17 07:14:28 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/tests/FaultTolerance/IOGR/Manager.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/Manager.h:
        * orbsvcs/tests/FaultTolerance/IOGR/client.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/server.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/test.idl:
        * orbsvcs/tests/FaultTolerance/IOGR/test_i.h:
        * orbsvcs/tests/FaultTolerance/IOGR/test_i.cpp:
        * orbsvcs/tests/FaultTolerance/IOGR/test_i.h:
        * orbsvcs/tests/FaultTolerance/IOGR/Makefile:
        * orbsvcs/tests/FaultTolerance/IOGR/svc.conf: A test for IOGR.

Sun Sep 17 07:09:11 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile.FaultTolerance:
        * orbsvcs/orbsvcs/FT_CORBA.idl: IDl and make files for FT_CORBA.

Sun Sep 17 07:00:56 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_IOGR_Property.i:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Activate.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.h:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.cpp:
        * orbsvcs/orbsvcs/FaultTolerance/FT_Service_Callbacks.i:
        * orbsvcs/orbsvcs/FaultTolerance/fault_tol_export.h:  Files for FT
          support. We have support for IOGR in now. The library is loaded
          on demand in to the ORB_Core.

Sun Sep 17 06:57:14 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Makefile: Added the new files in to the repo.

Sun Sep 17 06:37:37 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Services_Activate.h:
        * tao/Services_Activate.cpp: New files added for  service
          activation. If a service like FT service that has lot of ORB
          components is loaded, a virtual method is used to create a
          Service_Callback object. The ORB holds that object to call back
          in to the services at appropriate places to override default
          behavious in th ORB.

        * tao/Service_Callbacks.cpp:
        * tao/Service_Callbacks.h:
        * tao/Service_Callbacks.i: New files added for service
          callbacks. Now services like  FT service can implement methods
          in these Callback objects to get the right behaviours.

        * tao/Invocation.cpp:
        * tao/Stub.cpp:
        * tao/Stub.h:
        * tao/Stub.i: Added hooks to call the service specific
          functions. These methods would do the profile selection if the
          service is loaded in to the ORB_Core.

        * tao/Object.cpp:
        * tao/Object.i: Added hooks to call services to supplement the
          behaviour of is_nil () function.

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i: The hooks in the ORB_Core to call the service
          objects that have been loaded. The hooks are available in the
          Service_Callback object for calling teh services.

Sun Sep 17 06:32:15 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/IOR.pidl:
        * tao/IORManipulation/IORManipulation.cpp:
        * tao/IORManipulation/IORManipulation.h:
        * tao/IORManipulation/IORC.h:
        * tao/IORManipulation/IORC.cpp:
        * tao/IORManipulation/IORC.i: Added some methods for FT CORBA
          stuff.

Sat Sep 16 23:51:27 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Profile.cpp:

          Fixed compilation warnings.  Also fixed a bug: iteration loop
          erroneously started at 1 rather than 0.

Sat Sep 16 22:37:58 2000  Marina Spivak  <marina@cs.wustl.edu>

        * utils/NamingViewer/ViewIORDialog.cpp:

          Fixed comilation problems.

Sat Sep 16 15:04:52 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/Priority_Mapping_Manager.i: Removed unmatched #if #endif
          macros.

Sat Sep 16 11:56:43 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Portable_Interceptors/Benchmark/test_i.cpp: One more
          unused argument warning.

Sat Sep 16 00:58:16 2000  Marina Spivak  <marina@cs.wustl.edu>

        * utils/NamingViewer/ViewIORDialog.cpp:

          Fixed comilation problems.

Fri Sep 15 20:39:49 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/IIOP_Endpoint.h:

          Added a friend.

        * tao/IIOP_Endpoint.cpp
        * tao/IIOP_Endpoint.i
        * tao/UIOP_Endpoint.cpp
        * tao/SHMIOP_Endpoint.cpp
        * tao/SHMIOP_Endpoint.i:

          Moved <next> method from .i to .cpp because it's virtual.

        * tao/IIOP_Profile.h:

          - Removed unused data member <orb_core>.
          - Made some members protected rather than private, so that they
          are accessable to SSLIOP implementation.

        * tao/IIOP_Profile.cpp (decode_endpoints)
        * tao/UIOP_Profile.cpp (decode_endpoints)
        * tao/SHMIOP_Profile.cpp (decode_endpoints):

          Reversed the order of the loop to start from the end of the
          endpoint sequence to preserve the ordering of the endpoints
          within the profile.

        * tao/Tagged_Components.i (unique_tag):

          Added TAO_TAG_SSL_ENDPOINTS to the list.

        * tao/UIOP_Endpoint.i:

          Fixed warning.

        * tao/UIOP_Profile.h:

          Removed unused data member.

        * tao/corbafwd.h:

          Added TAO_TAG_SSL_ENDPOINTS.

        * orbsvcs/orbsvcs/SSLIOP_Acceptor.cpp
        * orbsvcs/orbsvcs/SSLIOP_Acceptor.h
        * orbsvcs/orbsvcs/SSLIOP_Connector.cpp
        * orbsvcs/orbsvcs/SSLIOP_Connector.h
        * orbsvcs/orbsvcs/SSLIOP_Endpoint.cpp
        * orbsvcs/orbsvcs/SSLIOP_Endpoint.h
        * orbsvcs/orbsvcs/SSLIOP_Endpoint.i
        * orbsvcs/orbsvcs/SSLIOP_Profile.cpp
        * orbsvcs/orbsvcs/SSLIOP_Profile.h
        * orbsvcs/orbsvcs/SSLIOP_Profile.i
        * orbsvcs/orbsvcs/ssl_endpoints.cpp
        * orbsvcs/orbsvcs/ssl_endpoints.h
        * orbsvcs/orbsvcs/ssl_endpoints.i
        * orbsvcs/orbsvcs/ssl_endpoints.pidl
        * orbsvcs/orbsvcs/Makefile.SSLIOP:

          Updated SSLIOP to use new pluggable protocol framework
          component Endpoint.  For details on Endpoint see:
          Wed Sep 13 19:15:01 2000  Marina Spivak  <marina@cs.wustl.edu>

Fri Sep 15 16:37:41 2000  Carlos O'Ryan  <coryan@uci.edu>

        * docs/tutorials/Quoter/Simple/Impl-Repo/server.cpp:
        * docs/tutorials/Quoter/Simple/Impl-Repo/server.dsp:
          Add missing #includes and libraries due to the IORTable changes.

Fri Sep 15 16:01:11 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/Makefile.bor:
        * tao/IORTable/Makefile.bor:
        * tao/PortableServer/Makefile.bor:
        * tao/IORManipulation/Makefile.bor:
          Update or create the Borland makefiles for the tao directory.

        * tao/IORManipulation/IORManip_Loader.h:
        * tao/IORManipulation/IORManipulation.cpp:
        * tao/IORTable/IORTable.h:
          Add missing ace/post.h includes

        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.cpp:
          Fix reference value mismatchs

        * tao/PortableInterceptor.pidl:
          Fix reference to the Portable Interceptor spec.

Fri Sep 15 16:55:01 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Portable_Interceptors/Benchmark/interceptors.h:
        * tests/Portable_Interceptors/Benchmark/interceptors.cpp:
        * tests/Portable_Interceptors/Dynamic/interceptors.h:
        * tests/Portable_Interceptors/Dynamic/interceptors.cpp:
        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.h:
        * tests/Portable_Interceptors/Service_Context_Manipulation/interceptors.cpp:
          Fixed mismatched exception declarations in <send_reply>.
          Removed useless forward class declarations and unused variables.

Fri Sep 15 16:47:12 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:

          Removed the generated 'const' before enum parameters in
          the request info class constructor. The class stores the
          private enum member as a reference, so it can't be passed
          in as const.

Fri Sep 15 14:33:45 2000  Ossama Othman  <ossama@uci.edu>

        * tao/IIOP_Profile.cpp (decode_endpoints):
        * tao/UIOP_Profile.cpp (decode_endpoints):
        * tao/SHMIOP_Profile.cpp (decode_endpoints):

          Check return value of CDR stream to endpoint extraction
          operation prior to attempting to access the endpoint.  This
          fixes an assertion problem.  This is intended to be an interim
          fix.

        * tao/default_resource.cpp (TAO_Default_Resource_Factory):

          Initialize the parser_names_count_ and parser_names_ members in
          the member initializer list.  This fixes an "uninitialized read"
          error.

Fri Sep 15 14:25:37 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/ior_corbaloc.dsp :
          Removed the dsp file.

Fri Sep 15 16:18:39 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/tao_idl_static.dsp:
        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:

          Fixed problems with the static builds of the IDL compiler.
          Thanks to Erik Johannes <ejohannes@oresis.com> for
          pointing this out.

Fri Sep 15 14:37:22 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/orbsvcs/SSLIOP.dsp:

          Included new files from the Endpoint component addition to pp
          framework.

Fri Sep 15 14:27:31 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/util/utl_scope.cpp:

          Changed some ACE_ERROR_RETURNs to ACE_ERROR, to avoid
          unreachable code.

        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:
        * TAO_IDL/TAO_IDL_FE_DLL.dsp:
        * TAO_IDL/tao_idl.dsp:
        * TAO_IDL/tao_idl_static.dsp:

          Went through all the project setting and made them more
          self-consistent.

Fri Sep 15 13:32:50 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Portable_Interceptors/Benchmark/test_i.cpp: Fixed more
          unused argument warnings.

        * tests/Portable_Interceptors/Benchmark/client.cpp: Fixed in
          proper uses of ACE_TRY_CHECK.

Fri Sep 15 13:11:42 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/arglist.cpp:

          In the generated subclass of TAO_ClientRequest_Info,
          an enum IN argument was declared const in the constructor
          declaration, but not in the constructor definition. Thanks
          to Aniruddha Gokhale <gokhale@research.bell-labs.com> for
          pointing this out.

Fri Sep 15 11:05:11 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/default_resource.cpp:

          Moved variable 'curarg' out of the two FOR loops it
          was in, to avoid redefinition errors on some compilers.

        * TAO.dsp:
        * TAO_Static.dsp:

          Added files Parser_Registry.*, DLL_Parser.*, and
          FILE_Parser.* to these projects.

Thu Sep 14 18:17:40 2000  Carlos O'Ryan  <coryan@uci.edu>

        * examples/Simple/bank/client.dsp:
        * examples/Simple/bank/server.dsp:
        * examples/Simple/chat/client.dsp:
        * examples/Simple/chat/server.dsp:
        * examples/Simple/echo/client.dsp:
        * examples/Simple/echo/server.dsp:
        * examples/Simple/grid/client.dsp:
        * examples/Simple/grid/server.dsp:
        * examples/Simple/time/client.dsp:
        * examples/Simple/time/server.dsp:
        * examples/Simple/time-date/client.dsp:
          The library paths were incorrect for the Release build, and some
          IDL files did not have all the required dependencies (again on
          Release builds).

        * tao/PolicyS.cpp:
          Removed obsolete file

Thu Sep 14 17:48:06 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * tests/POA/wait_for_completion/wait_for_completion.cpp:
          Fixed minor problems with ACE_CHECK vs. ACE_TRY_CHECK
          vs. ACE_CHECK_RETURN.

Thu Sep 14 19:36:46 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/util/utl_scope.cpp:

          Modified iter_lookup_by_name_local() to handle an
          example sent in by Russell Mora <rd.mora@router.econz.co.nz>.

        * tests/IDL_Test/reopened_modules.idl:

          Added Russell Mora's example to the test suite.

Thu Sep 14 16:39:12 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * Merged in the changes from the pluggable IOR parsing branch.
          These changes include support for the standard corbaloc, and
          soon corbaname IOR styles, as well as a framework to dynamically
          load IOR parsers into the ORB.  This will be useful in the
          future to add such IOR styles like http:, ftp: or ipmcast:

        Wed Sep 13 11:13:17 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/default_resource.cpp (get_parser_names):
          Assigned the CORBALOC and CORBANAME parsers to the list of
          parsers without any condition.

        Wed Sep 13 10:43:32 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/default_resource.cpp (get_parser_names):
          Modified the assignment value of number_of_names so that only the
          number of parsers that are instantiated correctly is assigned to
          it.

        Tue Sep 12 17:00:58 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaname/CORBANAME_Parser.cpp:
        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
        * tao/FILE_Parser.cpp (TAO_FILE_Parser):

          Corrected some typos.

        * tao/Makefile:

          Updated dependencies.

        Tue Sep 12 15:41:48 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/IIOP_Profile.cpp (parse_string):

          The default port number for IIOP is 683 and that of corbaloc is
          2809. Modified files to reflect and implement this.

        * tao/ORB_Core.cpp (init):

          Modified the place where the TAO_Parser_Registry::open () is
          called. This should be called only after the
          TAO_default_resource_factory::init () is called.

        * tao/Makefile:

          Modified the Makefile to reflect the move of the files listed
          below.

        * tao/Object_Loader.i:
        * tao/Object_Loader.h:
        * tao/Object_Loader.cpp:

        * tao/FILE_Parser.i:
        * tao/FILE_Parser.h:
        * tao/FILE_Parser.cpp:
        * tao/ior_file_export.h:

        * tao/DLL_Parser.i:
        * tao/DLL_Parser.h:
        * tao/DLL_Parser.cpp :
        * tao/ior_dll_export.h:

          Removed these files from tao/ior_file and added them in
          tao/.
          Added ACE_STATIC_SVC_DEFINE and ACE_STATIC_SVC_DECLARE macros to
          *_Parser.{cpp,h}.

        * tao/ior_file/Makefile:
        * tao/ior_dll/Makefile :

          Removed these files as they are no longer needed.

        * tao/TAO_Internal.cpp (open_services):

          Added the FILE and DLL Parsers to the list of static objects.

        * tao/Parser_Registry.h (TAO_Parser_Registry):
        * tao/Parser_Registry.cpp (open):

        * tao/default_resource.h (TAO_Default_Resource_Factory):
        * tao/default_resource.cpp (get_parser_names):

        * tao/Resource_Factory.h (TAO_Resource_Factory):
        * tao/Resource_Factory.cpp (get_parser_names):

          Fixed the way in which the default list of parsers are
          initialized. Added new methods in default_resource.* and
          Resource_Factory.* to fix this.

          Modified the signature of <open> in Parser_Registry so that a
          pointer to the ORB_Core is provided.

          Added code to check for '-ORBIORParser' in
          TAO_Default_Resource_Factory::init () method.

        * tao/ior_corbaloc/CORBALOC_Parser.h :
        * tao/ior_corbaloc/CORBALOC_Parser.cpp :

          Modified the method of verifying the validity of the object
          reference obtained by using <_is_a> instead of narrowing it
          down.

        Thu Jul 20 19:53:37 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.h:
        * tao/ior_corbaloc/CORBALOC_Parser.cpp:

          The default port number for IIOP is 683 and that of corbaloc is
          2809. Modified files to reflect and implement this.

        Mon Jul 17 17:21:45 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tests/ior_corbaloc/run_test.pl: Added the perl script to run the
          test.

        Mon Jul 17 10:41:08 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/IIOP_Profile.cpp: Updated the default port number to '2809'.

        Fri Jul 14 15:11:19 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
          The implementation now supports multiple endpoints correctly.

        Fri Jul 14 10:57:17 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/IIOP_Profile.cpp: Made some format changes and added some
        debug statements.

        Thu Jul 13 16:25:25 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/IIOP_Profile.cpp:
          Modified so that the default port is <683> and the default host
          is the local host instead of raising an exception when an empty
          host or port is passed.

        Tue Jul 11 14:16:17 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tests/ior_corbaloc/corbaloc.idl:

        * tests/ior_corbaloc/status_i.h:
        * tests/ior_corbaloc/status_i.cpp:
        * tests/ior_corbaloc/ior_corbaloc_client_i.cpp:
          Changed the test so that the server returns a boolean on
          receiving a request from the client.

        * tests/ior_corbaname/README:
        * tests/ior_corbaname/corbaname.idl:
        * tests/ior_corbaname/Makefile:

        * tests/ior_corbaname/status_i.h:
        * tests/ior_corbaname/status_i.cpp:
        * tests/ior_corbaname/server.cpp:

        * tests/ior_corbaname/ior_corbaname_client_i.h:
        * tests/ior_corbaname/ior_corbaname_client_i.cpp:
        * tests/ior_corbaname/client.cpp:
          Added to example to test the corbaname: style URL. When the
          server receives a request from the client, returns a  boolean
          :true=0 value.

        * tao/ior_corbaname/CORBANAME_Parser.h:
        * tao/ior_corbaname/CORBANAME_Parser.cpp:
          Implemented the corbaname: style URL.

        * tao/ior_corbaloc/CORBALOC_Parser.h
        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
          Changed the value of a const iiop_prefix from <iiop://> to
          <iiop:>

        Thu Jul  6 18:48:06 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaname/Makefile:
        * tao/ior_corbaname/ior_corbaname_export.h:

        * tao/ior_corbaname/CORBANAME_Parser.i:
        * tao/ior_corbaname/CORBANAME_Parser.h:
        * tao/ior_corbaname/CORBANAME_Parser.cpp:
          Implemented part of the corbaname: style IOR parser. Done till
          obtaining a reference to the naming context.

        Thu Jul  6 12:38:36 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.h:
        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
          Further split the TAO_CORBALOC_Parser::parse_string function.

        Thu Jun 29 18:19:16 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.h:
          Split the big TAO_CORBALOC_Parser::parse_string function.

        Thu Jun 29 18:12:18 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
          Split the big TAO_CORBALOC_Parser::parse_string function.

        Thu Jun 29 15:13:50 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
          Got the basic functionality of corbaloc: running.

        * tests/ior_corbaloc/ior_corbaloc_client_i.cpp:
          Made the argument to string_to_object as a command line
          parameter.

        Tue Jun 27 17:45:47 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/CORBALOC_Parser.h:
        * tao/ior_corbaloc/CORBALOC_Parser.cpp :

          Implemented part of <corbaloc:iiop:>. Seperated the <obj_addr>
          from <obj_addr_list>. Used
          connector_registry ()->make_mprofile () to create an
          TAO_MProfile for the array of <obj_addr>.

        * tests/ior_corbaloc/corbaloc.idl:
        * tests/ior_corbaloc/Makefile:

        * tests/ior_corbaloc/client.cpp:
        * tests/ior_corbaloc/ior_corbaloc_client_i.h:
        * tests/ior_corbaloc/ior_corbaloc_client_i.cpp :

        * tests/ior_corbaloc/server.cpp:
        * tests/ior_corbaloc/status_i.h:
        * tests/ior_corbaloc/status_i.cpp:

          Added an example to test the corbaloc: style IOR. When the
          client invokes a request on the server, the server prints that
          the connection between the client and server is set.
          Tested <corbaloc:rir:>.

        Thu Jun 29 11:47:48 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/Stub.h:
          Add missing TAO_Export macro to the TAO_Stub_Auto_Ptr class

        * tao/ior_corbaloc/ior_corbaloc.dsp:
        * tao/ior_file/ior_file.dsp:
          Add project files for the new IOR parsing modules

        * tao/TAO.dsw:
          Add the new project files to TAO

        * tao/ior_file/FILE_Parser.i:
          Add missing file and constructor

        * tao/ior_corbaloc/CORBALOC_Parser.cpp:
          Add a lot of @@ comments for Priyanka.  Got it to compile on
          MSVC

        Tue Jun 27 10:45:17 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/ior_corbaloc/Makefile:
        * tao/ior_corbaloc/ior_corbaloc_export.h:
        * tao/ior_corbaloc/CORBALOC_Parser.i :
        * tao/ior_corbaloc/CORBALOC_Parser.h:
        * tao/ior_corbaloc/CORBALOC_Parser.cpp :
          Implemented part of  the corbaloc: style parser. Able to support
          <corbaloc:rir:/>. Done with seperating the <obj_addr> from the
          <obj_addr_list>

        * tao/ORB.cpp :
          Removed the file_string_to_object function as it is no longer
          needed.

        * tao/ior_corbaloc/Makefile:
        * tao/ior_corbaloc/ior_corbaloc_export.h:
        * tao/ior_corbaloc/CORBALOC_Parser.i :
        * tao/ior_corbaloc/CORBALOC_Parser.h:
        * tao/ior_corbaloc/CORBALOC_Parser.cpp :
          Implemented part of  the corbaloc: style parser. Able to support
          <corbaloc:rir:/>. Done with seperating the <obj_addr> from the
          <obj_addr_list>

        * tao/ORB.cpp :
          Removed the file_string_to_object function as it is no longer
          needed.

        Mon Jun 26 14:56:42 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/ORB.cpp:
          Minor code review.

        Wed Jun 21 20:01:37 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/TAO.dsp:
        * tao/TAO.dsw:
        * tao/TAO_Static.dsp:
        * tao/ior_dll/ior_dll.dsp:
        * tests/Object_Loader/Test_DLL.dsp:
        * tests/Object_Loader/driver.dsp:
          Fixed the project files.

        * tests/Object_Loader/Test_i.h:
          Fixed memory leaks in the test, use RefCountServantBase.

        * tests/Object_Loader/driver.cpp:
          Fixed memory leaks in the test, destroy the POA and ORBs.

        Wed Jun 21 15:40:37 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tao/IOR_Parser.h:
        * tao/IOR_Parser.i:
        * tao/IOR_Parser.cpp:
          Define the interface for the dynamically loadable IOR parsing
          components.

        * tao/Parser_Registry.h:
        * tao/Parser_Registry.i:
        * tao/Parser_Registry.cpp:
          Maintain the collection of IOR parsers, just like the
          Connector_Registry and Acceptor_Registry do for connectors and
          acceptors.
          Currently the set of parsers is hardcoded, but eventually it
          will be dynamically configured using svc.conf options.

        * tao/ORB.h:
        * tao/ORB.cpp:
          Try to use one of the dynamically configured IOR parsers first.

        * tao/ORB_Core.h:
        * tao/ORB_Core.i:
        * tao/ORB_Core.cpp:
          Add the Parser_Registry object to this class.
          Remove all the support for the DLL ior style.

        * tao/Object_Loader.h:
        * tao/Object_Loader.i:
        * tao/Object_Loader.cpp:
          Removed, it is now in the ior_dll subdirectory.

        * tao/Makefile:
          Update the Makefile and its dependencies.

        * tao/ior_dll/Makefile:
        * tao/ior_dll/ior_dll_export.h:
        * tao/ior_dll/DLL_Parser.h:
        * tao/ior_dll/DLL_Parser.i:
        * tao/ior_dll/DLL_Parser.cpp:
          Implement the DLL-style ior parser.

        * tao/ior_dll/Object_Loader.h:
        * tao/ior_dll/Object_Loader.i:
        * tao/ior_dll/Object_Loader.cpp:
          The Object_Loader class was moved here.

        * tao/ior_file/Makefile:
        * tao/ior_file/ior_file_export.h:
        * tao/ior_file/FILE_Parser.h:
        * tao/ior_file/FILE_Parser.cpp:
          Implement the file:-style IOR parser.

        * tests/Object_Loader/Makefile:
        * tests/Object_Loader/Loader.h:
          Use the new location for the Object_Loader class.

Thu Sep 14 16:22:48 2000  Ossama Othman  <ossama@uci.edu>

        * tao/IIOP_Profile.cpp (is_equivalent):
        * tao/SHMIOP_Profile.cpp (is_equivalent):
        * tao/UIOP_Profile.cpp (is_equivalent):

          Removed a useless assertion that would always evaluate to true.
          The length of the object key, a CORBA::ULong, will always be
          less than the UINT_MAX constant (assuming 4 byte integers).

Thu Sep 14 17:52:55 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/PortableServer/FT_CORBAS.cpp:
        * tao/PortableServer/FT_CORBAS.h: Fixed compile errors. Thanks to
          Andy for reporting this.

Thu Sep 14 11:40:46 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Forwarding/client.cpp:
          Fixed problem in platforms without native exceptions.

        * orbsvcs/orbsvcs/Event/EC_Gateway.h:
          Add missing #include, something must have changed in the other
          included files.

Thu Sep 14 12:15:35 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/tao_static.dsp:

          Removed some MS libraries from the link list in the project
          text file, even though they weren't showing up in the
          project dialog boxes.

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_result.cpp:

          Removed some unused variables.

Thu Sep 14 01:43:35 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Portable_Interceptors/Benchmark/client.cpp:
        * tests/Portable_Interceptors/Benchmark/interceptors.cpp: Fixed
          more unused argument warnings.

Wed Sep 13 22:11:11 2000  Carlos O'Ryan  <coryan@uci.edu>

        * */Makefile:
          Update dependencies

Wed Sep 13 23:36:58 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/TAO_Static.dsp:

          Updated.

        * tao/uiop_endpoints.h
        * tao/iiop_endpoints.h:

          Fixed pragma warnings for egcs.

Wed Sep 13 21:37:38 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Invocation.cpp
        * tao/UIOP_Connector.cpp
        * tao/UIOP_Endpoint.cpp
        * tao/UIOP_Endpoint.h
        * tao/UIOP_Endpoint.i
        * tao/UIOP_Profile.h
        * tao/UIOP_Profile.i
        * tao/Makefile:
        * tao/*/Makefile:
        * tao/Makefile.bor:

          Fixed compilation problems introduced by
          ChangeLogTag:Wed Sep 13 19:15:01 2000  Marina Spivak  <marina@cs.wustl.edu>
          and updated Makefiles.

Wed Sep 13 18:15:07 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/orbsvcs/Notify/Notify_Worker_Task.cpp:
          Fixed warning about strange */, it was a misplaced comment.

Wed Sep 13 19:15:01 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Endpoint.cpp
        * tao/Endpoint.h
        * tao/Endpoint.i
        * tao/IIOP_Endpoint.cpp
        * tao/IIOP_Endpoint.h
        * tao/IIOP_Endpoint.i
        * tao/SHMIOP_Endpoint.cpp
        * tao/SHMIOP_Endpoint.h
        * tao/SHMIOP_Endpoint.i
        * tao/UIOP_Endpoint.cpp
        * tao/UIOP_Endpoint.h
        * tao/UIOP_Endpoint.i:

          Added a new interface, Endpoint, to the pluggable protocols
          framework.  Endpoint encapsulates addressing information of a
          single acceptor endpoint.  A Profile contains one or more
          Endpoints.  In other words, Endpoint represents a single server
          contact point for a client.

          Some of the motivations for this change:
          - smaller iors
          - preparation for TAG_ALTERNATE_IIOP
          support
          - preparation for new connection cache scheme
          - more organized iors => easier policy-based endpoint selection

        * tao/uiop_endpoints.pidl
        * tao/iiop_endpoints.pidl
        * tao/uiop_endpoints.h
        * tao/uiop_endpoints.i
        * tao/uiop_endpoints.cpp
        * tao/iiop_endpoints.h
        * tao/iiop_endpoints.i
        * tao/iiop_endpoints.cpp:

          Pidl files above define data structures for representing a list
          of endpoints from a single profile on the wire.  Pidl files are
          used to generate .h, .cpp and .i above.

        * tao/Invocation.h
        * tao/Invocation.cpp
        * tao/Pluggable.h
        * tao/Profile.h
        * tao/Profile.cpp
        * tao/Profile.i
        * tao/Stub.cpp
        * tao/Acceptor_Registry.cpp
        * tao/Acceptor_Registry.h
        * tao/Connector_Registry.cpp
        * tao/Connector_Registry.h
        * tao/IIOP_Acceptor.h
        * tao/IIOP_Acceptor.cpp
        * tao/IIOP_Connector.h
        * tao/IIOP_Connector.cpp
        * tao/IIOP_Profile.h
        * tao/IIOP_Profile.cpp
        * tao/IIOP_Profile.i
        * tao/UIOP_Acceptor.h
        * tao/UIOP_Acceptor.cpp
        * tao/UIOP_Connector.h
        * tao/UIOP_Connector.cpp
        * tao/UIOP_Profile.h
        * tao/UIOP_Profile.cpp
        * tao/UIOP_Profile.i
        * tao/SHMIOP_Acceptor.h
        * tao/SHMIOP_Acceptor.cpp
        * tao/SHMIOP_Connector.h
        * tao/SHMIOP_Connector.cpp
        * tao/SHMIOP_Profile.h
        * tao/SHMIOP_Profile.cpp
        * tao/SHMIOP_Profile.i:

          Updated pp framework components to use new Endpoint component
          described above.  Main changes include:
          - The way mprofiles are created.  If TAO_HAS_RT_CORBA is not
          enabled, there are no changes: one profile
          is created for each server acceptor endpoint, i.e., an IOR
          can contain multiple profiles for the same protocol.  If
          TAO_HAS_RT_CORBA _is_ enabled, only one profile per protocol is added
          to the IOR.  Multiple acceptor endpoints for a particular
          protocol do not result in additional profiles being created, but
          rather in Endpoint objects being added to that protocol's
          profile.  In other words, there is only one profile for each
          protocol in an IOR.  These changes are encapsulated in
          <*_Acceptor::create_mprofile > method.
          - TAO_Connector::connect now takes Endpoint* rather than Profile* as
          one of its arguments
          - TAO_Acceptor::is_collocated now takes Endpoint* rather than
          Profile* as its argument
          - TAO_Acceptor_Registry::is_collocated now searches for a
          "collocation match" among all endpoints of all profiles

        * tao/Tagged_Components.h
        * tao/Tagged_Components.i
        * tao/Tagged_Components.cpp:

          Removed TAO-specific priority tagged component.  It is no longer
          necessary since each endpoint stores its priority.

        * tao/corbafwd.h

          Removed TAO_TAG_PRIORITY.  Added TAO_TAG_ENDPOINTS.

        * tao/TAO.dsp
        * tao/TAO_Static.dsp
        * tao/Makefile
        * tao/Makefile.bor:

          Updated.

Wed Sep 13 15:54:47 2000  Ossama Othman  <ossama@uci.edu>

        * tao/Acceptor_Impl.h:

          Include "tao/corbafwd.h" to pull in declaration of
          CORBA::Boolean.  Forward declare TAO_ORB_Core since some class
          methods declared in this header take TAO_ORB_Core pointer
          arguments.

        * tao/Acceptor_Impl.cpp:

          Include "tao/ORB_Table.h" to pull in the TAO_ORB_Table
          declaration.

        * tao/ORB_Core.h:
        * tao/ORB_Core.cpp:
        * tao/ORB_Core.i:
        * tao/ORB_Table.h:
        * tao/ORB_Table.cpp:
        * tao/ORB_Table.inl:

          Moved TAO_ORB_Table implementation from `ORB_Core.*' to the
          newly added `ORB_Table' source files.

        * tao/Makefile:
        * tao/Makefile.am:
        * tao/Makefile.bor:
        * tao/TAO.dsp:

          Added the new `ORB_Table.*' files to the list of sources.

        * tests/ORB_init/ORB_init.cpp (main):

          Initialize another ORB but don't explicitly destroy it to allow
          testing of TAO's internal ORB table resource clean-up.

Wed Sep 13 15:19:07 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/IIOP_Transport.cpp:
          Add comment explaining why some obscure code works, or at least
          why I believe it does.

        * tao/Invocation.h:
        * tao/Invocation.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
          Remove the reset_reply_received() flag, it was used in the
          generated code to reset the reply_received flag in the reply
          dispatcher, just before calling Invocation::start()
          This was error prone and innefficient, and it was causing
          problems with the implementation of CORBA::Object::_is_a() that
          did not call the extra function.
          This fixes some misterious race conditions that showed up when
          receiving forward locations in a follower thread, there is a
          regression test for the problem (tests/Forwarding).

        * tests/Forwarding/run_test.pl:
        * tests/MT_Server/run_test.pl:
        * tests/MT_Client/run_test.pl:
          Remove the ior file before running the server to avoid problems
          with stale files.

        * tests/MT_Client/orb_creation.cpp:
        * tests/MT_Client/simple-client.cpp:
        * tests/MT_Server/client.cpp:
        * tests/MT_Server/server.cpp:
          Fixed spelling problems in some debug messages.

Wed Sep 13 15:08:23 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/examples/Security/Makefile:

          Added this top-level Security example Makefile.

Wed Sep 13 15:17:45 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptor_result.cpp:

          Made a fix to strip away the typedef (if any) of the
          'result' member of the request info class before
          generating code to insert it into an Any. This is
          similar to the fix made a few days ago for the request
          info class' 'argument' members. Thanks to
          Kristopher Johnson <kristopher.johnson@transcore.com>
          for sending in the bug report and an example IDL file.

Wed Sep 13 14:31:39 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:

          An example sent in by Francois Bernier <fbernier@gel.ulaval.ca>
          showed that generated code for interceptors fails to compile
          when an operation uses an enum that is declared in the same
          scope as the operation. Fixed by using the ACE_NESTED_CLASS
          macro in generating both the argument list in the request info
          class constructor declaration, and in the request info class'
          private member list.

          Also made cosmetic changes to the generated code for the
          request info class' constructor definition.

Wed Sep 13 14:26:48 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tests/Portable_Interceptors/Benchmark/server.dsp:
        * tests/Portable_Interceptors/Benchmark/client.dsp: Fixed IDL
          compilation rules.

        * tests/Portable_Interceptors/Benchmark/client.cpp: Fixed unused
          argument warnings.

Wed Sep 13 12:26:58 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Makefile:
        * tests/Forwarding/Forwarding.dsw:
        * tests/Forwarding/Makefile:
        * tests/Forwarding/client.cpp:
        * tests/Forwarding/client.dsp:
        * tests/Forwarding/run_test.pl:
        * tests/Forwarding/server.cpp:
        * tests/Forwarding/server.dsp:
        * tests/Forwarding/test.idl:
        * tests/Forwarding/test_i.cpp:
        * tests/Forwarding/test_i.h:
        * tests/Forwarding/test_i.i:
          New test that shows how location forwarding fails when a
          follower thread gets forwarded.  Thanks to Steve Hespelt
          <shespelt@bear.com> for providing the original code that showed
          the failure.
          The fix will be commited in a few minutes, but I created this
          test on a separate workspace to ensure that we could reproduce
          the problem in a self-contained test.

Wed Sep 13 14:10:47 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/PortableServer/DomainS.h (_tao_thru_poa_collocated_Policy):
        * tao/PortableServer/DomainS.cpp: Changed the base class name for
          POA_CORBA__tao_thru_poa_collocated_ConstructionPolicy.

Wed Sep 13 13:41:44 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/Request_Info.cpp:
        * tao/Request_Info.h:
        * tao/PortableServer/DomainS.cpp:
        * tao/PortableServer/DomainS.h: Reverted the changes in

          Tue Sep 12 01:36:57 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

          They caused compilation problem if -Ge 1 was used in TAO_IDL
          compiler on platforms supporting native exceptions.  Thanks to
          Andy for reporting this.

        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp: Changed to
          always generate CORBA::Environment arguments for <arguments>,
          <exceptions>, and <result> methods.  This fixed the compilation
          problem for exception supporting platforms.

Wed Sep 13 13:15:18 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/PortableServer/PolicyS.cpp (destroy):
        * tao/PortableServer/POA_CORBA.h: Changed the name of the class
          POA_CORBA::_tao_thru_poa_collocated_CORBA_Policy as
          POA_CORBA::_tao_thru_poa_collocated_Policy. This is what the
          generated code from TAO_IDL looks for.

Wed Sep 13 11:16:03 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/util/utl_scope.cpp:

          Turned out my change to lookup_by_name_local() yesterday
          was not only unnecessary (the change to
          AST_Module::look_in_previous() was enough by itself), but
          also caused other problems (in lookup of recursive members
          of structs and unions), so I removed it.

Wed Sep 13 02:11:09 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/PortableServer/POA.cpp
          (check_for_valid_wait_for_completions): Update this function
          such that if wait_for_completion is TRUE and the current thread
          is in an invocation context dispatched from some POA belonging
          to the same ORB as this POA, the BAD_INV_ORDER system exception
          with standard minor code 3 is raised.

        * tao/PortableServer/POAManager.cpp (discard_requests_i):
        * tao/PortableServer/POAManager.cpp (deactivate_i):
        * tao/PortableServer/POAManager.cpp (hold_requests_i):
        * tao/PortableServer/Object_Adapter.cpp (check_close):

          Updated to check for the correct ORB for <wait_for_completions>.

        * tao/PortableServer/Object_Adapter.h (TAO_POA_Current_Impl):
          Changed the type of <previous_current_impl_> to be
          TAO_POA_Current_Impl. Also added orb_core() accessor.

Tue Sep 12 21:29:30 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_module,.cpp:
        * TAO_IDL/fe/fe_interface_header.cpp:
        * TAO_IDL/util/utl_scope.cpp:

          In an example sent in by Russell Mora <rd.mora@router.econz.co.nz>,
          the lookup of an interface's parents when they are declared as
          parents was going into an infinite loop. When that was fixed,
          the lookup of the parents failed unless they had a fully
          scoped name. All this happened in the case where the parents
          were defined in other openings of the containing (nested) module,
          included from other IDL files. Added a guard against the infinite
          loop in UTL_Scope::lookup_by_name_local() and modified the logic
          of AST_Module::look_in_previous().

          Also used this opportunity to make these files over to conform
          to the ACE style guidelines.

        * tests/IDL_Test/reopened_include1.idl:
        * tests/IDL_Test/reopened_includes.idl:
        * tests/IDL_Test/reopened_modules.idl:

          Added Russell's example to the above files in the IDL test suite.

Tue Sep 12 18:00:00 2000  Carlos O'Ryan  <coryan@uci.edu>

        * examples/Event_Comm/Consumer.dsp:
        * examples/Event_Comm/Notifier.dsp:
        * examples/Event_Comm/Supplier.dsp:
        * examples/Simple/time-date/client.dsp:
        * orbsvcs/IFR_Service/IFR_Service.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_child.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_client.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_server.dsp:
        * orbsvcs/tests/Property/client.dsp:
        * orbsvcs/tests/Property/server.dsp:
        * orbsvcs/tests/Simple_Naming/client.dsp:
          More IORTable related fixes, my previous commit had a few typos
          and mistakes.

Tue Sep 12 18:19:38 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/PolicyS.h: Addes this nearly empty file to keep generated
          code that includes Policy.pidl happy.

        * tao/PortableServer/PolicyS.cpp: Changed one of the includes to
          PolicyS.h instead of PolicyC.h. Now POlicyC.h is included in
          PolicyS.h. At the outset, it may look like we have brokenn the
          model a bit by having the header file in one place and the cpp
          file in another place. This should be an exception for without
          any consequences.

Tue Sep 12 18:01:52 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/GIOPS_T.i:
        * tao/GIOPS_T.h:
        * tao/GIOPS_T.cpp:
        * tao/GIOPS.h:
        * tao/GIOPS.cpp:
        * tao/GIOPS.h: Added these dummy files so that idl files that
          include GIOP.pidl would be happy.

        * tao/GIOP.pidl: Moved the GIOP1_2.pidl as GIOP.pidl.

Tue Sep 12 15:53:30 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/IFR_Service/Makefile.IFR_Service:
          Add missing -lTAO_IORTable library

        * orbsvcs/IFR_Service/IFR_Service.cpp:
          Use the IORTable instead of the obsolete (and removed)
          _tao_add_to_IOR_table() method.

        * tao/orbconf.h:
          Removed unused TAO_NO_IOR_TABLE macro, the IORTable is now an
          optional component in the ORB.

        * orbsvcs/IFR_Service/Makefile:
          Cosmetic fix

Tue Sep 12 10:32:25 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/tests/Notify/Basic/AdminProperties_Test.cpp:
        * tao/PortableServer/Default_Acceptor_Filter.cpp:
          Fixed warnings about unused variables.

        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:
          Use ACE_THROW_RETURN instead of just ACE_THROW.

        * */Makefile:
          Updated dependencies again, last time I generated them with
          static_libs_only enabled.

Tue Sep 12 11:29:34 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAOACE.dsw:

          Added IORTable project dependency to ImplRepo_Service
          and IFR_Service projects.

Tue Sep 12 10:53:37 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile.Svc_Utils:
        * orbsvcs/orbsvcs/Makefile.CosNaming:
        * orbsvcs/orbsvcs/Makefile.CosNotification: Updated dependencies.

Tue Sep 12 01:58:59 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * examples/mfc/client.cpp: Included "tao/PortableServer/POA.h".

        * examples/mfc/client.dsp:
        * examples/mfc/server.dsp: Added TAO_PortableServermfc* linked
          libraries and changed TAO_CosNaming* link libraries to
          TAO_CosNamingmfc* libraries.  Thanks for Bennett R. Stabile
          <bstabile@home.com> for reporting the bug.

Tue Sep 12 01:36:57 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/orbconf.h: Added macros TAO_ENV_SINGLE_ARG_DECL and friends
          to be used in case when an environment variable is the only
          argument.

        * tao/DomainC.cpp:
        * tao/DomainC.h:
        * tao/PortableInterceptorC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/Request_Info.cpp:
        * tao/Request_Info.h:
        * tao/PortableServer/DomainS.cpp:
        * tao/PortableServer/DomainS.h: Changed the CORBA environment
          variable declarations in <arguments>, <exceptions>, and <result>
          methods of RequestInfo to be compiled optionally.  This fixed
          the compilation problem in Portable Interceptor when compiling
          with native exception support.

Mon Sep 11 19:45:00 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAOACE.dsw:
        * TAOACE_Static.dsw:
        * tao/TAO.dsp:
        * tao/TAO.dsw:
        * tao/TAO_Static.dsp:
        * tao/IORTable/TAO_IORTable.dsp:
        * tao/IORTable/TAO_IORTable_Static.dsp:
          Add new project files for the TAO_IORTable library.

        * examples/Callback_Quoter/Consumer.dsp:
        * examples/Callback_Quoter/Notifier.dsp:
        * examples/Callback_Quoter/Supplier.dsp:
        * examples/Event_Comm/Consumer.dsp:
        * examples/Event_Comm/Notifier.dsp:
        * examples/Event_Comm/Supplier.dsp:
        * examples/Simple/bank/client.dsp:
        * examples/Simple/bank/server.dsp:
        * examples/Simple/chat/client.dsp:
        * examples/Simple/chat/server.dsp:
        * examples/Simple/echo/client.dsp:
        * examples/Simple/echo/server.dsp:
        * examples/Simple/grid/client.dsp:
        * examples/Simple/grid/server.dsp:
        * examples/Simple/time/client.dsp:
        * examples/Simple/time/server.dsp:
        * orbsvcs/Concurrency_Service/Concurrency_Service.dsp:
        * orbsvcs/ImplRepo_Service/implrepo.dsp:
        * orbsvcs/Naming_Service/NT_Naming_Service.dsp:
        * orbsvcs/Naming_Service/Naming_Service.dsp:
        * orbsvcs/Notify_Service/Notify_Service.dsp:
        * orbsvcs/orbsvcs/CosNaming.dsp:
        * orbsvcs/tests/tests.dsw:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_child.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_client.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_server.dsp:
        * orbsvcs/tests/Concurrency/CC_client.dsp:
        * orbsvcs/tests/ImplRepo/airplane_server.dsp:
        * orbsvcs/tests/ImplRepo/nestea_server.dsp:
        * orbsvcs/tests/Property/client.dsp:
        * orbsvcs/tests/Property/server.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.dsp:
        * orbsvcs/tests/Simple_Naming/client.dsp:
        * orbsvcs/tests/Time/Time_Service_Test.dsp:
        * tests/InterOp-Naming/server.dsp:
          Add TAO_IORTable to the projects that need it.

Mon Sep 11 12:56:11 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/Makefile:
        * tao/ORB.h:
        * tao/ORB.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i:
        * tao/ORB_Core.cpp:
        * tao/IOR_LookupTable.h:
        * tao/IOR_LookupTable.cpp:
        * tao/IORTable/Makefile:
        * tao/IORTable/iortable_export.h:
        * tao/IORTable/IORTable.h:
        * tao/IORTable/IORTable.cpp:
        * tao/IORTable/IORTableC.h:
        * tao/IORTable/IORTableC.i:
        * tao/IORTable/IORTableC.cpp:
        * tao/IORTable/IOR_Table_Impl.h:
        * tao/IORTable/IOR_Table_Impl.cpp:
        * tao/IORTable/Table_Adapter.h:
        * tao/IORTable/Table_Adapter.cpp:
        * tao/IORTable/diffs/IORTableC.h.diff:
        * tao/IORTable/diffs/IORTableC.i.diff:
        * tao/IORTable/diffs/IORTableC.cpp.diff:
          Removed the IOR_LookupTable to a separate pluggable adapter.
          That one it is only linked by applications that truly need it.

        * docs/tutorials/Quoter/Simple/Impl-Repo/server.cpp:
        * examples/OBV/Simple_util.h:
        * examples/OBV/Simple_util.cpp:
        * examples/Simple/Simple_util.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_i.h:
        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:
        * orbsvcs/Notify_Service/Notify_Service.h:
        * orbsvcs/Notify_Service/Notify_Service.cpp:
        * orbsvcs/orbsvcs/IOR_Multicast.h:
        * orbsvcs/orbsvcs/IOR_Multicast.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.h:
        * orbsvcs/orbsvcs/Naming/Naming_Utils.cpp:
        * orbsvcs/tests/ImplRepo/airplane_server_i.cpp:
        * orbsvcs/tests/ImplRepo/nestea_server_i.cpp:
        * tests/InterOp-Naming/Server_i.cpp:
          Use the new IORTable interface to access the ORB IOR Table.

        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.h:
        * orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.cpp:
          Fixed compilation problems.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.h:
          Add missing #include

        * tao/Acceptor_Filter.h:
        * tao/Acceptor_Registry.cpp:
        * tao/Acceptor_Registry.h:
        * tao/Adapter.cpp:
        * tao/Client_Strategy_Factory.h:
        * tao/Connector_Registry.h:
        * tao/Connector_Registry.cpp:
        * tao/DomainC.cpp:
        * tao/GIOP_Message_Acceptors.h:
        * tao/GIOP_Message_Acceptors.i:
        * tao/GIOP_Message_Acceptors.cpp:
        * tao/GIOP_Message_Lite.h:
        * tao/GIOP_Message_Lite.i:
        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Server_Request.h:
        * tao/GIOP_Server_Request.cpp:
        * tao/IIOP_Connect.h:
        * tao/IIOP_Factory.h:
        * tao/IIOP_Lite_Factory.h:
        * tao/Invocation.h:
        * tao/Invocation.i:
        * tao/Invocation.cpp:
        * tao/Object.cpp:
        * tao/Pluggable.h:
        * tao/Protocol_Factory.h:
        * tao/Resource_Factory.h:
        * tao/SHMIOP_Factory.h:
        * tao/Server_Request.h:
        * tao/UIOP_Factory.h:
        * tao/UIOP_Lite_Factory.h:
        * tao/orbconf.h:
        * tao/params.h:
        * tao/params.i:
        * tao/params.cpp:

          Simplify #includes, use the IORTable classes.

        * */Makefile:
          Update dependencies

Mon Sep 11 12:53:03 2000  Ossama Othman  <ossama@uci.edu>

        * tao/Exception.i (CORBA_ExceptionList):

          Initialize ref_count_ member to one.  This fixes an off-by-one
          reference count error since the reference count value is
          initialized to zero by default since it is an ACE_Atomic_Op
          variable.

        * tao/Exception.cpp (fini):

          Invoke CORBA::ExceptionList::_destroy() instead of invoking the
          delete operator on the system exceptions list since a
          CORBA::ExceptionList is reference counted.

          Similarly, invoke CORBA::release() on the
          CORBA::_tc_UnknownUserException variable since it is also
          reference counted.

        * tao/Resource_Factory.h (reclaim_reactor):
        * tao/Resource_Factory.cpp (reclaim_reactor):
        * tao/default_resource.h (reclaim_reactor)
        * tao/default_resource.cpp (reclaim_reactor):

          New method used to deallocate, if necessary, a reactor obtained
          from the resource factory.

          (get_reactor, dynamically_allocated_reactor_):

          Set newly added dynamically_allocated_reactor_ member to 1 to
          make sure that a reactor not allocated by the default resource
          factory is not reclaimed by the default resource factory.  Such
          a situation can occur when a resource factory derived from the
          default one overrides the get_reactor() method but does not
          override the reclaim_reactor() method.

        * tao/Leader_Follower.cpp (~TAO_Leader_Follower):
        * tao/ORB_Core.cpp (fini):

          Pass the reactor back to the resource factory.  The resource
          factory is now responsible for reclaiming any resources held by
          the reactor.  This typically entails deleting the reactor, which
          is the default behavior.  [Bug 386]

Mon Sep 11 14:24:22 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/PortableServer/Makefile:

          Updated dependencies.

Mon Sep 11 11:33:14 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/PortableServer/POA.cpp:
        * tao/PortableServer/PortableServer.dsp:
        * tao/PortableServer/PortableServer_Static.dsp:
        * tao/PortableServer/Makefile:

          New files:

        * tao/PortableServer/Default_Acceptor_Filter.cpp:
        * tao/PortableServer/Default_Acceptor_Filter.h:

          Removed the class TAO_Default_Acceptor_Filter from
          POA.cpp and put it in its own files. There is a call
          to TAO_Acceptor_Registry::make_mprofile in
          ImplRepo_i::server_is_running that needs this class
          for the last argument in the call.

Mon Sep 11 11:09:04 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile.dependencies:

          Added no-op clean and realclean targets. Thanks to
          Bala for reporting this oversight.

Mon Sep 11 09:18:18 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated dependencies to Makefiles in orbsvcs/orbsvcs to take
          care of the compile errors in these directories.

Mon Sep 11 08:51:50 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Makefile:
        * tao/Synch_Reply_Dispatcher.cpp:
        * tao/PortableServer/POA.cpp: Fixed warnings in g++.

Mon Sep 11 08:45:07 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbvcs/Makefile.CosConcurrency:Updated dependencies.

Mon Sep 11 08:10:21 2000  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * performance-tests: Added some Borland-specific makefiles for
          some of the TAO performance tests.  Thanks to Johnny Willemsen
          <Johnny.Willemsen@meco.nl> for contributing this.

Mon Sep 11 01:02:17 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/TAO.dsp:
        * tao/TAO_Statis.dsp: Removed IORC.* and IORManipulation.* from
          the projects.

Sun Sep 10 04:03:54 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * tao/corbafwd.h:
        * tao/LocalObject.{h,i,cpp}: Changed class CORBA::LocalObject and
          friends to CORBA_LocalObject and typedef the original names in
          CORBA  namespace instead.  This change fix the compilation
          problems in OMVS which seems to have problem dealing with nested
          namespace.  Thanks to <amoderni@viasoft.com> for reporting
          this.

Fri Sep  8 21:33:02 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile:

          New file:
        * TAO_IDL/Makefile.dependencies:

          New simple makefile, called by the top level makefile for
          tao_idl, that touches (updates the timestamp) on the tao_idl
          executable if either the FE or the BE library has been modfied.
          Now that the IDL compiler is in three parts, this is necessary
          to cause code regeneration if _any_ part of the IDL compiler
          has been mofified. Thanks to Nanbor for his help with this.
          Note that a similiar scheme for Win32 platforms must still
          be put in place.

Fri Sep  8 21:00:01 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ be/be_visitor_argument/arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
        * TAO_IDL/be/be_visitor_argument/upcall_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_collocated_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/argument.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_exceptlist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/thru_poa_collocated_ss.cpp:

          Started out as a fix of a bug reported by
          Christopher Kohlhoff <chris@kohlhoff.com>. If a nested portable
          interceptor class has a private member that's a pointer type (for
          example string), we generate the private member as char *&, but
          the constructor assigns a char * to this member. Some compilers
          complain about this. The reference seems unnecessary in this case,
          so it has been removed in the generated header file.

          There are also many cosmetic modifications to generated code,
          indenting, formatting, etc. in both stub and skeleton. Also
          cosmetic changes to IDL compiler source code.

Fri Sep  8 20:50:00 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.h:
        * orbsvcs/orbsvcs/Notify/Notify_Worker_Task.h:
          Added virtual destructors.
        * orbsvcs/orbsvcs/Notify/Notify_Buffering_Strategy.cpp:
          Commented unused parameter.

Fri Sep  8 18:54:32 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Asynch_Reply_Dispatcher.cpp (TAO_Asynch_Reply_Dispatcher):
        * tao/Synch_Reply_Dispatcher.cpp: Initialised the reply_status_
          member in the constructor. Thanks to Ossama and his preying eyes
          for reporting this :-)

Fri Sep  8 17:35:01 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated dependenices in orbsvcs

Fri Sep  8 17:24:00 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated all the Makefiles in examples/*

Fri Sep  8 16:58:37 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated all the Makefiles in tests/*

Fri Sep  8 16:18:33 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/IORManipulation/TAO_IORManip.dsp:
        * tao/IORManipulation/TAO_IORManip_Static.dsp:
        * tao/TAO.dsw: Win32 project files

Fri Sep  8 15:51:52 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/IORManipulation/IORManipulation.h (LocalObject): Fixed
          compile errors in Win32

Fri Sep  8 14:27:11 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tests/MProfile/client.cpp:
        * tests/MProfile/Makefile:
        * tests/MProfile_Forwarding/Manager.cpp:
        * tests/MProfile_Forwarding/Makefile
        * tests/IORManipulation/IORTest.cpp:
        * tests/IORManipulation/Makefile: Modifications to accomodate
          changes that were made to load the IORManipulation library
          pluggably loadable.

Fri Sep  8 14:02:26 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/IORManipulation: A new pluggable library along the lines of
          DynAny and PortableServer. As this is proprietary to TAO, it is
          moved to a seperate library and should help footprint a bit.

        * tao/IORManipulation/IORC.h:
        * tao/IORManipulation/IORC.cpp:
        * tao/IORManipulation/IORC.i:
        * tao/IORManipulation/IORManipulation.h:
        * tao/IORManipulation/IORManipulation.cpp: Moved these files from
          tao to this directory. Moreover new operations have been added
          for FT support. They are also proprietary to TAO. The details of
          the operations can be seen in IOR.pidl

        * tao/IORManipulation/ior_manip_export.h: New file for export
          definitions.

        * tao/IORManipulation/Makefile: Makefile for this.

        * tao/ORB_Core.cpp:
        * tao/ORB_Core.i:
        * tao/ORB_Core.h:
        * tao/ORB.h:
        * tao/ORB.i:
        * tao/ORB.cpp: Changes to load the library. Changes closely follow
          the way DynAny library is loaded in to the ORB.

        * tao/IOR.pidl: Added new operations for FT support
        * tao/Makefile: Removed the file IORC.* and IORManipulation.cpp
          from the compilation list.

Fri Sep  8 11:34:59 2000  Christopher Kohlhoff <chris@kohlhoff.com>

        * tao/Makefile.bor:
        * tao/DynamicAny/Makefile.bor:
        * tao/PortableServer/Makefile.bor:
        * orbsvcs/*/*.bor
        * tests/*/*.bor
        * orbsvcs/orbsvcs/CosNotification.bor:
          Added new DynamicAny and PortableServer libraries.

        * tao/FT_CORBAC.h:
        * tao/DynamicAny/DynamicAny.h:
        * tao/PortableServer/FT_CORBAS.h:
        * tao/PortableServer/PortableServer.h:
          Added missing inclusion of ace/post.h.

        * TAO_IDL/Makefile.bor:
        * TAO_IDL/TAO_IDL_BE.bor:
        * TAO_IDL/TAO_IDL_FE.bor:
        * TAO_IDL/tao_idl.bor:
          Added new makefiles for TAO_IDL front- and back-end libraries.

Fri Sep  8 10:43:52 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/Profile.h:
        * tao/Profile.cpp: Added a data member to hold the cached copy of
          the TAO_ORB_Core pointer with a member function to return the
          pointer. Made a change to the constructor of the TAO_Profile
          class to take in a TAO_ORB_Core pointer.

        * tao/IIOP_Profile.h
        * tao/IIOP_Profile.cpp:
        * tao/UIOP_Profile.h:
        * tao/UIOP_Profile.cpp:
        * tao/SHMIOP_Profile.h:
        * tao/SHMIOP_Profile.cpp: Removed the data member storing the
          ORB_Core pointer, as it is now available through
          TAO_Profile.  Also made changes to the constructors to pass the
          TAO_ORB_Core pointer to its base class to initialise the base
          class properly.

        * tao/Connector_Registry.cpp: Made changes to the constructor of
          TAO_Unknown_Profile object.

Thu Sep  7 23:03:27 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Acceptor_Filter.h:

          Replaced <evaluate> method with a more powerful
          <fill_mprofile>.  TAO_Acceptor_Filter class has now more
          control/responsibility over mprofile creation: rather than just
          approving/disapproving individual endpoints, it does all the
          work of populating mprofile.

          Added class documentation.

        * tao/Acceptor_Registry.h
        * tao/Acceptor_Registry.cpp (create_mprofile):

          Delegated most of the work of creating mprofile to <filter>.

        * tao/PortableServer/POA.cpp:

          - Renamed TAO_Server_Policy_Acceptor_Filter class to
          TAO_Server_Protocol_Acceptor_Filter.

         - Reimplemented the class in accordance with the changes in
          Acceptor_Filter.h above.  This fixes incorrect profile ordering
          with ServerProtocolPolicy bug introduced with separation of
          PortableServer.

         - Added new concrete filter class, TAO_Default_Acceptor_Filter,
          which implements the default strategy of including all endpoints
          into mprofile.

        * tao/ORB_Core.cpp (create_stub_object):

          Added a check that mprofile contains at least one profile.

Thu Sep  7 16:09:30 2000  Ossama Othman  <ossama@uci.edu>

        * tao/ORB.cpp (string_copy):
        * tao/corbafwd.cpp (string_dup):
        * tao/corbafwd.i (string_alloc, string_free):

          Changed usage of "CORBA::Char *" to "char *."  Both are
          equivalent, but the latter is consistent with the CORBA C++
          mapping.

          (string_alloc, wstring_alloc):

          Use "ACE_NEW_RETURN" macro instead "new" operator.

Thu Sep  7 15:59:23 2000  Ossama Othman  <ossama@uci.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp
          (visit_operation):

          Added missing space between argument type and argument name in
          the generated code.  This fixes a syntax error in the generated
          code.

        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp
          (visit_operation):

          Cosmetic update to generated code.

Thu Sep 07 14:06:40 2000  Ossama Othman  <ossama@uci.edu>

        * tao/ORB.cpp (ORB_init):

          Once the ORB Core pointer has been added to the ORB table,
          release it from the Auto_Ptr since the ORB table owns it at that
          point.

        * tao/ORB_Core.cpp (bind):

          Make sure that the supplied ORB core pointer is valid,
          i.e. non-zero.

          Do not increase the reference count on the ORB Core.  Once the
          ORB core has been added to the ORB table, the ORB table owns
          it, and is therefore responsible for destroying it.

          Only set the "first_orb_" member if the given ORB Core was
          successfully added to the ORB table.

          (~TAO_ORB_Table):

          Fixed memory access violation that was caused by the fact the
          loop that decremented the reference count on each ORB Core in
          the table was an infinite loop.  The table iterator was not
          incremented after each loop iteration, so the loop ran
          endlessly, which in turn caused _decr_refcnt() to be called on
          an ORB Core that was destroyed in a previous loop iteration.
          This problem also prevented other registered ORBs from being
          destroyed properly.

        * tao/Adapter.cpp (~TAO_Adapter_Registry):

          Attempt to deallocate the underlying adapter array in case the
          adapter registry was not closed properly.  This fixes a leak
          that occured when ORB Core initialization was prematurely
          terminated due to errors.

        * TAOACE.dsw:

          Added Security Service related projects to this MSVC++ workspace
          file.

        * orbsvcs/orbsvcs/SSLIOP.dsp:
        * orbsvcs/examples/Security/Send_File/Send_File_Server.dsp:

          Added missing TAO_PortableServer{d}.lib and corresponding
          library path to the link input information for this project
          file.

        * orbsvcs/examples/Security/Send_File/Send_File_Client.dsp:

          Fixed `test.idl' custom build step.

Thu Sep  7 15:02:51 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/paramlist.cpp:

          Added code to strip away the typedef (if any) from the node
          type, before generating code base on that type. Thanks to
          Erik Johannes <ejohannes@oresis.com> for reporting that
          generated code was trying to insert a bare octet (unsigned
          char) into an Any when the octet argument is typedef'd. Also
          made numereous cosmetic changes to source code and generated
          code.

        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:

          Cosmetic changes to source code and generated code.

Thu Sep  7 13:57:07 2000  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * Added a number of updated Makefile.bor files so that things
          work better with Borland C++.  Thanks to Johnny Willemsen
          <Johnny.Willemsen@meco.nl> for reporting this.

Thu Sep  7 10:29:40 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:

          Fixed some project settings in the FE and BE static library
          projects.

Thu Sep  7 00:46:40 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.h:
        * orbsvcs/orbsvcs/Notify/Notify_AdminProperties.i:
          Implements the AdminProperties interface methods.

        * orbsvcs/orbsvcs/Notify/Notify_Buffering_Strategy.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Buffering_Strategy.h:
          Buffering Strategy used for MT Worker tasks.
          Handles discard and order policies.

        * orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_MT_Worker_Task.h:
        * orbsvcs/orbsvcs/Notify/Notify_Worker_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Worker_Task.h:
          Split the Notify_worker as reactive and MT.

        * orbsvcs/orbsvcs/Makefile.CosNotification:
        * orbsvcs/orbsvcs/CosNotification.dsp:
        * orbsvcs/orbsvcs/CosNotification_Static.dsp:
          Added new files, updated dependencies.

        * orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.h:
          Delegate admin properties get/set to TAO_Notify_AdminProperties.

        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.i:
          Added  TAO_Notify_AdminProperties member.

        * orbsvcs/orbsvcs/Notify/Notify_ProxyConsumer_T.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ProxyConsumer_T.h:
        * orbsvcs/orbsvcs/Notify/Notify_ProxySupplier_T.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ProxyPushConsumer_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_SequenceProxyPushConsumer_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_StructuredProxyPushConsumer_i.cpp:
          on_connect and on_disconnect methods count number of consumers
          and suppliers connected to the channel.

        * orbsvcs/orbsvcs/Notify/Notify_ConsumerAdmin_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Dispatch_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Processor.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Processor.h:
        * orbsvcs/orbsvcs/Notify/Notify_QoSAdmin_i.h:
          Changes related to accomodating the TAO_Notify_MT_Worker and
          minor corrections.

        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.cpp:
        * orbsvcs/tests/Notify/Basic/ConnectDisconnect.h:
          The usage message was printed incorrectly, fixed it.
        * orbsvcs/tests/Notify/Basic/Events_Test.cpp:
          Added a priorities to events. Showing how the channel reorders
          according to priority is difficult - i had to put a sleep(1)
          statement (temporary) in the TAO_Notify_MT_Task's svc method to
          slow it down enough to see priorities in action.

        * orbsvcs/tests/Notify/Basic/Makefile:
        * orbsvcs/tests/Notify/Basic/README:
          Updated.

        * orbsvcs/tests/Notify/Basic/AdminProperties_Test.cpp:
        * orbsvcs/tests/Notify/Basic/AdminProperties_Test.h:
          Test for the newly added EC Admin QoS properties.

07 01:04:12 2000  Nanbor Wang  <nanbor@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_interface/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ss.cpp
        (visit_interface): Don't generate interceptor code for local
          interfaces.  Thanks to Bala for reporting this.

Wed Sep  6 20:15:11 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/bevisitor_exception/exception_cs.cpp:

          Removed generation of extra string_dup of repository id
          when passed to the base class constructor of a user
          exception. The base class constructory duplicates the
          string.

        * TAO_IDL/driver/drv_preproc.cpp:

          Increased the length of the tao_idl command line buffer
          from the ACE default of 1024 to 4096. Some complex
          applications were exceeding the default length.

          Thanks to Jeff Butler <jeff@panasas.com> for reporting
          the above bugs.

        * TAO_IDL/tao_idl.cpp:

          If the -d (AST dump) option was used with the IDl compiler,
          a null ostream was being passed to the dump function. Thanks
          to Roland Rüdenauer <roland.ruedenauer@freenet.de> for reporting
          this bug.

        * TAO_IDL/ast/ast_field.cpp:

          The dump function was reporting an error if the visibility
          value was vis_NA (not applicable). This is incorrect - that
          value is legitimate if the field does not belong to a
          valuetype, so the error output was removed.

Wed Sep  6 20:02:25 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/RTCORBA/Client_Propagated/run_test.pl:

          Removed unused code.

        * tests/Makefile.bor:

          Added all subdirectories that contain Borland makefiles into
          this makefile.

        * tests/RTCORBA/Client_Propagated/server.cpp
        * tests/RTCORBA/Client_Propagated/client.cpp
        * tests/RTCORBA/Server_Protocol/server.cpp
        * tests/RTCORBA/Server_Protocol/client.cpp:

          Added source code protection if RT_CORBA is not supported.

        * tests/RTCORBA/Server_Protocol/README
        * tests/RTCORBA/Server_Protocol/server_reverse_nt.conf
        * tests/RTCORBA/Server_Protocol/run_test.pl:

          Set up tests for multiple configurations and populated README.

        * tests/RTCORBA/Client_Propagated/client.cpp
        * tests/RTCORBA/Client_Propagated/README:

          Added a check that enough priority levels are available.

        * tests/RTCORBA/README:

          Updated.

Wed Sep 06 19:09:39 2000  Carlos O'Ryan  <coryan@cs.wustl.edu>

        * TAO version 1.1.9 released.

Wed Sep  6 13:15:39 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/Adapter.cpp:
        * tao/PortableServer/POA.cpp:
          The tests were failing under minimum CORBA.  To support
          dynamically loadable object adapters we must enable the object
          key prefix, even under minimum CORBA builds.

Tue Sep  5 18:42:07 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/PortableServer/ORB_Manager.h:
          Include PortableServer.h instead of PortableServerC.h.
          All applications that use the ORB_Manager need the POA, so they
          must have the RootPOA automagically initialized.  This was not a
          problem under Linux, but Solaris seems more picky.

Tue Sep  5 18:36:06 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/tao_idl.dsp:

          Changed some minor project options for the release
          version - logo display, etc.

        * TAO_IDL/TAO_IDL_FE_DLL.dsp:
        * TAO_IDL/TAO_IDL_BE_DLL.dsp:

          Added generation of debugging symbols to the release
          version. With this we don't get the full display of
          source code (only disassembled code) but we do get
          a call stack, which can be useful.

        * TAO_IDL/be/be_decl.cpp:

          Added a temporary variable in the compute_prefix()
          function. Passing the entire function call string
          scope->decl()->compute_prefix() as an argument to
          ACE::strnew was causing a crash in the release version,
          so the temporary be_scope *d = scope->decl() was added.

        * version_tests.dsw:

          Added the FE and BE library projects for the IDL compiler
          to the workspace, along with the appropriate dependencies.

Tue Sep  5 12:12:49 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_exceptlist.cpp:
          Removed warnings about unused variables and arugments.

        * tao/ORB_Core.cpp:
          Removed warning about unreached statement.

        * orbsvcs/tests/Notify/Basic/LifeCycleTest.cpp:
          Fixed warning about unreached catch clause

        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:
        * orbsvcs/orbsvcs/Naming/Naming_Loader.cpp:
        * orbsvcs/orbsvcs/Trader/Trading_Loader.cpp:
          Removed warnings about extra ';'

        * orbsvcs/tests/Event/lib/Makefile:
          Add missing TAO_PortableServer library

        * tests/Object_Loader/Makefile:
        * tests/Object_Loader/svc.conf:
          Make the POA dynamically loadable

        * tests/Portable_Interceptors/Benchmark/Makefile:
        * tests/Portable_Interceptors/Dynamic/Makefile:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile:
          Update dependencies

Tue Sep 05 11:10:47 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ss.cpp:
        * tao/Profile.cpp:
          Fixed warnings about unused variables

Tue Sep  5 11:26:56 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * be/be_visitor_operation/operation_cs.cpp: Added a line in the
          generated code to reset the reply_received field in the
          Invocation class. This was added on <Fri Jul 21 17:54:55 2000
          <bala@cs.wustl.edu> but seem to have dissappeared in between.

Tue Sep  5 10:51:53 2000  Chad Elliott  <elliott_c@ociweb.com>

        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Read.cpp
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Read.i
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.cpp
        * orbsvcs/orbsvcs/ESF/ESF_Copy_On_Write.i

          Moved some methods from inline to the .cpp.  This is a workaround
          for the SunCC 4.2 Compiler patch level 104631-07.

Mon Sep  4 22:18:16 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Stub.cpp:

          Changed the use of <MProfile::get_next> to
          <MProfile::get_profile> in the TAO_Stub constructor.  <get_next>
          method has side effects, and was corrupting the state of the
          stub's <base_profiles_> member.  This fixes the following bug in
          the orb: if the invocation using the first profile in the IOR
          does not succeed for whatever reason, e.g., protocol not
          supported, the invocation will fail without going through other
          profiles.

Sun Sep 03 19:40:43 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/TAO_IDL_BE_DLL.dsp:
        * TAO_IDL/TAO_IDL_FE_DLL.dsp:
        * TAO_IDL/tao_idl.dsp:
          Go the IDL compiler to compile under Win32/Release,
          unfortunately it crashes at run-time.

Sun Sep  3 15:35:11 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/Makefile.BE:
        * orbsvcs/orbsvcs/Makefile.Svc_Utils:
          DU/CXX is more strict about inter-library dependencies than
          other compiles, add the libraries reported missing in the last
          build.

Sun Sep  3 12:16:00 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
          The compiler was generating some code for smart proxies even when
          smart proxy code generation was not enabled.
          It seems like the default settings are not working, i.e. even
          when TAO_HAS_SMART_PROXIES is enabled the compiler does not
          generate smart proxies support code by default.

        * tests/Smart_Proxies/Makefile:
        * tests/Smart_Proxies/On_Demand/Makefile:
          Add the PortableServer library to this test.

Sat Sep 02 16:47:29 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/DomainC.cpp:
          Fixed problems when compiling with smart proxies enabled.

        * tests/Portable_Interceptors/Benchmark/client.cpp:
        * tests/Portable_Interceptors/Benchmark/interceptors.h:
        * tests/Portable_Interceptors/Benchmark/marker.h:
        * tests/Portable_Interceptors/Benchmark/server.cpp:
          These examples did not compile under NT because some identifiers
          were already used by the MSVC libraries.

        * TAOACE.dsw:
        * tests/TAO_Tests.dsw:
        * examples/TAO_Examples.dsw:
        * orbsvcs/tests/tests.dsw:
        * performance-tests/TAO_Perf_Tests.dsw:
        * tests/Portable_Interceptors/Benchmark/Benchmark.dsw:
          Add several missing projects to these workspaces.

        * docs/tutorials/Quoter/Naming_Service/client.dsp:
        * docs/tutorials/Quoter/Naming_Service/server.dsp:
        * docs/tutorials/Quoter/Simple/Client/client.dsp:
        * docs/tutorials/Quoter/Simple/Impl-Repo/server.dsp:
        * docs/tutorials/Quoter/Simple/ImprovedServer/improvedserver.dsp:
        * docs/tutorials/Quoter/Simple/Persistent/server.dsp:
        * docs/tutorials/Quoter/Simple/Server/server.dsp:
        * examples/AMI/FL_Callback/AMI_Peer.dsp:
        * examples/AMI/FL_Callback/AMI_Progress.dsp:
        * examples/Buffered_AMI/client.dsp:
        * examples/Buffered_AMI/server.dsp:
        * examples/Content_Server/AMI_Iterator/client.dsp:
        * examples/Content_Server/AMI_Iterator/server.dsp:
        * examples/Content_Server/AMI_Observer/client.dsp:
        * examples/Content_Server/AMI_Observer/server.dsp:
        * examples/Content_Server/SMI_Iterator/server.dsp:
        * examples/Load_Balancing/client.dsp:
        * examples/Load_Balancing/server.dsp:
        * examples/Load_Balancing/service.dsp:
        * examples/Load_Balancing_persistent/client.dsp:
        * examples/Load_Balancing_persistent/server.dsp:
        * examples/Load_Balancing_persistent/service.dsp:
        * examples/Simulator/Event_Supplier/DualEC_Sup.dsp:
        * examples/Simulator/Event_Supplier/Event_Sup.dsp:
        * examples/Simulator/Event_Supplier/Logging_Sup.dsp:
        * orbsvcs/CosEvent_Service/CosEvent_Service_Native.dsp:
        * orbsvcs/LoadBalancer/LoadBalancer_Service.dsp:
        * orbsvcs/Time_Service/Time_Service_Clerk.dsp:
        * orbsvcs/Time_Service/Time_Service_Server.dsp:
        * orbsvcs/examples/CosEC/Factory/FactoryClient.dsp:
        * orbsvcs/examples/CosEC/Factory/FactoryServer.dsp:
        * orbsvcs/examples/Security/Send_File/Send_File_Server.dsp:
        * orbsvcs/orbsvcs/Security.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_child.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_client.dsp:
        * orbsvcs/tests/AVStreams/benchmark/av_benchmark_server.dsp:
        * orbsvcs/teACEsts/Concurrency/CC_client.dsp:
        * orbsvcs/tests/EC_Basic/EC_Basic.dsp:
        * orbsvcs/tests/EC_Custom_Marshal/ECCM_Consumer.dsp:
        * orbsvcs/tests/EC_Custom_Marshal/ECCM_Supplier.dsp:
        * orbsvcs/tests/EC_Mcast/EC_Mcast.dsp:
        * orbsvcs/tests/EC_Multiple/EC_Multiple.dsp:
        * orbsvcs/tests/EC_Throughput/ECT_Consumer.dsp:
        * orbsvcs/tests/EC_Throughput/ECT_Supplier.dsp:
        * orbsvcs/tests/EC_Throughput/ECT_Throughput.dsp:
        * orbsvcs/tests/Event_Latency/Event_Latency.dsp:
        * orbsvcs/tests/Interoperable_Naming/client.dsp:
        * orbsvcs/tests/LoadBalancing/client.dsp:
        * orbsvcs/tests/LoadBalancing/server.dsp:
        * orbsvcs/tests/Property/client.dsp:
        * orbsvcs/tests/Property/server.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Anomalies.dsp:
        * orbsvcs/tests/Sched_Conf/Sched_Conf_Runtime.dsp:
        * orbsvcs/tests/Simple_Naming/client.dsp:
        * orbsvcs/tests/Time/Time_Service_Test.dsp:
        * orbsvcs/tests/Trading/Colocated_Test.dsp:
        * orbsvcs/tests/Trading/Export_Test.dsp:
        * orbsvcs/tests/Trading/Import_Test.dsp:
        * performance-tests/Latency/st_server.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Endpoint_Per_Priority/Client.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Endpoint_Per_Priority/Server.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Client.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Server.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Client.dsp:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Server.dsp:
        * tests/Portable_Interceptors/Benchmark/client.dsp:
        * tests/Portable_Interceptors/Benchmark/server.dsp:
        * tests/Smart_Proxies/client.dsp:
        * tests/Smart_Proxies/server.dsp:
        * tests/Smart_Proxies/Collocation/Coll_Test_Stubs.dsp:
        * tests/Smart_Proxies/Collocation/Collocation.dsp:
        * tests/Smart_Proxies/Collocation/Diamond.dsp:
          More DSP files updates to compile with the new PortableServer
          library.

Sat Sep  2 12:26:40 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:
          Use the new ACE_LONG_DOUBLE_INITIALIZER macro to initialize the
          dummy LongDouble values returned from the get_value() methods.
          Otherwise we get some harmless but confusing warnings in some
          compilers.

Sat Sep  2 08:14:58 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Portable_Interceptors/Benchmark/Makefile:
        * tests/Portable_Interceptors/Dynamic/Makefile:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile:
          The ifeq(interceptors,1) protection was commented out in one
          case, the other files needed to refresh their dependencies.

Fri Sep  1 23:51:56 2000  Carlos O'Ryan  <coryan@uci.edu>

        * examples/Simple/time-date/svc.conf:
          Make the POA a dynamically loadable service into the service
          configurator, otherwise it cannot be found by the ORB.

Fri Sep  1 22:01:07 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/tests/EC_Throughput/ECT_Consumer_Driver.cpp:
          Use perform_work() instead of run()/shutdown() because we need
          to do some cleanup after the event loop finishes.

Fri Sep  1 18:16:47 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
          Moved the declaration and use of the _tao_retval_info variable
          to code protected by TAO_HAS_INTERCEPTORS==1.
          This was important because sometimes the initialization of the
          variable had side-effects (like clearing the real return
          argument), normally the side-effects would be compesated by the
          interceptors code, but sometimes the code is not there !
          Several annoying "unused variable" warnings were hinting at this
          problem, another lesson into "why listening to warnings is
          important".

Fri Sep 01 16:15:52 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/PortableServer/Collocated_Object.cpp:
          Fixed implementation of TAO_Collocated_Object::_is_a(), try
          using the hint before testing the servant.

        * TAOACE_Static.dsw:
          Include the new static projects into this workspace, update some
          dependencies.

        * orbsvcs/tests/ImplRepo/airplane_client.dsp:
        * orbsvcs/tests/ImplRepo/airplane_server.dsp:
        * orbsvcs/tests/ImplRepo/nestea_client.dsp:
        * orbsvcs/tests/ImplRepo/nestea_server.dsp:
          Add missing TAO_PortableServer library to these project files

Fri Sep  1 16:01:37 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_result.cpp:
          Removed warnings about unused arguments.

Fri Sep  1 17:36:37 2000  Carlos O'Ryan  <coryan@cs.wustl.edu>

        * examples/Simulator/Event_Supplier/Makefile:
          Add TAO_PortableServer to the libraries. With this everything
          compiles under SunCC 4.2

Fri Sep  1 16:39:19 2000  Carlos O'Ryan  <coryan@cs.wustl.edu>

        * orbsvcs/Logging_Service/Makefile:
        * orbsvcs/tests/Interoperable_Naming/Makefile:
          Add missing TAO_PortableServer library

        * orbsvcs/tests/EC_Custom_Marshal/Makefile:
          Update dependencies

Fri Sep 01 13:47:33 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAOACE.dsw:
          Add the TAO_PortableServer project.
          Updated depedencies

Fri Sep  1 14:18:35 2000  Carlos O'Ryan  <coryan@cs.wustl.edu>

        * tao/PortableServer/Object_Adapter.h:
          Add missing include.  It went undetected because platforms that
          define ACE_TEMPLATES_REQUIRE_SOURCE got it automagically
          included.

        * tao/DomainC.h:
          Some extern declaration should only be made if __ACE_INLINE__ is
          not defineACEd.

Fri Sep  1 11:26:54 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/DomainC.cpp:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.i:
        * tao/PortableServer/DomainS.cpp:
        * tao/PortableServer/DomainS_T.i:
          CORBA::ConstructionPolicy should be disabled in minimum CORBA
          builds.

        * tao/PortableServer/POA.cpp:
          Now we need the definition of TAO_POA::objectkey_prefix even
          when compiling with minimum CORBA, this is because the IOR table
          will be implemented as an alternative object adapter, so it
          could be present even with minimum CORBA disabled.
          Fixed warning when compiling with minimum CORBA enabled.

        * tao/PortableServer/Object_Adapter.cpp:
          When minimum CORBA is enabled the ForwardRequest exception does
          not exists, so we cannot catch it.

        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Message_Acceptors.cpp:
          When using minimum CORBA the ServerRequest class has no params_
          field, only set it for full CORBA builds.

        * tao/corbafwd.h:
          Remove references to FieldName, it was part of the old dynamic
          any interfaces.

Fri Sep  1 11:24:12 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * orbsvcs/IFR_Service/TCF_Loader.cpp (create_object):
          Removed declaration of unused parameters (argc and argv).

Fri Sep  1 13:07:23 2000  Carlos O'Ryan  <coryan@cs.wustl.edu>

        * tao/Adapter.h:
          SunCC 4.2 does not like trailing commas at the end of an enum
          list, removed it to stop the warnings.

Fri Sep 01 11:49:08 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/Stub.cpp

          Fixed waring caused by an unused local variable.

Fri Sep  1 08:32:01 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Leader_Followers/client.cpp:
          No need to resolve the RootPOA if it is not going to be used.
          Also it fails because we are not linking the POA library.

Fri Sep  1 08:18:27 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/DomainC.h:
        * tao/DomainC.cpp:
          The ConstructionP{olicy interceptors must be disabled if there
          is no support for the interface repository.

Fri Sep  1 00:21:41 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Notify/Notify_Default_Collection_Factory.cpp:
          Added missing template instantiation code to fix compile errors
          on SunCC5.

Thu Sep 01 00:15:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        *  tests/Portable_Interceptors/Benchmark/interceptors.cpp:
        *  tests/Portable_Interceptors/Dynamic/interceptors.cpp:
           Changed dynamic_cast to <_tao_QueryInterface> for casting
           TAO specifc RequestInfo from
           PortableInterceptor::ClientRequestInfo and
           PortableInterceptor::ServerRequestInfo. Thanks to Carlos and
           David for brainstorming on this issue.

Thu Aug 31 16:31:04 2000  Carlos O'Ryan  <coryan@uci.edu>

        * Merge the pluggable_poa change, the long description of the
          changes is below.  Basically this is what happened:
          + I moved all the POA code to its own library
          + Decoupled the ORB from the POA creation using the
            Service Configurator.
          + Abstract interfaces allow us to dispatch requests to the POA
            without having its complete definition.
          + For the implementation of the RT policies the POA provides an
            Acceptor_Filter that accepts or rejects endpoints based on the
            policies in effect.
          + For collocation we removed the servant pointer from the basic
            CORBA::Object class, a new TAO_Collocated_Object holds the
            pointer when needed. The ORB delegates on its Adapters to
            create collocated objects.

        * Files moved to the TAO_PortableServer library:

        * Active_Object_Map.cpp:
        * Active_Object_Map.h:
        * Active_Object_Map.i:
        * DomainS.cpp:
        * DomainS_T.cpp:
        * DomainS_T.h:
        * DomainS_T.i:
        * FT_CORBAS.cpp:
        * FT_CORBAS.h:
        * FT_CORBAS.i:
        * Forwarding_Servant.cpp:
        * Forwarding_Servant.h:
        * ImplRepo.pidl:
        * ImplRepoC.cpp:
        * ImplRepoC.h:
        * ImplRepoC.i:
        * ImplRepoS.cpp:
        * ImplRepoS.h:
        * ImplRepoS.i:
        * ImplRepoS_T.cpp:
        * ImplRepoS_T.h:
        * ImplRepoS_T.i:
        * Key_Adapters.cpp:
        * Key_Adapters.h:
        * Key_Adapters.i:
        * MessagingS.cpp:
        * MessagingS.h:
        * MessagingS.i:
        * MessagingS_T.cpp:
        * MessagingS_T.h:
        * MessagingS_T.i:
        * Object_Adapter.cpp:
        * Object_Adapter.h:
        * Object_Adapter.i:
        * POA.cpp:
        * POA.h:
        * POA.i:
        * POAManager.cpp:
        * POAManager.h:
        * POAManager.i:
        * POA_CORBA.h:
        * PortableServer.pidl:
        * PortableServerC.cpp:
        * PortableServerC.h:
        * PortableServerC.i:
        * Servant_Base.cpp:
        * Servant_Base.h:
        * Servant_Base.i:
        * TAO.cpp:
        * TAO.h:

        Thu Aug 31 16:00:38 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_visitor_interface/direct_collocated_ss.cpp:
          More problems with collocated classes, we needed to use
          ACE_NESTED_CLASS in the implementation of _tao_QueryInterface.

        * examples/Quoter/Quoter_i.cpp:
          We use the TAO_POA implementation class directly here, need to
          include it explicitly.

        * */*.dsp:
          Link against the new TAO_PortableServer library when needed.

        Thu Aug 31 13:51:06 2000  Carlos O'Ryan  <coryan@uci.edu>

        * */Makefile:
          This time everything compiles with static libraries.

        Wed Aug 30 18:48:51 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/TAO.dsw:
        * tao/TAO_Static.dsp:
          Removed more files from the static build.
          Add dependencies for the static PortableServer library.

        * TAO_IDL/be/be_visitor_interface/direct_collocated_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_collocated_ss.cpp:
          Generate a _tao_QueryInterface for the direct_collocated
          classes.

        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.cpp:
        * tao/PortableServer/MessagingS.h:
        * tao/PortableServer/MessagingS.cpp:
          Fixed problems with ambiguous definitions of _tao_QueryInterface
          and some missing ACE_NESTED_CLASS() macros.

        * orbsvcs/Concurrency_Service/Concurrency_Service.dsp:
        * orbsvcs/CosEvent_Service/CosEvent_Service.dsp:
        * orbsvcs/Dump_Schedule/Dump_Schedule.dsp:
        * orbsvcs/Event_Service/Event_Service.dsp:
        * orbsvcs/IFR_Service/IFR_Service.dsp:
        * orbsvcs/IFR_Service/TypeCodeFactory_DLL.dsp:
        * orbsvcs/ImplRepo_Service/implrepo.dsp:
        * orbsvcs/ImplRepo_Service/tao_imr.dsp:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.dsp:
        * orbsvcs/Naming_Service/NT_Naming_Service.dsp:
        * orbsvcs/Naming_Service/Naming_Service.dsp:
        * orbsvcs/Notify_Service/Notify_Service.dsp:
        * orbsvcs/Scheduling_Service/Scheduling_Service.dsp:
        * orbsvcs/Trading_Service/Trading_Service.dsp:
        * orbsvcs/orbsvcs/AV.dsp:
        * orbsvcs/orbsvcs/CosConcurrency.dsp:
        * orbsvcs/orbsvcs/CosEvent.dsp:
        * orbsvcs/orbsvcs/CosLifeCycle.dsp:
        * orbsvcs/orbsvcs/CosNaming.dsp:
        * orbsvcs/orbsvcs/CosNotification.dsp:
        * orbsvcs/orbsvcs/CosProperty.dsp:
        * orbsvcs/orbsvcs/CosTime.dsp:
        * orbsvcs/orbsvcs/CosTrading.dsp:
        * orbsvcs/orbsvcs/DsLogAdmin.dsp:
        * orbsvcs/orbsvcs/LoadBalancing.dsp:
        * orbsvcs/orbsvcs/RTEvent.dsp:
        * orbsvcs/orbsvcs/RTOLDEvent.dsp:
        * orbsvcs/orbsvcs/RTSched.dsp:
        * orbsvcs/orbsvcs/RTSchedEvent.dsp:
        * orbsvcs/orbsvcs/Svc_Utils.dsp:
          Fixed project files to link the TAO_PortableServer library when
          needed.

        Wed Aug 30 17:06:31 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAO_IDL/be/be_codegen.cpp:
          Add Collocated_Object.h to the skeleton file, it is needed when
          direct collocation is enabled.

        * examples/Buffered_Oneways/client.cpp:
        * examples/Load_Balancing_persistent/Identity_Server.cpp:
        * examples/Logging/Logging_Service_i.h:
        * examples/POA/FindPOA/FindPOA.cpp:
        * examples/POA/Forwarding/MyFooServant.cpp:
        * examples/POA/Forwarding/Servant_Locator.h:
        * examples/POA/Loader/Servant_Activator.h:
        * examples/POA/Loader/Servant_Locator.h:
        * examples/POA/Loader/server.cpp:
        * examples/POA/NewPOA/NewPOA.cpp:
        * examples/POA/On_Demand_Activation/Servant_Activator.h:
        * examples/POA/On_Demand_Activation/Servant_Locator.h:
        * examples/POA/On_Demand_Loading/Servant_Manager.h:
        * examples/POA/On_Demand_Loading/Server_Manager.h:
        * examples/POA/On_Demand_Loading/server.cpp:
        * examples/POA/RootPOA/RootPOA.cpp:
        * orbsvcs/Dump_Schedule/Dump_Schedule.cpp:
        * orbsvcs/IFR_Service/IFR_Service.h:
        * orbsvcs/IFR_Service/InterfaceS.cpp:
        * orbsvcs/IFR_Service/InterfaceS.h:
        * orbsvcs/IFR_Service/Servant_Factory.h:
        * orbsvcs/IFR_Service/TypeCodeFactory_i.h:
        * orbsvcs/IFR_Service/TypeCodeFactory_skel.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp:
        * orbsvcs/ImplRepo_Service/Repository.h:
        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory_i.cpp:
        * orbsvcs/examples/CosEC/Factory/FactoryClient.cpp:
        * orbsvcs/examples/Log/Client/TLS_Client.cpp:
        * orbsvcs/examples/Log/Client/TLS_Client.h:
        * orbsvcs/tests/InterfaceRepo/IFR_Test/Admin_Client.cpp:
        * orbsvcs/tests/InterfaceRepo/IFR_Test/Admin_Client.h:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Ptest.cpp:
        * orbsvcs/tests/InterfaceRepo/Persistence_Test/Ptest.h:
        * performance-tests/RTCorba/Oneways/Reliable/client.cpp:
          Found many clients that were activating the POA for no good
          reason.
          Also add a bunch of missing #include files after my reshuffling
          in the tao directory.

        * */Makefile:
          Add the -lTAO_PortableServer library to the programs that needed
          it.  I tried not to add it to programs that didn't need it, but
          I'm sure that in more than one case the library is an overkill.
          Everything compiles with shared libraries.
          Have to try static libraries next.

        Wed Aug 30 16:16:02 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/TAO.dsp:
        * tao/TAO.dsw:
        * tao/TAO_Static.dsp:
        * tao/PortableServer/TAO_PortableServer.dsp:
        * tao/PortableServer/TAO_PortableServer_Static.dsp:
          Add new project files for the PortableServer library.
          Update the list of files in the TAO library

        * tao/PortableServer/portableserver_export.h:
          Add file to define the export macros for the PortableServer
          library.

        * tao/PortableServer/Active_Object_Map.h:
        * tao/PortableServer/Collocated_Object.h:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/FT_CORBAS.h:
        * tao/PortableServer/Forwarding_Servant.h:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/ImplRepoC.i:
        * tao/PortableServer/ImplRepoS.h:
        * tao/PortableServer/Key_Adapters.h:
        * tao/PortableServer/MessagingS.h:
        * tao/PortableServer/ORB_Manager.h:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/Operation_Table.h:
        * tao/PortableServer/POA.h:
        * tao/PortableServer/POAManager.h:
        * tao/PortableServer/POA_CORBA.h:
        * tao/PortableServer/PortableServer.h:
        * tao/PortableServer/PortableServerC.h:
        * tao/PortableServer/PortableServerC.i:
        * tao/PortableServer/Servant_Base.h:
        * tao/PortableServer/Object_Adapter.cpp:
          Add the infamous export macros.

        * tao/PortableServer/DomainS.cpp:
          Fix use of ACE_NESTED_CLASS macro

        Wed Aug 30 13:56:53 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/PortableServer/DomainS_T.h:
        * tao/PortableServer/DomainS_T.i:
        * tao/PortableServer/DomainS_T.cpp:
          These files were left behind in the first commit.

        Wed Aug 30 13:51:36 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/PortableServer/Makefile:
          Add ORB_Manager to the list of files.

        Wed Aug 30 13:46:01 2000  Carlos O'Ryan  <coryan@uci.edu>

        * rules.tao.GNU:
          Define macros for the libraries required by a pure TAO client
          (TAO_CLNT_LIBS) and a TAO server (TAO_SRVR_LIBS)

        * tests/*/Makefile:
        * orbsvcs/orbsvcs/Makefile.*:
          Update Makefiles to link against the PortableServer library only
          when required. They use the macros defined in rules.tao.GNU

        * tests/DynAny_Test/data.cpp:
        * tests/DynAny_Test/driver.cpp:
        * tests/Leader_Followers/client.cpp:
        * tests/MProfile_Forwarding/Servant_Locator.h:
        * tests/Portable_Interceptors/Benchmark/test_i.cpp:
        * tests/Portable_Interceptors/Benchmark/test_i.h:
        * tests/Timed_Buffered_Oneways/client.cpp:
        * orbsvcs/orbsvcs/CosEvent_Utilities.cpp:
        * orbsvcs/orbsvcs/Naming/Persistent_Context_Index.h:
          Add missing header files for the new PortableServer library.
          Change tao/TAO.h for tao/PortableServer/ORB_Manager.h

        Tue Aug 29 22:50:14 2000  Carlos O'Ryan  <coryan@uci.edu>

        * Move the POA to a separate library, using the Service
          Configurator to decouple the ORB from its factory.

        * tao/Adapter.h:
        * tao/Adapter.i:
        * tao/Adapter.cpp:
          Define the interfaces used to dynamically load adapters into the
          ORB.

        * tao/Acceptor_Filter.h:
        * tao/Acceptor_Filter.i:
        * tao/Acceptor_Filter.cpp:
          When creating an object reference an adapter may pass down a
          filter to reject some of the acceptors, for example, the RT POA
          creates a filter based on user supplied policies to remove some
          of the endpoints.

        * tao/ORB.h:
        * tao/ORB.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i:
        * tao/ORB_Core.cpp:
          The ORB no longer contains or creates the TAO_Object_Adapter
          class or the root poa.  Instead it maintains an Adapter
          Registry, that is expected to be dynamically initialized as more
          adapters are added to the ORB.
          When resolving RootPOA the ORB uses the Service Configurator to
          find a factory that creates the POA adapter, that adapter is
          then inserted into the registry and used from then on.
          When a request is received it is dispatched to the target
          adapter through the registry, to speed up things a bit adapters
          are stored in "priority order", the POA should have the highest
          priority.
          NOTE: why do we need a registry?  Things like the IOR table and
          adapters for multicast protocols (where an activation may
          contain the multicast group) should be easier to implement with
          an adapter in place.

        * tao/Acceptor_Registry.h:
        * tao/Acceptor_Registry.cpp:
          User the Acceptor_Filter instead of a POA pointer to select what
          endpoints are added into an object reference.

        * tao/Domain.pidl:
        * tao/DomainC.h:
        * tao/DomainC.i:
        * tao/DomainC.cpp:
          Regenerated the files.  The old versions still had the S.cpp and
          C.cpp files coupled to implement collocation.

        * tao/GIOP_Message_Acceptors.h:
        * tao/GIOP_Message_Acceptors.cpp:
        * tao/GIOP_Message_Lite.h:
        * tao/GIOP_Message_Lite.cpp:
          Use the ORB and the Adapter Registry to dispatch requests.

        * tao/GIOP_Server_Request.h:
        * tao/GIOP_Server_Request.cpp:
          Remove the objref() method, it was not used anywhere (not in a
          meaningful way), and it was introducing too much coupling.

        * tao/IIOP_Profile.h:
        * tao/IIOP_Profile.cpp:
        * tao/SHMIOP_Profile.cpp:
        * tao/UIOP_Profile.cpp:
        * tao/Object_KeyC.h:
        * tao/Object_KeyC.cpp:
          Move encode_string_to_sequence() and decode_string_to_sequence()
          from the TAO_POA class to the ObjectKey class.

        * tao/Object.h:
        * tao/Object.i:
        * tao/Object.cpp:
        * tao/LocalObject.cpp:
          CORBA_Object no longer keeps a pointer to the servant.  A new
          derived class (TAO_Collocated_Object) does that.
          The POA creates TAO_Collocated_Object instances whenever
          collocation is in place.

        * tao/InterfaceC.h:
        * tao/InterfaceC.i:
        * tao/MProfile.i:
        * tao/MessagingC.h:
        * tao/MessagingC.i:
        * tao/MessagingC.cpp:
        * tao/PolicyC.h:
        * tao/PolicyC.i:
        * tao/Policy_Manager.h:
        * tao/PollableC.cpp:
        * tao/PortableInterceptorC.h:
        * tao/PortableInterceptorC.i:
        * tao/Reply_Dispatcher.cpp:
        * tao/Request_Info.h:
        * tao/Server_Request.h:
        * tao/Typecode.h:
        * tao/FT_CORBAC.h:
        * tao/FT_CORBAC.i:
          Only include the header files available in the main TAO library,
          some headers where included without any need for it.

        * tao/corba.h:
          Removed a ton of includes that were not needed now that the POA
          is decoupled.

        * tao/PortableServer/Makefile:
        * tao/PortableServer/Active_Object_Map.h:
        * tao/PortableServer/Active_Object_Map.i:
        * tao/PortableServer/Active_Object_Map.cpp:
        * tao/PortableServer/Collocated_Object.h:
        * tao/PortableServer/Collocated_Object.i:
        * tao/PortableServer/Collocated_Object.cpp:
        * tao/PortableServer/DomainS.h:
        * tao/PortableServer/DomainS.i:
        * tao/PortableServer/DomainS.cpp:
        * tao/PortableServer/FT_CORBAS.h:
        * tao/PortableServer/FT_CORBAS.i:
        * tao/PortableServer/FT_CORBAS.cpp:
        * tao/PortableServer/Forwarding_Servant.h:
        * tao/PortableServer/Forwarding_Servant.cpp:
        * tao/PortableServer/ImplRepo.pidl:
        * tao/PortableServer/ImplRepoC.h:
        * tao/PortableServer/ImplRepoC.i:
        * tao/PortableServer/ImplRepoC.cpp:
        * tao/PortableServer/ImplRepoS.h:
        * tao/PortableServer/ImplRepoS.i:
        * tao/PortableServer/ImplRepoS.cpp:
        * tao/PortableServer/ImplRepoS_T.h:
        * tao/PortableServer/ImplRepoS_T.i:
        * tao/PortableServer/ImplRepoS_T.cpp:
        * tao/PortableServer/Key_Adapters.h:
        * tao/PortableServer/Key_Adapters.i:
        * tao/PortableServer/Key_Adapters.cpp:
        * tao/PortableServer/MessagingS.h:
        * tao/PortableServer/MessagingS.i:
        * tao/PortableServer/MessagingS.cpp:
        * tao/PortableServer/MessagingS_T.h:
        * tao/PortableServer/MessagingS_T.i:
        * tao/PortableServer/MessagingS_T.cpp:
        * tao/PortableServer/ORB_Manager.h:
        * tao/PortableServer/ORB_Manager.cpp:
        * tao/PortableServer/Object_Adapter.h:
        * tao/PortableServer/Object_Adapter.i:
        * tao/PortableServer/Object_Adapter.cpp:
        * tao/PortableServer/Operation_Table.h:
        * tao/PortableServer/Operation_Table.cpp:
        * tao/PortableServer/POA.h:
        * tao/PortableServer/POA.i:
        * tao/PortableServer/POA.cpp:
        * tao/PortableServer/POAManager.h:
        * tao/PortableServer/POAManager.i:
        * tao/PortableServer/POAManager.cpp:
        * tao/PortableServer/POA_CORBA.h:
        * tao/PortableServer/PolicyS.cpp:
        * tao/PortableServer/PortableServer.cpp:
        * tao/PortableServer/PortableServer.h:
        * tao/PortableServer/PortableServer.pidl:
        * tao/PortableServer/PortableServerC.h:
        * tao/PortableServer/PortableServerC.i:
        * tao/PortableServer/PortableServerC.cpp:
        * tao/PortableServer/Servant_Base.h:
        * tao/PortableServer/Servant_Base.i:
        * tao/PortableServer/Servant_Base.cpp:
        * tao/PortableServer/poa_macros.h:
          Move all the POA related classes to a new subdirectory.

        * tao/Exception.cpp:
        * tao/DynamicAny/DynamicAny.h:
          Cosmetic fixes

        * rules.tao.GNU:
          Define macros that contain the list of libraries required by TAO
          clients and TAO servers.

        * TAO_IDL/be/be_codegen.cpp:
          The skeleton files include special header files from the
          PortableServer library.

        * TAO_IDL/be/be_visitor_interface/direct_collocated_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_collocated_ss.cpp:
          The classes for direct collocation inherit from
          TAO_Collocated_Object, because CORBA_Object no longer contains a
          servant pointer.

        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ci.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_collocated_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/thru_poa_collocated_ss.cpp:
        * TAO_IDL/be/be_visitor_interface_fwd/interface_fwd_ci.cpp:
          Remove the use of Servant_Base from the regular interfaces.
          The TAO_Object_Adapter::Servant_Upcall class is initialized
          using an ORB_Code* instead of a Object_Adapter& because the
          latter is harder to obtain now (to make the POA pluggable).
          The code to find an Object_Adapter was moved into the
          Servant_Upcall class, which seems a more appropriate place
          anyway.

        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
          Use the TAO_Collocated_Interface to create collocated objects

        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
          Fixed indentation in the generated code

        * TAO_IDL/tao_idl.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_ci.cpp:
          Cosmetic fixes

        * examples/Callback_Quoter/Consumer_Handler.h:
        * examples/Callback_Quoter/Notifier_Input_Handler.h:
        * examples/Callback_Quoter/Notifier_i.h:
        * examples/Event_Comm/Notifier_Server.h:
        * examples/Load_Balancing/Identity_Client.h:
        * examples/Load_Balancing/Identity_Server.h:
        * examples/Load_Balancing/Load_Balancing_Service.h:
        * examples/Load_Balancing_persistent/Identity_Client.h:
        * examples/Load_Balancing_persistent/Identity_Server.h:
        * examples/Load_Balancing_persistent/Load_Balancing_Service.h:
        * examples/Logging/Logging_Service_i.h:
        * examples/OBV/Simple_util.h:
        * examples/Persistent_Grid/Simple_util.h:
        * examples/Quoter/Factory_Finder.h:
        * examples/Quoter/Generic_Factory.h:
        * examples/Quoter/server.h:
        * examples/Simple/Simple_util.h:
        * examples/Simple/bank/AccountManager_i.h:
        * examples/Simple/chat/Broadcaster_i.h:
        * examples/Simple/chat/Client_i.h:
        * examples/Simple/chat/Server_i.h:
        * examples/Simple/time-date/Time_Date.h:
        * examples/Simulator/Event_Supplier/DualEC_Sup.cpp:
        * examples/Simulator/Event_Supplier/Event_Sup.cpp:
        * examples/Simulator/Event_Supplier/Logging_Sup.cpp:
        * orbsvcs/Concurrency_Service/Concurrency_Service.h:
        * orbsvcs/IFR_Service/InterfaceS.h:
        * orbsvcs/IFR_Service/TypeCodeFactory_skel.cpp:
        * orbsvcs/ImplRepo_Service/ImplRepo_i.h:
        * orbsvcs/ImplRepo_Service/tao_imr_i.h:
        * orbsvcs/LifeCycle_Service/LifeCycle_Service.h:
        * orbsvcs/Naming_Service/Naming_Service.h:
        * orbsvcs/Scheduling_Service/Scheduling_Service.h:
        * orbsvcs/Time_Service/Clerk_i.h:
        * orbsvcs/Time_Service/Server_i.h:
        * orbsvcs/Trading_Service/Trading_Service.h:
        * orbsvcs/examples/CosEC/Factory/CosEventChannelFactory_i.cpp:
        * orbsvcs/orbsvcs/AV/AVStreams_i.h:
        * orbsvcs/orbsvcs/AV/AV_Core.h:
        * orbsvcs/orbsvcs/AV/Endpoint_Strategy.h:
        * orbsvcs/orbsvcs/AV/FlowSpec_Entry.cpp:
        * orbsvcs/orbsvcs/AV/Policy.h:
        * orbsvcs/orbsvcs/AV/Transport.cpp:
        * orbsvcs/orbsvcs/AV/source.h:
        * orbsvcs/orbsvcs/Time/TAO_TIO.h:
        * orbsvcs/orbsvcs/Trader/Trading_Loader.h:
        * orbsvcs/tests/AVStreams/Full_Profile/ftp.h:
        * orbsvcs/tests/AVStreams/Full_Profile/server.h:
        * orbsvcs/tests/AVStreams/Latency/control.cpp:
        * orbsvcs/tests/AVStreams/Latency/ping.cpp:
        * orbsvcs/tests/AVStreams/Latency/pong.cpp:
        * orbsvcs/tests/AVStreams/Multicast/ftp.h:
        * orbsvcs/tests/AVStreams/Multicast/server.h:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/ftp.h:
        * orbsvcs/tests/AVStreams/Multicast_Full_Profile/server.h:
        * orbsvcs/tests/AVStreams/Pluggable/ftp.h:
        * orbsvcs/tests/AVStreams/Pluggable/server.h:
        * orbsvcs/tests/AVStreams/benchmark/client.h:
        * orbsvcs/tests/AVStreams/mpeg/source/mpeg_client/Command_Handler.h:
        * orbsvcs/tests/AVStreams/mpeg/source/mpeg_server/Audio_Server.h:
        * orbsvcs/tests/AVStreams/mpeg/source/mpeg_server/Video_Server.h:
        * orbsvcs/tests/AVStreams/server_discovery/Trader_Client.h:
        * orbsvcs/tests/CosEC_Basic/CosEC_Basic.cpp:
        * orbsvcs/tests/Property/client.h:
        * orbsvcs/tests/Property/server.h:
        * orbsvcs/tests/Simple_Naming/client.h:
        * orbsvcs/tests/Trading/colocated_test.cpp:
        * orbsvcs/tests/Trading/export_test.cpp:
        * orbsvcs/tests/Trading/import_test.cpp:
        * performance-tests/Cubit/TAO/IDL_Cubit/Cubit_Server.h:
        * performance-tests/Cubit/TAO/MT_Cubit/Cubit_Task.h:
        * performance-tests/Cubit/TAO/MT_Cubit/server.h:
        * performance-tests/POA/Demux/demux_test_server.h:
        * performance-tests/Pluggable/PP_Test_Server.h:
        * tests/InterOp-Naming/Server_i.h:
        * tests/Multiple_Inheritance/server.cpp:
        * tests/NestedUpcall/MT_Client_Test/local_server.h:
        * tests/NestedUpcall/MT_Client_Test/server.h:
        * tests/NestedUpcall/Triangle_Test/initiator.h:
        * tests/NestedUpcall/Triangle_Test/server_A.h:
        * tests/NestedUpcall/Triangle_Test/server_B.h:
        * tests/ORB_destroy/ORB_destroy.cpp:
        * utils/nslist/nslist.cpp:
          Change all the includes that were related to the POA.

        * */Makefile:
          Update all the dependencies, more of these will follow.

Thu Aug 31 20:30:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
          Removed unnecessary declaration of length in the generation
          of Dynamic::Paramlist.

Thu Aug 31 16:26:21 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * examples/Simulator/Event_Supplier/Makefile:
          Updated dependencies.

Thu Aug 31 16:03:20 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * orbsvcs/orbsvcs/Trader/Trading_Loader.cpp :
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:

          Added missing ace/Dynamic_Service.h include.

Thu Aug 31 15:24:06 2000  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * tao/Makefile.bor: Added the TAO_Singleton.cpp, orb.idl, and
          Policy.pidl.  Thanks to Charles Frasch <cfrasch@spawar.navy.mil>
          and Christopher Kohlhoff <chris@kohlhoff.com> for reporting this.

        * tao/Makefile.bor: Removed the Interceptor files since they are no
          longer needed.  Thanks to Johnny Willemsen
          <Johnny.Willemsen@meco.nl> for reporting this.

Thu Aug 31 10:58:14 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/DynAny_Test/test_dynstruct.cpp:
          Replaced CORBA::FieldName for DynamicAny::FieldName, somehow it
          slip through my first set of changes.

Thu Aug 31 12:31:34 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/MProfile.h:
        * tao/MProfile.cpp:

          Added double checked looking to the creation and
          initialization of policy list, to ensure that only
          one policy list is created.

        * tao/Profile.cpp:

          Renamed some local variable.

        * tao/RT_Policy_i.cpp:

          Extended Protocol Properties Factory to enable
          the creation of TAO specific Protocol Properties.

        * tao/Stub.h:
        * tao/Stub.cpp:

          Improved the method to get the policies and the
          caching strategy. Fixed memory leak caused by the
          absence of an invokation of the destroy () method
          on the cached policies.

Thu Aug 31 09:46:44 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/orbsvcs/Makefile.CosNotification:
          Fixed the if/else/endif for ACE_HAS_GNUG_PRE_2_8

        * orbsvcs/Logging_Service/Makefile:
        * orbsvcs/orbsvcs/Makefile:
          Enable the Logging and AV streaming services on minimum CORBA
          builds, they were disabled because they depend on Trading, but
          that service now builds with minimum CORBA.

        * tests/DynAny_Test/Makefile:
          Now we can test Dynamic Anys even in minimum CORBA builds

Wed Aug 30 19:20:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/paramlist.cpp:
          Disabled valuetypes from being part of Dynamic::Paramlist
          creation.
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
          Removed generation of length variable before creating the
          Paramlist.
        * TAO_IDL/be/be_visitor_operation/interceptors_result.cpp:
          Removed unecessary be_type declarations.

Wed Aug 30 15:20:55 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

          Fix for compile errors:
        * orbsvcs/orbsvcs/Makefile.CosNotification:
          Link with -lTAO_DynamicAny also, because we depend on the
          Trader.
        * orbsvcs/orbsvcs/Notify/Notify_Event.h:
          Included TimeBaseC.h

Wed Aug 30 14:18:46 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/ast/ast_decl.cpp:

          Removed destruction of the pragma list from class
          AST_Decl. The pragma list in this class is assigned
          from the master list in IDL_GLobalData, and not copied.
          Also left a comment to this effect in IDL_GLobalData::destroy.
          The IDL compiler was crashing on
          TAO/examples/Simulator/Event_Supplier.idl

Wed Aug 30 12:01:21 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * performance-tests/RTCorba/Multiple_Endpoints/Common/Makefile:
          updated dependencies.

Wed Aug 30 11:32:18 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * orbsvcs/orbsvcs/Makefile.CosNotification:
          Fixed a typo to remove a warning.

        * orbsvcs/orbsvcs/Makefile.av:
          Updated Makefile to remove the warnings and errors.
          Thanks to Carlos.

        * examples/POA/Generic_Servant/Makefile:
          Updated dependencies

Wed Aug 30 10:18:15 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * tests/RTCORBA/Client_Propagated/client.cpp:
          Fixed the warning for conversion from var to *.

Tue Aug 29 20:28:30 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/orbsvcs/Notify/Notify_Listeners.h:
          The QoS properties of "Order Policy" and "Discard Policy" can be set
          per proxy.To accomodate this we now have an ACE_Task per proxy.
          The TAO_Notify_Event_Processor asks each event listener and source
          for the task object to send commands to.

          TAO_Notify_Event_Listener:
          +  virtual TAO_Notify_Worker_Task* filter_eval_task (void) = 0;
          +  virtual TAO_Notify_Worker_Task* event_dispatch_task (void) = 0;

          TAO_Notify_Event_Source:
          +  virtual TAO_Notify_Worker_Task* filter_eval_task (void) = 0;

        * orbsvcs/orbsvcs/Notify/Notify_Command.h:
        * orbsvcs/orbsvcs/Notify/Notify_Command.i:
          Constructor takes TAO_Notify_Event* parameter.

        * orbsvcs/orbsvcs/Notify/Notify_ID_Pool_T.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ID_Pool_T.h:
          As per the last code review, Carlos pointed out that id recycling
          is probably an overkill because the id range is till MAX_LONG.
          Therefore, id recycling is removed.

        * orbsvcs/orbsvcs/Notify/Notify_ConsumerAdmin_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ConsumerAdmin_i.h:
        * orbsvcs/orbsvcs/Notify/Notify_SupplierAdmin_i.cpp
        * orbsvcs/orbsvcs/Notify/Notify_EventChannelFactory_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_EventChannel_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_FilterAdmin_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Filter_i.cpp:
          Removed .put and .next calls to TAO_Notify_ID_Pool class.

        * orbsvcs/orbsvcs/Notify/Notify_Default_Collection_Factory.cpp:
          Make Copy_On_Write the default collection.

        * orbsvcs/orbsvcs/Notify/Notify_Worker_Task.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Worker_Task.h:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Default_EMO_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager_Objects_Factory.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Manager.i:
          Changes because Worker_Task does not use TAO_Notify_Event_Manager*

        * orbsvcs/orbsvcs/Notify/Notify_Event.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event.i:
          Added per event QoS properties and accessors for them.

        * orbsvcs/orbsvcs/Notify/Notify_Listener_Filter_Eval_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Listener_Filter_Eval_Command.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Dispatch_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Dispatch_Command.h:
        * orbsvcs/orbsvcs/Notify/Notify_Lookup_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Lookup_Command.h:
        * orbsvcs/orbsvcs/Notify/Notify_Source_Filter_Eval_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Source_Filter_Eval_Command.h:
        * orbsvcs/orbsvcs/Notify/Notify_Update_Dispatch_Command.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Update_Dispatch_Command.h:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Processor.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_Event_Processor.h:
          All Command objects modified to callback Event_Processor after
          executing command. Also, all command objects allocation is done here.

        * orbsvcs/orbsvcs/Notify/Notify_ProxyConsumer_T.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ProxyConsumer_T.h:
        * orbsvcs/orbsvcs/Notify/Notify_ProxySupplier_T.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_ProxySupplier_T.h:
          Added per proxy task creation.

        * orbsvcs/orbsvcs/Notify/Notify_QoSAdmin_i.cpp:
        * orbsvcs/orbsvcs/Notify/Notify_QoSAdmin_i.h:
          Added code to populate QoS properties.

        * orbsvcs/orbsvcs/Makefile.CosNotification:
          Updated dependencies, Notify will not build on older versions of
          g ++ - yields perplexing compilation outputs with certain template
          usages in ESF.

        * orbsvcs/tests/Notify/Basic/Makefile:
        * orbsvcs/tests/Notify/Basic/README:
        * orbsvcs/tests/Notify/Basic/Events_Test.cpp:
        * orbsvcs/tests/Notify/Basic/Events_Test.h:
          Added test (under construction) to check if basic event transfer
          succeeds.

        * orbsvcs/examples/Notify/Filter/Filter.cpp:
        * orbsvcs/examples/Notify/Subscribe/Subscribe.cpp:
          Fix for http://ace.cs.wustl.edu/bugzilla/show_bug.cgi?id=626

Tue Aug 29 20:09:44 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/RT_Policies.cpp:
        * tao/RT_Policies.h:

          Added support for CDR encoding/decoding of TAO specific
          Protocol Properties <TAO_Unix_Domain_Properties>
          and <TAO_SMEM_Properties>.

Tue Aug 29 19:15:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * tests/Portable_Interceptors/Benchmark/interceptors.cpp:
          Added dynamic casts for RequestInfo class when they needed to
          access TAO specific exception related methods.

Tue Aug 29 15:09:55 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * examples/Simple/time-date/Makefile:
          Updated dependencies.

Tue Aug 29 14:32:25 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Native_Exceptions/Makefile:
        * orbsvcs/orbsvcs/Makefile.LoadBalancing:
        * orbsvcs/orbsvcs/Makefile.CosConcurrency:
        * orbsvcs/IFR_Service/Makefile.TypeCodeFactory:
          Update dependencies.

        * examples/Load_Balancing_persistent/Identity_Server.cpp:
          Removed unused CORBA_Dyn_Any_var variable.

Tue Aug 29 01:26:06 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/RTCORBA/Server_Protocol/client.dsp
        * tests/RTCORBA/Client_Propagated/client.dsp
        * tests/RTCORBA/Server_Protocol/server.dsp
        * tests/RTCORBA/Client_Propagated/server.dsp:

          Changed project names, so they are more descriptive when
          included into big workspaces.

        * tests/RTCORBA/RTCORBA_tests.dsw:

          Added workspace for RTCORBA tests.

        * tests/RTCORBA/Server_Protocol/Makefile
        * tests/RTCORBA/Client_Propagated/Makefile:

          Updated dependencies.

        * tests/RTCORBA/Server_Protocol/client.cpp
        * tests/RTCORBA/Server_Protocol/server.cpp
        * tests/RTCORBA/Client_Propagated/client.cpp
        * tests/RTCORBA/Client_Propagated/server.cpp:

          Fixed ifdef typo.

Mon Aug 28 22:46:02 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/Makefile
        * tests/Makefile.bor:

          Modified to include RTCORBA subdirectory.

        * tests/RTCORBA/Makefile
        * tests/RTCORBA/Makefile.bor:

          Added.

        * tests/RTCORBA/Server_Protocol/client.cpp
        * tests/RTCORBA/Server_Protocol/server.cpp
        * tests/RTCORBA/Client_Propagated/client.cpp
        * tests/RTCORBA/Client_Propagated/server.cpp:

          Added TAO_HAS_RT_CORBA == 1 guards.

Mon Aug 28 22:14:51 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/README
        * tests/RTCORBA/README:

          Include info on new RTCORBA tests.

Mon Aug 28 21:32:40 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Protocol_Factory.cpp:

          Removed extranneous ACE_INLINE that was left from copy/paste
          routine.

Mon Aug 28 19:09:11 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:
          Use ACE_UNUSED_ARG to eliminate warnings on builds with
          exceptions enabled.

Mon Aug 28 16:19:16 2000  Ossama Othman  <ossama@uci.edu>

        * tao/IOP.pidl (TaggedComponentList):

          Added this typedef.  It is a sequence of TaggedComponents.  The
          SecurityReplaceable module from the CORBA Security Service needs
          this typedef.

Mon Aug 28 17:41:12 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * test/Exposed_Policies/Counter_i.h
        * test/Exposed_Policies/Counter_i.cpp
        * test/Exposed_Policies/Counter.idl

          Added method to IDL interface and related
          servant implementation.

Mon Aug 28 17:28:45 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * test/Exposed_Policies/Policy_Tester.h:
        * test/Exposed_Policies/Policy_Tester.cpp:
        * test/Exposed_Policies/Policy_Verifier.h:
        * test/Exposed_Policies/Policy_Verifier.cpp:
        * test/Exposed_Policies/RT_Properties.h:
        * test/Exposed_Policies/RT_Properties.cpp:
        * test/Exposed_Policies/client.cpp:
        * test/Exposed_Policies/server.cpp
        * test/Exposed_Policies/Server.dsp
        * test/Exposed_Policies/Client.dsp
        * test/Exposed_Policies/README

          Extended sample to auto-check if the policies embedded
          in the IOR are the same that were specified in the
          config files.

Mon Aug 28 14:05:36 2000  Ossama Othman  <ossama@uci.edu>

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Acceptor.cpp (init_tcp_properties,
          open_i):

          Initialize the TCP properties specific to the SSLIOP pluggable
          protocol.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.h:
        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Connect.cpp:

          Added TCP properties argument to the server connection handler
          constructor.  This argument is used to initialize the TCP
          properties to be used by the SSLIOP pluggable protocol during
          communication.

          (open):

          Obtain TCP properties from the newly added TCP_Properties
          structure instead of the corresponding members in
          TAO_ORB_Parameters.

        * orbsvcs/orbsvcs/SSLIOP/SSLIOP_Factory.cpp:

          Initialize TAO_Protocol_Factory base class with the appropriate
          protocol tag (TAO_TAG_IIOP_PROFILE).

Mon Aug 28 11:49:46 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/Notify_Service/Makefile:
        * orbsvcs/Trading_Service/Makefile:
        * orbsvcs/examples/Notify/Filter/Makefile:
        * orbsvcs/examples/Notify/Subscribe/Makefile:
        * orbsvcs/orbsvcs/Makefile:
        * orbsvcs/tests/Notify/Basic/Makefile:
        * orbsvcs/tests/Notify/lib/Makefile:
        * orbsvcs/tests/Trading/Makefile:
          The Trading service is using DynamicAnys to implement parts of
          the TCL evaluation code.  With the separation of DynamicAnys
          into a different library it is now possible to compile the
          Trading service even under minimum CORBA configurations.
          Since the Notification Service also requires parts of the
          Trading Service it was also disabled for minimum CORBA builds,
          but we can enable it now.

Mon Aug 28 11:21:01 2000  Carlos O'Ryan  <coryan@uci.edu>

        * orbsvcs/tests/Notify/Basic/Makefile:
          This directory cannot compile if the notification service was
          not built, the proper protections were in place, but a typo(?)
          broke them

Mon Aug 28 10:18:50 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tests/Makefile:
          Fixed the name of the Portable_Interceptors directory.

        * tests/DynAny_Test/Makefile:
          Add missing library to the link line.

        * tests/Object_Loader/Makefile:
        * tests/Portable_Interceptors/Benchmark/Makefile:
        * tests/Portable_Interceptors/Dynamic/Makefile:
        * tests/Portable_Interceptors/Service_Context_Manipulation/Makefile:
          Updated dependencies.

Mon Aug 28 10:54:09 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile*: Updated dependencies

Mon Aug 28 02:22:11 2000  Michael Kircher  <Michael.Kircher@mchp.siemens.de>

        * tests/Portable_Interceptors/Benchmark/Benchmark.dsw
        * tests/Portable_Interceptors/Benchmark/client.dsp
        * tests/Portable_Interceptors/Benchmark/server.dsp:

          Added these project and workspace files for the Win32 platform.

Mon Aug 28 01:16:11 2000  Marina Spivak  <marina@cs.wustl.edu>

        * docs/releasenotes/index.html

Mon Aug 28 00:33:21 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/IOP.pidl
        * tao/IOPC.cpp:

          Constant TAG_MULTIPLE_COMPONENTS was incorrectly defined as 0.
          Changed it to be 1 in accordance with CORBA specification.

        * tao/Policy_Manager.cpp
        * tao/Stub.cpp:

          - Removed code throwing CORBA::NO_PERMISSION exception from
          <get_policy_overrides> method implementations for
          PolicyCurrent and Object in case a policy that's not valid at
          these scopes is queried.  This is more in tune with the spec.

          - Changed implementations of <get_policy> and
          <get_client_policy> methods in TAO_Stub to throw
          CORBA::INV_POLICY instead of CORBA::NO_PERMISSION if the policy
          requested is not valid at the Object scope.  This is more in
          tune with Section 4.3 of CORBA 2.4 draft.

        * tao/ORB.cpp (create_policy):

          Removed unused piece of code.

Sun Aug 27 22:11:43 2000  Carlos O'Ryan  <coryan@uci.edu>

        * TAOACE.dsw:
        * tao/DynamicAny/TAO_DynamicAny.dsp:
        * tao/DynamicAny/TAO_DynamicAny_Static.dsp:
          Add new project files for the dynamic any library.

        * tao/TAO.dsw:
        * orbsvcs/Trading_Service/Trading_Service.dsp:
        * orbsvcs/orbsvcs/CosTrading.dsp:
        * orbsvcs/tests/Trading/Trading.dsw:
        * orbsvcs/tests/Trading/Colocated_Test.dsp:
        * orbsvcs/tests/Trading/Export_Test.dsp:
        * orbsvcs/tests/Trading/Import_Test.dsp:
        * tests/DynAny_Test/basic_test.dsp:
          Add the TAO_DynamicAny library to the projects that needed it

        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynUnion_i.cpp:
          Workaround MSVC bug with nested type names using the
          ACE_NESTED_CLASS trick.

        * TAO_IDL/be/be_global.cpp:
          Add missing ,

Sun Aug 27 17:50:04 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/TAO.dsp:
        * tao/TAO_Static.dsp:
          Remove dynamic any files from the TAO projects.

Sun Aug 27 16:02:47 2000  Carlos O'Ryan  <coryan@uci.edu>

        * New implementation for "Dynamic Management of Anys".  The new
          implementation is based on the CORBA 2.3 specification, with
          additions from the CORBA 3.0 spec (mostly local interfaces).
          In this version dynamic anys are implemented in a separate
          library, only applications that use dynamic anys need to link
          the library.
          This removes a good 300+ Kb from a static build of TAO (not
          minimum)

        * tao/DynamicAny/Makefile:
        * tao/DynamicAny/dynamicany_export.h:
        * tao/DynamicAny/DynamicAny.h:
        * tao/DynamicAny/DynamicAny.cpp:
        * tao/DynamicAny/DynamicAny.pidl:
        * tao/DynamicAny/DynamicAnyC.h:
        * tao/DynamicAny/DynamicAnyC.i:
        * tao/DynamicAny/DynamicAnyC.cpp:
        * tao/DynamicAny/DynAnyFactory.h:
        * tao/DynamicAny/DynAnyFactory.cpp:
        * tao/DynamicAny/DynAny_i.h:
        * tao/DynamicAny/DynAny_i.cpp:
        * tao/DynamicAny/DynArray_i.h:
        * tao/DynamicAny/DynArray_i.cpp:
        * tao/DynamicAny/DynEnum_i.h:
        * tao/DynamicAny/DynEnum_i.cpp:
        * tao/DynamicAny/DynSequence_i.h:
        * tao/DynamicAny/DynSequence_i.cpp:
        * tao/DynamicAny/DynStruct_i.h:
        * tao/DynamicAny/DynStruct_i.cpp:
        * tao/DynamicAny/DynUnion_i.h:
        * tao/DynamicAny/DynUnion_i.cpp:
        * tao/DynamicAny/DynUnion_i_T.h:
        * tao/DynamicAny/DynUnion_i_T.cpp:
          This library implements the DynamicAny module.
          Applications must include "DynamicAny.h"

        * tao/Makefile:
        * tao/Makefile.am:
        * tao/Makefile.bor:
        * tao/tao-dll.icc:
        * tao/tao-lib.icc:
          Removed the old dynamic any files from the makefiles.
          New Makefiles for several platforms are required.

        * tao/DynamicAny/diffs/DynamicAny.pidl.diff:
        * tao/DynamicAny/diffs/DynamicAnyC.cpp.diff:
        * tao/DynamicAny/diffs/DynamicAnyC.h.diff:
          Save the patches for later use.
          The .pidl file was originally downloaded from the OMG website,
          and then modified to use local interfaces.
          Then the code was generated (as described in the DynamicAny.pidl
          comments) and hand crafted to remove some unwanted code and
          conditionally compile the OBV support.

        * tao/DynAny.pidl:
        * tao/DynAnyC.h:
        * tao/DynAnyC.i:
        * tao/DynAnyC.cpp:
        * tao/DynAnyS.cpp:
        * tao/DynAny_i.h:
        * tao/DynAny_i.cpp:
        * tao/DynArray_i.h:
        * tao/DynArray_i.cpp:
        * tao/DynEnum_i.h:
        * tao/DynEnum_i.cpp:
        * tao/DynSequence_i.h:
        * tao/DynSequence_i.cpp:
        * tao/DynStruct_i.h:
        * tao/DynStruct_i.cpp:
        * tao/DynUnion_i.h:
        * tao/DynUnion_i.cpp:
        * tao/DynUnion_i_T.h:
        * tao/DynUnion_i_T.cpp:
        * tao/InconsistentTypeCode.pidl:
        * tao/InconsistentTypeCodeC.cpp:
        * tao/InconsistentTypeCodeC.h:
        * tao/corba.h:
        * tao/corbafwd.h:
        * tao/POA_CORBA.h:
        * tao/Typecode_Constants.cpp:
          Removed all references to the old DynAny interfaces.

        * tao/ORB.h:
        * tao/ORB.cpp:
        * tao/ORB_Core.h:
        * tao/ORB_Core.i:
        * tao/ORB_Core.cpp:
          Add DynAnyFactory to the list of well known object ids for
          resolve_initial_references.
          The ORB uses the service configurator to find or dynamically
          load the DynAnyFactory_Loader object.  Only applications that
          need dynamic anys will have this object.

        * tests/DynAny_Test/driver.cpp:
        * tests/DynAny_Test/test_dynany.cpp:
        * tests/DynAny_Test/test_dynarray.cpp:
        * tests/DynAny_Test/test_dynarray.h:
        * tests/DynAny_Test/test_dynenum.cpp:
        * tests/DynAny_Test/test_dynsequence.cpp:
        * tests/DynAny_Test/test_dynstruct.cpp:
        * tests/DynAny_Test/test_dynstruct.h:
        * tests/DynAny_Test/test_dynunion.cpp:
        * tests/DynAny_Test/test_wrapper.cpp:
          Updated the test to use the new dynamic any interfaces.

        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.cpp:
        * orbsvcs/orbsvcs/Trader/Constraint_Visitors.h:
        * orbsvcs/orbsvcs/Trader/Interpreter_Utils_T.cpp:
        * orbsvcs/orbsvcs/Trader/Trader_T.h:
          Use the new dynamic any files.
          NOTE: this code uses the implementation classes directly, and
          then only for sequences of basic types.  I believe it would be
          safer and cleaner to use the type() modifier in the Any class.
          It changes the typecode in the any from any *equivalent*
          typecode to a whatever the argument is.
          We could then replace the typecode of any sequence with the
          typecode of some well known sequence and then extract the
          contents of the any.  Worth a try anyways.

        * tao/DynamicC.h:
          There was no need to #include "DynamicAnyC.h"

        * docs/releasenotes/TODO.html:
        * docs/releasenotes/index.html:
          Update the release notes.

        * tao/t-sizes.cpp:
          Removed unused and obsolete file.

        * */Makefile:
          Update the dependencies using 'make idl_stubs ; make'

Sun Aug 27 13:09:38 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/UIOP_Acceptor.{h,cpp}
        * tao/IIOP_Acceptor.{h,cpp}:

          Removed ORB_Core parameter from <open_i> method, since it was
          not being used.

        * tao/Acceptor_Registry.cpp (make_mprofile):

          Added ACE_UNUSED_ARG.

Sat Aug 26 23:07:56 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Policy_Manager.i
        * tao/Policy_Manager.cpp:

          Moved TAO_Policy_Manager_Impl::server_protocol
          (TAO_ServerProtocolPolicy *server_protocol)   method
          implementation from .i to .cpp.  If inlining is on, .i does not
          have enough includes to compile the method.

Sat Aug 26 22:58:10 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated dependencies for the Makefiles in
          $TAO_ROOT/orbsvcs and $TAO_ROOT/utils

Sat Aug 26 22:54:57 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated dependencies for the Makefiles in
          $TAO_ROOT/performance-tests

Sat Aug 26 22:20:50 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/ImplRepo_Service/ImplRepo_i.cpp (server_is_running):

          Pass <imr_poa_> as an argument to the <make_mprofile> method
          call.

        * tao/Acceptor_Registry.cpp
        * tao/ORB_Core.cpp:

          Fixed NT compile warnings/errors.

Sat Aug 26 18:10:13 2000  Douglas C. Schmidt  <schmidt@ace.cs.wustl.edu>

        * utils: Added the new wxNAmingViewer utility.  Thanks to
          Charlie Frasch <cfrasch@spawar.navy.mil> for contributing this.

Sat Aug 26 16:02:45 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated dependencies of the Makefiles in $TAO_ROOT/tests.

Sat Aug 26 15:14:39 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile.EXE:

          Reversed the order of loading for the FE and BE libraries.
          Seems to causing link problems with the static libraries.

Sat Aug 26 15:03:40 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Updated dependencies of the Makefiles in $TAO_ROOT/examples.

Sat Aug 26 13:06:23 2000  Marina Spivak  <marina@cs.wustl.edu>

          Collective changes below add support for
          RTCORBA::ServerProtocolPolicy to TAO.  Specifically:
          1) ORB default ServerProtocolPolicy is provided (contains all
          the protocols that were dynamically loaded).
          2) Only profiles of the protocols indicated by the
          ServerProtocolPolicy are placed in the IORs (in the order
          dictated by the policy)
          3) IIOP and UIOP protocol configuration is done through
          ServerProtocolPolicy.

        * tao/Acceptor_Impl.cpp
        * tao/Acceptor_Impl.h:

          Added additional argument "void *arg" to the creation strategy
          constructor.  This argument is later passed by the strategy to
          the Service Handler's constructor, and serves the purpose of
          transmit protocol-specific info to the handler (in this case
          protocol options).

        * tao/Acceptor_Registry.cpp
        * tao/Acceptor_Registry.h:

          - Changed <make_profile> to take additional parameter "TAO_POA
          *poa".
          - If RTCORBA is defined, what goes into the ior is determined by
          the ServerProtocolPolicy.

        * tao/Makefile:

          Updated dependencies.

        * tao/POA.h

          Added a comment.

        * tao/ORB.cpp
        * tao/ORB.h
        * tao/POA.cpp:
        * tao/Servant_Base.cpp
        * tao/ORB_Core.cpp
        * tao/ORB_Core.h:

          - Added additional argument "TAO_POA *poa" to <key_to_object>
          and <create_stub_object> operations.
          - Added <set_default_policies> method for initializing ORB's
          default policies to TAO_ORB_Core.  Currently, the method
          initializes TAO's default ServerProtocolPolicy.

        * tao/Policy_Manager.h
        * tao/Policy_Manager.i:

          Added <server_protocol> setter for speedy setting of the
          corresponding member.

        * tao/Protocol_Factory.cpp
        * tao/Protocol_Factory.h
        * tao/IIOP_Factory.cpp
        * tao/IIOP_Lite_Factory.cpp
        * tao/UIOP_Factory.cpp
        * tao/UIOP_Lite_Factory.cpp
        * tao/SHMIOP_Factory.cpp:

          - Added member <tag_>, its corresponding accessor <tag> and
          <tag> constructor argument to TAO_Protocol_Factory to allow
          access to factory's protocol profile tag.
          - Modified all concrete factories to initialize
          TAO_Protocol_Factory with appropriate tag value during base
          initialization.

        * tao/RT_Policy_i.h
        * tao/RT_Policy_i.i
        * tao/RT_Policy_i.cpp:

          - TAO_SMEM_Properties now inherits from
          RTCORBA::SharedMemoryProtocolProperties rather than
          RTCORBA::ProtocolProperties.  Likewise,
          TAO_Unix_Domain_Properties now inherits from
          RTCORBA::UnixDomainProtocolProperties rather than
          RTCORBA::ProtocolProperties.
          - Changed the constructor of TAO_SMEM_Properties to not take any
          arguments until we use this class to configure SHMIOP and can
          provide reasonable defaults.

        * tao/IIOP_Acceptor.cpp
        * tao/IIOP_Acceptor.h:

          - Added member tcp_properties_ and method <init_tcp_properties>,
          which initializes the new member.  The acceptor now stores
          protocol properties to be used for all connections accepted by
          this Acceptor.
          - Pass the pointer to tcp_properties_ to the creation strategy
          constructor.

        * tao/UIOP_Acceptor.cpp
        * tao/UIOP_Acceptor.h:

          - Added member uiop_properties_ and method <init_uiop_properties>,
          which initializes the new member.  The acceptor now stores
          protocol properties to be used for all connections accepted by
          this Acceptor.
          - Pass the pointer to uiop_properties_ to the creation strategy
          constructor.

        * tao/IIOP_Connect.cpp
        * tao/IIOP_Connect.h
        * tao/UIOP_Connect.cpp
        * tao/UIOP_Connect.h:

          - Added struct TCP_Properties and struct UIOP_Properties to
          TAO_IIOP_Handler_Base and TAO_UIOP_Handler_Base respectively.
          - Modified server-side connection handler constructors for IIOP
          & UIOP to take additional argument "void *arg", cast to the
          appropriate properties struct pointer, and use those properties
          for configuration during <open>.

        * tao/SHMIOP_Acceptor.cpp
        * tao/SHMIOP_Connect.cpp
        * tao/SHMIOP_Connect.h:

          TAO_SHMIOP_Server_Connection_Handler constructor is modified to
          take additional argument, which, unlike in UIOP/IIOP above, is
          currently unused becaue SHMIOP does not perform any protocol
          configuration.

Sat Aug 26 13:01:31 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/RTCORBA/Server_Protocol/server.cpp:

          Output improvements.

        * tests/RTCORBA/Server_Protocol/server_iiop.conf:
        * tests/RTCORBA/Server_Protocol/server_shmiop.conf:
        * tests/RTCORBA/Server_Protocol/server_uiop.conf:
        * tests/RTCORBA/Server_Protocol/server_reverse.conf:

          Added config files for running tests with different
          configurations from perl script.

Sat Aug 26 09:51:18 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * orbsvcs/orbsvcs/Trader/Trading_Loader.cpp:
          Added a '#' which was deleted by mistake.

Fri Aug 25 18:24:14 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/RTCORBA/Server_Protocol/Server_Protocol.dsw
        * tests/RTCORBA/Server_Protocol/Makefile
        * tests/RTCORBA/Server_Protocol/Makefile.bor
        * tests/RTCORBA/Server_Protocol/README
        * tests/RTCORBA/Server_Protocol/client.bor
        * tests/RTCORBA/Server_Protocol/client.cpp
        * tests/RTCORBA/Server_Protocol/client.dsp
        * tests/RTCORBA/Server_Protocol/run_test.pl
        * tests/RTCORBA/Server_Protocol/server.bor
        * tests/RTCORBA/Server_Protocol/server.cpp
        * tests/RTCORBA/Server_Protocol/server.dsp
        * tests/RTCORBA/Server_Protocol/test.idl:

          Added a unit test for RTCORBA ServerProtocolPolicy
          support.

Fri Aug 25 16:59:35 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * orbsvcs/IFR_Service/Makefile.IFR_Service (IFR_Service):
          Added these Makefiles to the repository.

        * orbsvcs/IFR_Service/Makefile: Changed the structure to call the
          Makefile.TypeCodeFactory and Makefile.IFR_Service instead of
          creating dependencies. That seem to break on every alternate
          platform.

Fri Aug 25 16:51:17 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.h:
        * orbsvcs/orbsvcs/CosEvent/CEC_Event_Loader.cpp:

        * orbsvcs/orbsvcs/Trader/Trading_Loader.h:
        * orbsvcs/orbsvcs/Trader/Trading_Loader.cpp:
          Modified and added some macros.

        * orbsvcs/Naming_Service/Naming_Service.cpp:
          Added a pair of braces enclosing a for loop to satisy Win32.

Fri Aug 25 15:47:50 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/IFR_Service/IFR_Service.cpp:
        * orbsvcs/IFR_Service/IRObject_i.cpp:

          Minor changes to prevent warnings from the newest
          version of g++. Thanks to Bala for pointing these out.

Fri Aug 25 11:20:13 2000  Priyanka Gontla  <pgontla@ece.uci.edu>

        * orbsvcs/tests/Interoperable_Naming/Makefile:
          Modified the order in which the files are compiled.

Thu Aug 24 21:03:11 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile:
        * TAO_IDL/Makefile.EXE:

          Moved the lines that set TAO_IDL_PREPROCESSOR from
          Makefile to Makefile.EXE, where it is actually needed.
          The wrong preprocessor was getting called by the IDL
          compiler, resulting in all kinds of problems.

Thu Aug 24 20:27:26 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/Invocation.cpp:

          In TAO_GIOP_Invocation::start, IOP::ServiceContextList reference
          was assigned to non-reference local variable, resulting in a
          copy.  Changed local variable to be IOP::ServiceContextList &,
          so that our changes affect the original context list rather than
          the copy.

        * tao/default_resource.cpp:

          Changed the default Priority Mapping scheme for DIRECT (from
          LINEAR).

        * tests/RTCORBA/Client_Propagated/server.cpp

          Updated output messages.

        * tests/RTCORBA/Client_Propagated/client.cpp

          Set CORBA priority of the client thread to 0 prior to the first
          remote invocation.  This way output on different platforms will
          look the same.

        * tests/RTCORBA/Client_Propagated/README:

          Added expected output section.

        * tests/RTCORBA/Client_Propagated/runt_test.pl

          Changed formatting of output to improve readability.

Thu Aug 24 16:26:59 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/driver/drv_preproc.cpp:

          Allocation of option string got changed to stack from heap.
          It has been put back to heap allocation.

Thu Aug 24 12:51:34 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/POA.i (client_exposed_fixed_policies): Fixed typo.

Thu Aug 24 12:49:11 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_generator.cpp:

          Cosmetic changes.

        * TAO_IDL/fe/fe_extern.cpp:

          Found a mistake in FE_new_UTL_String() and put back some
          code removed from FE_yyparse().

Thu Aug 24 12:08:04 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_decl.cpp:

          Fixed some previous cosmetic changes to
          compute_full_name(), which may have altered its behavior.

Thu Aug 24 11:18:24 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/ast/ast_expression.cpp:

          Some changes I evidently made (but don't remember making)
          to the coerce() function broke it. I must have been up
          way too late. Undid those changes.

        * TAO_IDL/be/be_sunsoft.cpp:

          My changes on Aug 21 to this file somehow got lost in the
          big IDL checkin yesterday. Re-entered those changes.

Thu Aug 24 09:22:53 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/tao_idl_static.dsp:

          The output file name of the FE library was incorrectly set.

Wed Aug 23 16:56:28 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/Naming/Naming_Loader.h
        * orbsvcs/Naming/Naming_Loader.cpp:

          Updated Export and service config macros so that Naming Service
          compiles on NT.

Wed Aug 23 16:20:52 2000  Angelo Corsaro  <corsaro@cs.wustl.edu>

        * tao/POA.h:
        * tao/POA.cpp:
        * tao/POA.i
          Fixed bug in the copy constructor of TAO_POA_Policies.
          Added const declaration to the method
          TAO_POA_Policies::client_exposed_fixed_policies.

Wed Aug 23 16:14:04 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile.EXE:

          New file overlooked in my big checkin earlier today.

Wed Aug 23 16:04:53 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAOACE_Static.dsw:
        * TAO_IDL/tao_idl.dsp:
        * TAO_IDL/tao_idl.dsw:
        * TAO_IDL/tao_idl_static.dsp:

        New Files:
        * TAO_IDL/TAO_IDL_FE_LIB.dsp:
        * TAO_IDL/TAO_IDL_BE_LIB.dsp:

          More tweaks to the tao_idl project file plus
          addition of static versions of all the projects
          to the tao_idl and TAOACE workspaces.

Wed Aug 23 15:34:29 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/RT_Current.h
        * tao/RT_Current.cpp:
        * tao/ORB_Core.cpp:

          After this interface was made local, it no longer had access to
          the orb_core through its stub, and wasn't working.  Changed the
          implementation to store the pointer to its ORB Core.

Wed Aug 23 15:08:12 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/RTCORBA/Client_Propagated/server.cpp:

          Fixed compile problem.

        * tests/RTCORBA/Client_Propagated/client.dsp:
        * tests/RTCORBA/Client_Propagated/server.dsp:

          Updated include settings.

Wed Aug 23 13:56:54 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAOACE.dsw:

          Added FE and BE DLL IDL compiler projects to workspace,
          and updated IDL compiler project dependencies.

Wed Aug 23 13:21:57 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/tao_idl.dsp:

          Fixed some settings I had overlooked.

Wed Aug 23 13:16:27 2000  Marina Spivak  <marina@cs.wustl.edu>

        * orbsvcs/Naming/Naming_Loader.cpp:

          Added missing ace/Dynamic_Service.h include.

Wed Aug 23 12:19:04 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tests/RTCORBA/Client_Propagated/Client_Propagated.dsw
        * tests/RTCORBA/Client_Propagated/Makefile
        * tests/RTCORBA/Client_Propagated/Makefile.bor
        * tests/RTCORBA/Client_Propagated/README
        * tests/RTCORBA/Client_Propagated/client.bor
        * tests/RTCORBA/Client_Propagated/client.cpp
        * tests/RTCORBA/Client_Propagated/client.dsp
        * tests/RTCORBA/Client_Propagated/run_test.pl
        * tests/RTCORBA/Client_Propagated/server.bor
        * tests/RTCORBA/Client_Propagated/server.cpp
        * tests/RTCORBA/Client_Propagated/server.dsp
        * tests/RTCORBA/Client_Propagated/test.idl:

          Added a unit test for RTCORBA CLIENT_PROPAGATED Priority Model
          support.

Wed Aug 23 11:53:43 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/Makefile:
        * TAO_IDL/tao_idl.cpp:
        * TAO_IDL/tao_idl.dsp:
        * TAO_IDL/tao_idl.dsw:
        * TAO_IDL/ast/ast_decl.cpp:
        * TAO_IDL/ast/ast_enum.cpp:
        * TAO_IDL/ast/ast_expression.cpp:
        * TAO_IDL/ast/ast_generator.cpp:
        * TAO_IDL/ast/ast_interface.cpp:
        * TAO_IDL/ast/ast_module.cpp:
        * TAO_IDL/ast/ast_operation.cpp:
        * TAO_IDL/ast/ast_structure.cpp:
        * TAO_IDL/be/be_argument.cpp:
        * TAO_IDL/be/be_array.cpp:
        * TAO_IDL/be/be_attribute.cpp:
        * TAO_IDL/be/be_codegen.cpp:
        * TAO_IDL/be/be_constant.cpp:
        * TAO_IDL/be/be_decl.cpp:
        * TAO_IDL/be/be_enum.cpp:
        * TAO_IDL/be/be_enum_val.cpp:
        * TAO_IDL/be/be_exception.cpp:
        * TAO_IDL/be/be_expression.cpp:
        * TAO_IDL/be/be_field.cpp:
        * TAO_IDL/be/be_generator.cpp:
        * TAO_IDL/be/be_helper.cpp:
        * TAO_IDL/be/be_interface.cpp:
        * TAO_IDL/be/be_interface_fwd.cpp:
        * TAO_IDL/be/be_interface_strategy.cpp:
        * TAO_IDL/be/be_module.cpp:
        * TAO_IDL/be/be_native.cpp:
        * TAO_IDL/be/be_operation.cpp:
        * TAO_IDL/be/be_operation_strategy.cpp:
        * TAO_IDL/be/be_predefined_type.cpp:
        * TAO_IDL/be/be_produce.cpp:
        * TAO_IDL/be/be_root.cpp:
        * TAO_IDL/be/be_scope.cpp:
        * TAO_IDL/be/be_sequence.cpp:
        * TAO_IDL/be/be_stream_factory.cpp:
        * TAO_IDL/be/be_string.cpp:
        * TAO_IDL/be/be_structure.cpp:
        * TAO_IDL/be/be_sunsoft.cpp:
        * TAO_IDL/be/be_type.cpp:
        * TAO_IDL/be/be_typedef.cpp:
        * TAO_IDL/be/be_union.cpp:
        * TAO_IDL/be/be_union_branch.cpp:
        * TAO_IDL/be/be_union_label.cpp:
        * TAO_IDL/be/be_valuetype.cpp:
        * TAO_IDL/be/be_valuetype_fwd.cpp:
        * TAO_IDL/be/be_visitor_factory.cpp:
        * TAO_IDL/be/be_visitor_array/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_array/array_ch.cpp:
        * TAO_IDL/be/be_visitor_array/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_enum/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_ch.cpp:
        * TAO_IDL/be/be_visitor_exception/exception_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/direct_collocated_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ih.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_is.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_si.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/smart_proxy_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/thru_poa_collocated_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/tie_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/ami_handler_reply_stub_operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/argument.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/operation.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_is.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/smart_proxy_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/smart_proxy_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/thru_poa_collocated_ss.cpp:
        * TAO_IDL/be/be_visitor_root/root.cpp:
        * TAO_IDL/be/be_visitor_root/root_ch.cpp:
        * TAO_IDL/be/be_visitor_root/root_ci.cpp:
        * TAO_IDL/be/be_visitor_root/root_cs.cpp:
        * TAO_IDL/be/be_visitor_root/root_ih.cpp:
        * TAO_IDL/be/be_visitor_root/root_is.cpp:
        * TAO_IDL/be/be_visitor_root/root_sh.cpp:
        * TAO_IDL/be/be_visitor_root/root_si.cpp:
        * TAO_IDL/be/be_visitor_root/root_ss.cpp:
        * TAO_IDL/be/be_visitor_sequence/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_sequence/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_sequence/sequence_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_structure/structure_ch.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_decl.cpp:
        * TAO_IDL/be/be_visitor_typecode/typecode_defn.cpp:
        * TAO_IDL/be/be_visitor_union/any_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_union/union_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/arglist.cpp:
        * TAO_IDL/be/be_visitor_valuetype/cdr_op_ch.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype.cpp:
        * TAO_IDL/be/be_visitor_valuetype/valuetype_ch.cpp:
        * TAO_IDL/be_include/be.h:
        * TAO_IDL/be_include/be_codegen.h:
        * TAO_IDL/be_include/be_decl.h:
        * TAO_IDL/be_include/be_enum.h:
        * TAO_IDL/be_include/be_exception.h:
        * TAO_IDL/be_include/be_generator.h:
        * TAO_IDL/be_include/be_interface.h:
        * TAO_IDL/be_include/be_interface_fwd.h:
        * TAO_IDL/be_include/be_module.h:
        * TAO_IDL/be_include/be_operation.h:
        * TAO_IDL/be_include/be_predefined_type.h:
        * TAO_IDL/be_include/be_root.h:
        * TAO_IDL/be_include/be_scope.h:
        * TAO_IDL/be_include/be_sequence.h:
        * TAO_IDL/be_include/be_structure.h:
        * TAO_IDL/be_include/be_type.h:
        * TAO_IDL/be_include/be_typedef.h:
        * TAO_IDL/be_include/be_union.h:
        * TAO_IDL/driver/drv_args.cpp:
        * TAO_IDL/driver/drv_init.cpp:
        * TAO_IDL/driver/drv_preproc.cpp:
        * TAO_IDL/driver/drv_private.cpp:
        * TAO_IDL/fe/fe_extern.cpp:
        * TAO_IDL/fe/fe_init.cpp:
        * TAO_IDL/include/ast.h:
        * TAO_IDL/include/ast_argument.h:
        * TAO_IDL/include/ast_array.h:
        * TAO_IDL/include/ast_attribute.h:
        * TAO_IDL/include/ast_concrete_type.h:
        * TAO_IDL/include/ast_constant.h:
        * TAO_IDL/include/ast_decl.h:
        * TAO_IDL/include/ast_enum.h:
        * TAO_IDL/include/ast_enum_val.h:
        * TAO_IDL/include/ast_exception.h:
        * TAO_IDL/include/ast_expression.h:
        * TAO_IDL/include/ast_field.h:
        * TAO_IDL/include/ast_generator.h:
        * TAO_IDL/include/ast_interface.h:
        * TAO_IDL/include/ast_interface_fwd.h:
        * TAO_IDL/include/ast_module.h:
        * TAO_IDL/include/ast_native.h:
        * TAO_IDL/include/ast_operation.h:
        * TAO_IDL/include/ast_predefined_type.h:
        * TAO_IDL/include/ast_root.h:
        * TAO_IDL/include/ast_sequence.h:
        * TAO_IDL/include/ast_string.h:
        * TAO_IDL/include/ast_structure.h:
        * TAO_IDL/include/ast_type.h:
        * TAO_IDL/include/ast_typedef.h:
        * TAO_IDL/include/ast_union.h:
        * TAO_IDL/include/ast_union_branch.h:
        * TAO_IDL/include/ast_union_label.h:
        * TAO_IDL/include/drv_extern.h:
        * TAO_IDL/include/drv_private.h:
        * TAO_IDL/include/fe_extern.h:
        * TAO_IDL/include/fe_interface_header.h:
        * TAO_IDL/include/fe_private.h:
        * TAO_IDL/include/global_extern.h:
        * TAO_IDL/include/idl.h:
        * TAO_IDL/include/idl_extern.h:
        * TAO_IDL/include/idl_global.h:
        * TAO_IDL/include/idl_narrow.h:
        * TAO_IDL/include/nr_extern.h:
        * TAO_IDL/include/util.h:
        * TAO_IDL/include/utl_decllist.h:
        * TAO_IDL/include/utl_err.h:
        * TAO_IDL/include/utl_exceptlist.h:
        * TAO_IDL/include/utl_exprlist.h:
        * TAO_IDL/include/utl_identifier.h:
        * TAO_IDL/include/utl_idlist.h:
        * TAO_IDL/include/utl_labellist.h:
        * TAO_IDL/include/utl_list.h:
        * TAO_IDL/include/utl_namelist.h:
        * TAO_IDL/include/utl_scope.h:
        * TAO_IDL/include/utl_stack.h:
        * TAO_IDL/include/utl_string.h:
        * TAO_IDL/include/utl_strlist.h:
        * TAO_IDL/util/utl_err.cpp:
        * TAO_IDL/util/utl_global.cpp:
        * TAO_IDL/util/utl_identifier.cpp:
        * TAO_IDL/util/utl_idlist.cpp:
        * TAO_IDL/util/utl_list.cpp:
        * TAO_IDL/util/utl_scope.cpp:
        * TAO_IDL/util/utl_string.cpp:
        * TAO_IDL/util/utl_strlist.cpp:
        * docs/releasenotes/index.html:

        Removed files:
        * TAO_IDL/be/be_args.cpp:
        * TAO_IDL/be/be_init.cpp:
        * TAO_IDL/include/be_extern.h:
        * TAO_IDL/include/be_extern.h:
        * TAO_IDL/driver/drv_fork.cpp:
        * TAO_IDL/driver/drv_link.cpp:
        * TAO_IDL/include/drv_link.h:
        * TAO_IDL/include/intlmacros.h:

        Added files:
        * TAO_IDL/Makefile.BE:
        * TAO_IDL/Makefile.FE:
        * TAO_IDL/TAO_IDL_BE_DLL.dsp
        * TAO_IDL/TAO_IDL_FE_DLL.dsp
        * TAO_IDL/be/be_global.cpp:
        * TAO_IDL/be_include/TAO_IDL_BE_Export.h:
        * TAO_IDL/be_include/be_extern.h:
        * TAO_IDL/be_include/be_global.h:
        * TAO_IDL/fe/fe_global.cpp:
        * TAO_IDL/include/TAO_IDL_FE_Export.h:

          Changes to make the TAO IDL compiler modular, composed
          of a top-level executable, a front end library, and a pluggable
          back end library. The process of building the IDL compiler on
          any supported platform has not changed.

          BE files, classes and functions required by the executable are
          listed in the updated ReleaseNotes, as are the dependencies
          among the modules.

          The file be_extern.h was removed from the include directory
          and added to the be_include directory.

          Other changes made to the IDL compiler are:
                Replacement of many instances of 'new' with 'ACE_NEW'.
                Addition of destroy() functions to some nodes, for final cleanup.
                Cosmetic changes to many files to conform to the style guidelines.

          Thanks to Nanbor for his help with the Makefiles.

Wed Aug 23 00:28:09 2000  Irfan Pyarali  <irfan@cs.wustl.edu>

        * tao/POA.h: Made the policies() accessor public.

        * tao/POA.cpp:

          - server_protocol(): Call CORBA::release() rather than delete on
          <this->server_protocol_> since that way is politically correct.
          Also, copying of the user value is made simpler by using the
          copy constructor rather than calling copy().

          - TAO_POA_Policies: Added a copy constructor since we now keep
          pointers in this class.  Also, in the constructor of
          TAO_POA_Policies, improved the memory management of the policies
          obtained from the ORB Core.

Tue Aug 22 16:41:02 2000  Pradeep Gore  <pradeep@cs.wustl.edu>

        * orbsvcs/tests/Notify/Basic/IdAssignment.cpp:
          moved variable declaration of "for loop" to fix compile warning.

Tue Aug 22 12:05:40 2000  Priyanka Gontla <pgontla@ece.uci.edu>

        * orbsvcs/orbsvcs/CosEvent/CosNaming.dsp:
        * orbsvcs/orbsvcs/CosEvent/CosTrading.dsp:
        * orbsvcs/orbsvcs/CosEvent/CosEvent.dsp:
          Updated the project files.

Tue Aug 22 11:20:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
          Rectified the unused arg warnings in generation of
          Dynamic::Paramlist by adding a check for whether the operation
          node had any in or inout args at all since the
          Dynamic::Paramlist does not consider the out args.

Tue Aug 22 10:01:49 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Makefiles in $TAO_ROOT/examples: Updated depenedncies.

Mon Aug 21 16:40:21 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_enum/cdr_op_ci.cpp:
        * TAO_IDL/be/be_visitor_enum/enum_ch.cpp:

        * tao/DynamicC.h:
        * tao/DynamicC.i:
        * tao/ImplRepoC.h:
        * tao/ImplRepoC.i:
        * tao/InterfaceC.i:
        * tao/RTCORBAC.h:
        * tao/RTCORBAC.i:
        * tao/ifrfwd.h:

          In order to ensure that enum values are 32 bits, as required
          by the CORBA spec, the IDL compiler has been adding an extra
          value to generated enums with the value
          _TAO_ENUM_32BIT_ENFORCER = 0xFFFFFFFF. It turns out that
          this is a problem when developers use a strict C++ compiler,
          one which requires that all possible case values be handled
          in a switch statement. If there is a switch statement in
          application code that uses a generated enum value,
          developers must add a default case to their switch
          statement, and TAO's enforcement of the 32-bit requirement
          for enum values is not transparent. Since TAO no longer
          supports interpretive marshaling, Carlos points out that we
          can remove the extra enum member, and enforce 32-bit values
          in the enum CDR operators.  Those changes have been made in
          the above files.  In the extraction operator, since a memcpy
          has been replaced by a cast, performance should improve
          slightly. Thanks to Alex Hornby <alex@anvil.co.uk> for
          reporting this problem.

Mon Aug 21 15:40:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * tao/PortableInterceptorC.{h,cpp} (sync_scope):
          Added check for Messaging since for cases like Minimum CORBA
          Messaging is disabled.

        * tests/Portable_Interceptors/Benchmark/interceptors.cpp:
          Dynamically casted the request info object to be able to use
          TAO specific exception methods.

Mon Aug 21 14:17:45 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * tao/Typecode.cpp:

          In the CDR insertion operator, added a check for a
          nil typecode pointer. If found, CORBA::MARSHAL is
          thrown. Thanks to Johnny Willemsen
          <johnny.willemsen@meco.nl> for reporting this bug.

Mon Aug 21 11:46:16 2000  Carlos O'Ryan  <coryan@uci.edu>

        * rules.tao.GNU:
          Add comments that explain why some options are commented out.

Mon Aug 21 11:53:52 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * TAO_IDL/be/be_sunsoft.cpp:

          Modified the print format string for an unsigned long long
          literal to use ACE_UINT64_FORMAT_SPECIFIER instead of "%u".
          If the rhs of a ulonglong constant declaration in an IDL
          file was an expression, we were getting uncompileable
          output on Solaris and incorrect but compileable output on
          NT. Thanks to skelley@solers.com for reporting the bug.

Mon Aug 21 11:21:34 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * Makefile's in orbsvcs. Updated the dependancies.

Sun Aug 20 18:30:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:

          Rectified the broken exception support and ACE_THROW_SPEC
          generation.

Sun Aug 20 16:15:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_argument/paramlist.cpp:
          Resolved some generation errors.

        * tests/Makefile:
        * tests/AMI/Makefile:
        * tests/Leader_Followers/Makefile:
        * tests/Policies/Makefile:
        * tests/CDR/Makefile:
        * tests/LongUpcalls/Makefile:
        * tests/Portable_Interceptors/Makefile:
        * tests/MProfile/Makefile:
        * tests/QtTests/Makefile:
        * tests/MProfile_Forwarding/Makefile:
        * tests/Connection_Purging/Makefile:
        * tests/MT_Client/Makefile:
        * tests/MT_Server/Makefile:
        * tests/DSI_Gateway/Makefile:
        * tests/Smart_Proxies/Makefile:
        * tests/DynAny_Test/Makefile:
        * tests/Multiple_Inheritance/Makefile:
        * tests/Endpoint_Per_Priority/Makefile:
        * tests/Explicit_Event_Loop/Makefile:
        * tests/Native_Exceptions/Makefile:
        * tests/Timed_Buffered_Oneways/Makefile:
        * tests/Timeout/Makefile:
        * tests/Exposed_Policies/Makefile:
        * tests/Nested_Event_Loop/Makefile:
        * tests/Xt_Stopwatch/Makefile:
        * tests/FL_Cube/Makefile:
        * tests/ORB_destroy/Makefile:
        * tests/Faults/Makefile:
        * tests/ORB_init/Makefile:
        * tests/IDL_Test/Makefile:
        * tests/Object_Loader/Makefile:
        * tests/IORManipulation/Makefile:
        * tests/OctetSeq/Makefile:
        * tests/InterOp-Naming/Makefile:
        * tests/Portable_Interceptors/Makefile:
        * tests/Param_Test/Makefile:
        * examples/Buffered_AMI/Makefile:
        * examples/AMI/FL_Callback/Makefile:
        * examples/Buffered_Oneways/Makefile:
        * examples/Callback_Quoter/Makefile:
        * examples/Event_Comm/Makefile:
        * examples/Load_Balancing/Makefile:
        * examples/Load_Balancing_Persistent/Makefile:
        * examples/POA/Identity/Makefile:
        * examples/POA/Reference_Counted_Servant/Makefile:
        * examples/POA/DSI/Makefile:
        * examples/POA/Loader/Makefile:
        * examples/POA/RootPOA/Makefile:
        * examples/POA/Default_Servant/Makefile:
        * examples/POA/Explicit_Activation/Makefile:
        * examples/POA/FindPOA/Makefile:
        * examples/POA/NewPOA/Makefile:
        * examples/POA/On_Demand_Activation/Makefile:
        * examples/POA/TIE/Makefile:
        * examples/POA/Forwarding/Makefile:
        * examples/POA/On_Demand_Loading/Makefile:
        * examples/Persistent_Grid/Makefile:
        * examples/Quoter/Makefile:
        * examples/Simple/bank/Makefile:
        * examples/Simple/echo/Makefile:
        * examples/Simple/grid/Makefile:
        * examples/Simple/time/Makefile:
        * examples/Simple/time-date/Makefile:
        * examples/Simple/chat/Makefile:
        * performance-tests/Cubit/Makefile:
        * performance-tests/Latency/Makefile:
        * performance-tests/RTCorba/Multiple_Endpoints/Endpoint_Per_Priority/Makefile:
        * performance-tests/RTCorba/Multiple_Endpoints/Orb_Per_Priority/Makefile:
        * performance-tests/RTCorba/Multiple_Endpoints/Common/Makefile:
        * performance-tests/RTCorba/Multiple_Endpoints/Single_Endpoint/Makefile:
        * performance-tests/RTCorba/Oneways/Reliable/Makefile:
        * performance-tests/POA/Demux/Makefile:
        * performance-tests/POA/Object_Creation_And_Registration/Makefile:
        * performance-tests/Pluggable/Makefile:
        * performance-tests/Thruput/TAO/Makefile:

          Updated dependencies.

Sun Aug 20 14:27:30 2000  Jeff Parsons  <parsons@cs.wustl.edu>

        * orbsvcs/IFR_Service/TypeCodeFactory_skel.cpp:
        * orbsvcs/IFR_Service/InterfaceS.cpp:

          Brought the skeleton code up to date with the new
          portable interceptor stuff checked in by Kirthika.

Sun Aug 20 11:18:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * orbsvcs/orbsvcs/Makefile:
        * orbsvcs/orbsvcs/Makefile.CosTrading:
        * orbsvcs/orbsvcs/Makefile.RTSchedEvent:
        * orbsvcs/orbsvcs/Makefile.CosConcurrency:
        * orbsvcs/orbsvcs/Makefile.DsLogAdmin:
        * orbsvcs/orbsvcs/Makefile.SSLIOP:
        * orbsvcs/orbsvcs/Makefile.CosEvent:
        * orbsvcs/orbsvcs/Makefile.ESF:
        * orbsvcs/orbsvcs/Makefile.Security:
        * orbsvcs/orbsvcs/Makefile.CosLifeCycle:
        * orbsvcs/orbsvcs/Makefile.ETCL:
        * orbsvcs/orbsvcs/Makefile.Svc_Utils:
        * orbsvcs/orbsvcs/Makefile.CosNaming:
        * orbsvcs/orbsvcs/Makefile.LoadBalancing:
        * orbsvcs/orbsvcs/Makefile.am:
        * orbsvcs/orbsvcs/Makefile.CosNotification:
        * orbsvcs/orbsvcs/Makefile.RTEvent:
        * orbsvcs/orbsvcs/Makefile.av:
        * orbsvcs/orbsvcs/Makefile.CosProperty:
        * orbsvcs/orbsvcs/Makefile.RTOLDEvent:
        * orbsvcs/orbsvcs/Makefile.bor:
        * orbsvcs/orbsvcs/Makefile.CosTime:
        * orbsvcs/orbsvcs/Makefile.RTSched:

          Updated the Makefile dependencies to remove the obsolete
          dependencies on the old Interceptor files.

Sat Aug 19 21:03:48 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/RT_Policy_i.h
        * tao/Stub.cpp
        * tests/Exposed_Policies/client.cpp:

          Comments/cosmetic updates.

Sat Aug 19 19:00:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp
          Added ");\n\n" here and removed it from
          be_visitor_operation/interceptors_arglist.cpp
          since else for void methods w.o. exceptions
          the closing bracs werent there. Thanks to Bala
          for discovering this bug.
        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
          Changed the predefined to not have a default case.
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp
          TAO_OPERATION_INTERCEPTORS_RESULT is now in
          be_visitor_operation itself, also at this point
          now we use bt and not node as the visited type.
        * TAO_IDL/be/be_visitor_operation/interceptors_result.cpp:
        * TAO_IDL/be_include/be_visitor_operation/interceptors_result.h:
        * TAO_IDL/be/be_visitor_operation.cpp:
        * TAO_IDL/be_include/be_visitor_operation.h:
        * TAO_IDL/be/be_visitor_factory.cpp:
          Added a new visitor which derives from be_visitor_decl.

Sat Aug 19 16:40:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * docs/Smart_Proxies.html: Updated the documentation to remind
          users to build TAO/tao with smart_proxies=1 for a smart proxies
          enabled build.

Sat Aug 19 15:20:34 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/GIOP_Message_Acceptors.cpp (process_client_locate):
        * tao/GIOP_Message_Acceptors.h:
        * tao/GIOP_Message_Lite.h:
        * tao/GIOP_Message_Lite.cpp: Added a new method
          find_ior_in_table.

        * tao/GIOP_Server_Request.cpp:
        * tao/GIOP_Server_Request.i:
        * tao/GIOP_Server_Request.h: Added an argument to one of the
          constructors that would indicate whether a reply should be sent
          by this class or not. Also added a inline method that would
          return that value. Further removed the version argument in the
          constructor. It is no longer needed.

        * tao/Servant_Base.cpp: Added a check to see whether the deferred
          reply flag is set before a reply is sent by calling the
          ServerRequest class.

        * tao/Servant_request.h: Added a virtual method that would return
          the deffered flag value.

          The whole set of changes were required to interoperate properly
          with other ORBs. The problem was when other ORBs sent a
          LocateRequest message. The LocateRequest classes after receiving
          the call make an upcall on to the servant. This is essentially
          done by calling the _non_existent () method on the servant to
          test whether the object is active. The existing setup processed
          the upcall in a fashion similar to that of a Request
          message. For a Request message, once the upcall is made on to
          the servant, the skeleton code prepares the reply and also
          marshalls the return value. Then the Servant_Base class sends
          the reply on the wire. But, for a LocateRequest message we need
          not do the above. We need to just make an upcall and then
          prepare the right reply if the call returned properly. If not we
          need to propagate the exception received from the upcall. To use
          the existing setup to make an upcall, I introduced a flag that
          would indicate to the Servant_Base class whether it needs to
          send the reply on the wire.  With this change the
          interoperability problem that we had with Orbix2000 and reported
          by Boeing should be gone.


Sat Aug 19 11:10:40 2000  Carlos O'Ryan  <coryan@uci.edu>

        * tao/POA.cpp:
        * tao/Policy_Factory.h:
        * tao/Policy_Factory.i:
        * tao/Profile.cpp:
        * tao/RT_Policy_i.cpp:
        * tao/RT_Policy_i.h:
        * tao/Stub.cpp:
        * tests/Exposed_Policies/Counter.idl:
        * tests/Exposed_Policies/Counter_i.cpp:
        * tests/Exposed_Policies/Counter_i.h:
        * tests/Exposed_Policies/RT_Properties.cpp:
        * tests/Exposed_Policies/client.cpp:
        * tests/Exposed_Policies/server.cpp:
          Made a code review for Angelo, lots of @@ comments to address.

Sat Aug 19 13:50:00 2000  Kirthika Parameswaran  <kirthika@cs.wustl.edu>

        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
          Made the formal arguments to the RequestInfo constructor unique to
          resolve name clashing errors.

Fri Aug 18 23:20:56 2000  Marina Spivak  <marina@cs.wustl.edu>

        * tao/RTCORBA.pidl
        * tao/RTCORBAC.cpp
        * tao/RTCORBAC.h
        * tao/RTCORBAC.i
        * tao/RT_Policy_i.cpp
        * tao/RT_Policy_i.h
        * tao/diffs/RTCORBAC.cpp.diff
        * tao/diffs/RTCORBAC.h.diff
        * tao/diffs/RTCORBAC.i.diff:

          Added idl interfaces to allow configuration of UIOP and SHMIOP
          protocol properties through RTCORBA's ServerProtocolPolicy
          and ClientProtocolPolicy.

        * tao/diffs/TAOC.h.diff
        * tao/TAO.pidl

          Updated comments.

        * tao/Policy_Manager.cpp (set_policy_overrides):

          Only one ServerProtocolPolicy should be included in a
          given PolicyList (section 4.15.2 of RTCORBA 1.0, i.e.,
          ptc/99-05-03).

Fri Aug 18 19:30:00 2000  Kirthika  Parameswaran  <kirthika@cs.wustl.edu>

        Visitors implemented as part of the TAO_IDL to generate
        infrastructure for Portable Interceptors:

        * TAO_IDL/be_include/be_visitor_argument/paramlist.h
        * TAO_IDL/be_include/be_visitor_argument/request_info_arglist.h:
        * TAO_IDL/be_include/be_visitor_interface.h
        * TAO_IDL/be_include/be_visitor_interface/interceptors_ch.h
        * TAO_IDL/be_include/be_visitor_interface/interceptors_cs.h
        * TAO_IDL/be_include/be_visitor_interface/interceptors_sh.h
        * TAO_IDL/be_include/be_visitor_interface/interceptors_ss.h
        * TAO_IDL/be/be_visitor_factory.cpp:
        * TAO_IDL/be/be_visitor_interface.cpp:
        * TAO_IDL/be/be_visitor_interface/interface.cpp
        * TAO_IDL/be/be_visitor_interface/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ch.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_cs.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_sh.cpp:
        * TAO_IDL/be/be_visitor_interface/interface_ss.cpp:
        * TAO_IDL/be/be_visitor_operation.cpp :
        * TAO_IDL/be/be_visitor_operation/operation_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/operation_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_arglist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ch.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_cs.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_exceptlist.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_sh.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_ss.cpp:
        * TAO_IDL/be/be_visitor_operation/interceptors_info_rettype.cpp
          A new visitor need to attach ACE_NESTED_CLASS macros needed for
          MSCV.

        * TAO_IDL/be/be_visitor_argument.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ch.cpp:
          This one has special MSVC related nested class macro generation
          for sequences, structs, arrays & unions.

        * TAO_IDL/be/be_visitor_argument/request_info_cs.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_result.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_sh.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_ss.cpp:
        * TAO_IDL/be/be_visitor_argument/paramlist.cpp:
        * TAO_IDL/be/be_visitor_argument/request_info_arglist.cpp:
          MSVC related changes for the constructor's formal args for the
          request info classes.

        * TAO_IDL/be/be_visitor_attribute/attribute.cpp:
          Most of the TAO_IDL changes are to add new visitors for
          generation of the nested RequestInfo classes per operation of an
          interface and also to be able to query the RequestInfo classes
          for argument list etc on demand.

        TAO/tao additions:

        * tao/PortableInterceptor.{h,i,cpp}:
        * tao/PortableInterceptorC.{h,i,cpp}:
        * tao/DynamicC.{h,i,cpp}:
        * tao/PortableInterceptor.pidl:
        * tao/Dynamic.pidl:
        * tao/IOP_N.pidl:
        * tao/Request_Info.{h,cpp}:
          All the above are new Portable Interceptor related additions
          to TAO/tao.

        * tao/ORB.h:
        * tao/corba.h:
          included PortableInterceptor.h

        * tao/ImplRepoC,S.cpp:
          commented out inclusion of PortbaleInterceptor.h
          And removed all interceptor invocation portions.

        * tao/InterfaceC.cpp:
          commented out inclusion of PortbaleInterceptor.h
          And removed all interceptor invocation portions.

        * tao/FT_CORBAC.cpp:
          commented out inclusion of PortbaleInterceptor.h
          And removed all interceptor invocation portions.

        * tao/FT_CORBAS.cpp:
          removed all interceptor invocation portions.

        * tao/Policy{C,S}.cpp:
          Removed interceptor points from invocations.

        * tao/Makefile: updated dependencies.
        * tao/TAO.dsp:
        * tao/TAO_Static.dsp:
          Updated the NT projects.

        Removed the old interceptor files:

        * tao/Interceptor.{h, i, cpp}:
        * tao/InterceptorC.{h, i, cpp}:
        * tao/Interceptor.pidl
        * tests/Interceptors
          All the above are no longer available!

        The following are tests to check out how well this feature
        performs when providing a different functionality:

        * tests/PortableInterceptors/Dynamic/Makefile:
        * tests/PortableInterceptors/Dynamic/Makefile.bor:
        * tests/PortableInterceptors/Dynamic/README:
        * tests/PortableInterceptors/Dynamic/client.bor:
        * tests/PortableInterceptors/Dynamic/client.cpp:
        * tests/PortableInterceptors/Dynamic/interceptors.cpp:
        * tests/PortableInterceptors/Dynamic/interceptors.h:
        * tests/PortableInterceptors/Dynamic/run_test.pl:
        * tests/PortableInterceptors/Dynamic/server.bor:
        * tests/PortableInterceptors/Dynamic/server.cpp:
        * tests/PortableInterceptors/Dynamic/test.idl:
        * tests/PortableInterceptors/Dynamic/test_i.cpp:
        * tests/PortableInterceptors/Dynamic/test_i.h:
          This test tries out the various features provided by Module
          Dynamic.

        * tests/PortableInterceptors/Service_Context_Manipulation/Makefile:
        * tests/PortableInterceptors/Service_Context_Manipulation/Makefile.bor:
        * tests/PortableInterceptors/Service_Context_Manipulation/README:
        * tests/PortableInterceptors/Service_Context_Manipulation/client.bor:
        * tests/PortableInterceptors/Service_Context_Manipulation/client.cpp:
        * tests/PortableInterceptors/Service_Context_Manipulation/interceptors.cpp:
        * tests/PortableInterceptors/Service_Context_Manipulation/interceptors.h:
        * tests/PortableInterceptors/Service_Context_Manipulation/run_test.pl:
        * tests/PortableInterceptors/Service_Context_Manipulation/server.bor:
        * tests/PortableInterceptors/Service_Context_Manipulation/server.cpp:
        * tests/PortableInterceptors/Service_Context_Manipulation/test.idl:
        * tests/PortableInterceptors/Service_Context_Manipulation/test_i.cpp:
        * tests/PortableInterceptors/Service_Context_Manipulation/test_i.h:
          This test plays with piggybacking data via the service context
          list of the invocation.

        * tests/PortableInterceptors/Benchmark/Makefile:
        * tests/PortableInterceptors/Benchmark/Makefile.bor:
        * tests/PortableInterceptors/Benchmark/README:
        * tests/PortableInterceptors/Benchmark/client.bor:
        * tests/PortableInterceptors/Benchmark/client.cpp:
        * tests/PortableInterceptors/Benchmark/interceptors.cpp:
        * tests/PortableInterceptors/Benchmark/interceptors.h:
        * tests/PortableInterceptors/Benchmark/run_test.pl:
        * tests/PortableInterceptors/Benchmark/server.bor:
        * tests/PortableInterceptors/Benchmark/server.cpp:
        * tests/PortableInterceptors/Benchmark/test.idl:
        * tests/PortableInterceptors/Benchmark/test_i.cpp:
        * tests/PortableInterceptors/Benchmark/test_i.h:
        * tests/PortableInterceptors/Benchmark/marker.h:
        * tests/PortableInterceptors/Benchmark/marker.cpp:
          This is a benchamrking test used and explained in
          http://www.cs.wustl.edu/~schmidt/PDF/COOTS-00.pdf

        * docs/interceptor.html:
          updated documentation to reflect these changes.
          Thanks to Nanbor for brainstorming and guidance,
          Jeff for help on nitty-gritty IDL bugs and Doug on helping to
          put all this on white paper!

Fri Aug 18 17:46:34 2000  Balachandran Natarajan  <bala@cs.wustl.edu>

        * tao/GIOP_Message_Acceptors.cpp:
        * tao/GIOP_Message_Lite.cpp:
        * tao/GIOP_Server_Request.cpp:
        * tao/GIOP_Server_Request.h (TAO_GIOP_ServerRequest): Added a
          parameter which has a pointer to the  TAO_Transport, as one of
          the arguments in the constructor. One of the constructors
          already had this. The second did not. The second constructor is
          used when the TAO server receives the LocateRequest messages
          from a client. In that case TAO was trying to send a reply using
          the null transport that was causing server to core dump. But
          there exists one more problem with the tao_send_reply () method
          when a TAO server receives a LocateRequest message. This needs
